commit a6b07d7e28fe445afccf36922ef7d20e63e54fe6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Dec 24 16:29:32 2019 +0100

    Bump package version to 0.5.2.

commit c66fde84f68cc88014c5cbc0a13df7761aa47c97
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Dec 24 16:29:18 2019 +0100

    configure.ac: Bump libtool/library version from 5:0:1 to 5:1:1.
    
    The libtool current:revision:age numbers change from 5:0:1 to 5:1:1
    since no new APIs were added and no existing ones were changed or
    removed. Thus, revision is incremented, current and age stay unchanged.
    
    Details:
    http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
    
    This changes the library filename (e.g. on Linux) from
    libsigrok.so.4.1.0 to libsigrok.so.4.1.1, the SONAME
    (+symlink) remains the same, though (libsigrok.so.4).

commit c1a8e19d9a3dcb511fd96913fa40862691d74102
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Dec 23 14:18:05 2019 +0100

    Doxyfile: Set version to 0.5.2.

commit fdb297c6de08cf7f2c2aedd5e0399bda2dd60a5d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Dec 23 14:15:01 2019 +0100

    NEWS: Add list of user-visible changes so far.

commit e4204b1757459a03c0a70849a659f27387edc295
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Dec 23 13:53:55 2019 +0100

    Backport recent changes from mainline.
    
    This includes all changes from
    
      4c660b46c11f8a84941194f60e4f48e57b0a86b7
      Makefile.am: Add missing src/serial_hid.h.
    
    up to
    
      39ea7b7d390c4f1d4a697a40769ce364de9c97d0
      dmm/eev121gw: add missing scale items for sub display in power modes
    
    This is possible since none of the changes above change or
    remove public API calls of the library.

commit 8686b747cd40695c36f998603f6e853ee5eea883
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Oct 14 19:50:04 2018 +0200

    configure.ac: Bump package version to 0.5.1.

commit 45106f0ca574158632f5a5d33833e8c06967824c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Oct 14 19:48:41 2018 +0200

    configure.ac: Bump libtool/library version from 4:0:0 to 5:0:1.
    
    The libtool current:revision:age numbers change from 4:0:0 to 5:0:1
    since new APIs were added (but no existing ones were changed or
    removed). Thus, revision is set to 0, current and age are bumped.
    
    Details:
    http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
    
    This changes the library filename (e.g. on Linux) from
    libsigrok.so.4.0.0 to libsigrok.so.4.1.0, the SONAME
    (+symlink) remains the same, though (libsigrok.so.4).

commit 6cec31aeace7f941209bc47fd21b72a649777655
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Oct 14 19:51:46 2018 +0200

    Doxygen: Update relevant @since tags to 0.5.1.

commit d0667da66f5c80155cfcc8fb9bd8e6da596080bb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Oct 14 19:50:33 2018 +0200

    Doxyfile: Set version to 0.5.1.

commit 2d5ccd26012e9f3635593bd6684f0795f4c6d123
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Oct 14 19:28:59 2018 +0200

    NEWS: Add list of user-visible changes so far.

commit d2af13d03f7ab90d591da2fcf31d71b678fe8551
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Oct 14 20:18:40 2018 +0200

    Revert API/ABI change for Context::create_analog_packet().
    
    This is fine in libsigrokcxx mainline, but for the 0.5.x series we need
    to remain API/ABI-compatible.

commit 8cd15dd4ce2fdbefbcc6e64632c8006e5404f253
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jun 15 18:46:14 2017 +0200

    Backport recent changes from mainline.
    
    This includes all changes from
    
      59cae77e28538120a472aca1aeee6b2c4465e77a
      serial_stream_detect(): Make a code comment more generic.
    
    up to
    
      a7600dc5c7712c588f8a940293e50853c88706ca
      Makefile.am: Install MIME info file in $(datadir)/mime/packages.
    
    This is possible since (almost) none of the changes above change or
    remove public API calls of the library.

commit 1aba65727015e298f213c851dbc8d2d57d27d37b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jun 12 03:08:36 2017 +0200

    Doxyfile: Set version to 0.5.0.

commit 9b355aa12d760654a5977be8dbbddfa10696118b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jun 12 03:03:21 2017 +0200

    Bump libtool version (not package version) to 4:0:0.
    
    The last release (0.4.0) had the libtool version (current:revision:age)
    set to 3:0:0. Since this release adds, removes, and changes interfaces,
    the new version is 4:0:0.
    
    http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
    
    This changes the library filename (e.g. on Linux) from libsigrok.so.3.0.0
    to libsigrok.so.4.0.0, the SONAME (+symlink) becomes libsigrok.so.4.

commit 95723b1e178ff2f8f30d4d338840da4f61b3643b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jun 11 19:38:23 2017 +0200

    NEWS: Add list of user-visible changes so far.

commit f200d59ee21a42998752c4319d4ff48e129c95c5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Jun 12 02:44:28 2017 +0200

    Various Doxygen fixes.

commit 567d1feae8597366582a57db82bc3c905eecb665
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jun 11 23:19:27 2017 +0200

    Add a MIME info file (and icons) for sigrok session files.
    
    File template by Stefan Brüns, thanks!
    
    This fixes bug #857.
    
    (the XML file is moved from PulseView to libsigrok since this is not
    PulseView-specific)
    
    Add a 48x48 PNG and a scalable SVG for the MIME type as well.
    
    Install the XML file and in the icons in the respective standard paths.

commit 6b21d9a77e58bb9586491ba17968a9edb5a8df93
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jun 11 23:03:09 2017 +0200

    Rename sigrok-logo-notext.png to libsigrok_112x112.png.
    
    This is more specific and prevents any potential issues e.g. when
    multiple distro packages might ship with a generic file like
    sigrok-logo-notext.png that's supposed to be installed in the same place.

commit 6324805018987715902422732df27bc9841b1108
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jun 8 23:55:58 2017 +0200

    ruby bindings: Fix a compiler warning.
    
      bindings/ruby/classes_wrap.cpp:10481:1: warning: control may reach end
      of non-void function [-Wreturn-type]

commit 35334baa90dd7c68862ec25b58db0701a5802245
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jun 8 23:05:05 2017 +0200

    Fix various -Wundefined-var-template clang warnings.
    
    This fixes bug #915.

commit e3e1f20c7f5071fb9d1912619a899e542c5d9c71
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Jun 9 23:13:35 2017 +0200

    C++ binding: Fixup memory leak in input module receive() calls
    
    The Input::send() method allocated glib strings and copied input data,
    but only released the glib string container and leaked the actual string
    content. This led to leaks in the size of the verbatim input file, which
    is especially wasteful for uncompressed textual representations.
    
    This fixes bug #976.

commit 2355d2291925ace0bd9c85b21f2ce7e2c6606c7f
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Jun 9 23:10:40 2017 +0200

    input/csv: Eliminate remaining memory leaks in error paths
    
    When the processing of columns of text lines detected errors, the loop
    was aborted and the routine was left, but allocated resources were not
    freed. Fix the remaining memory leaks in the error code paths.

commit f027208ea7c058d482620af39be38835c045895f
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Jun 9 23:07:25 2017 +0200

    input/csv: Fixup datafeed chunk size calculation
    
    The constant at the top of the source file is the number of samples in a
    datafeed submission chunk. The previous implementation erroneously made
    it the size in bytes. There is no need to round down the buffer size
    according to the unit size.

commit d05b1a860606e078eed77722d8a0c62850ee39af
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Thu May 4 21:34:07 2017 +0200

    output/csv: Nit, remove an unused loop iteration variable
    
    The i variable is not used in the bottom loop in gen_header(). Remove it
    to not obfuscate the purpose of the iteration.

commit cd59e6eca13632f8fc749a63fb8ccbadbb77e21b
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Thu Jun 8 20:13:31 2017 +0200

    input/csv: Send larger datafeed chunks, to speedup import
    
    The previous implementation sent one sigrok session datafeed packet per
    processed CSV line. This is rather inefficient for the CSV input module,
    and triggers a dramatic performance loss in the srzip output format.
    
    Communicate up to 128K samples within one datafeed packet. This fixes
    bug #695.
    
    Factor out repeated calculation of the unit size which is derived from
    the channel count. Fix a minor memory leak in an error path while we are
    here. (Other memory leaks in rare error paths remain with this commit.)
    
    Suggested-By: Elias Oenal <sigrok@eliasoenal.com>

commit de788af4108493211d2c62004bf3d2fd81ad7d67
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Jun 5 19:33:42 2017 +0200

    input/csv: Update developer comment (fix for last EOL marker)

commit 7f4c3a622405b409e579e8344192e8daf15cb817
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Jun 5 19:00:23 2017 +0200

    input/csv: Accept absence of last end-of-line termination sequence
    
    On the Windows platform it appears to be popular to _not_ terminate the
    very last line in a text file. Which results in an unmet constraint in
    the CSV input module and an internal exception in PulseView which aborts
    program execution.
    
    Cope with the absence of the text line termination sequence at the very
    end of the input stream. Keep all other checks in place, such that only
    completely received text lines get processed.
    
    This fixes bug #635.

commit 4439363aa02928098eab8dcd18b5ccb41737c882
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Jun 5 18:35:22 2017 +0200

    input/csv: Skip leading UTF-8 BOM in the input stream
    
    This fixes bug #756.

commit ccff468b5e1b841a0c4f0426f502b9dad23dd9be
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Jun 5 18:24:52 2017 +0200

    input/csv: Add developer comment with TODO items
    
    "Document" the current state of the implementation in the CSV input
    module's source code. Discuss how text handling is non-trivial, which
    approaches are available and how they have drawbacks.
    
    Mention the lack of support for the import of analog data as well.

commit 241c386a4f727faa7c8379ae9212661011aa50ae
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Jun 5 16:41:42 2017 +0200

    input/csv: Correctly skip over last processed end-of-line sequence
    
    The CSV input module supports variable length end-of-line encodings
    (either CRLF, or CR, or LF). When a bunch of accumulated text lines got
    processed, do skip the corresponding number of characters after the end
    of the last processed line.
    
    This fixes one of the issues discussed in bug #635.

commit 4555d3bda00ed6f12016d4aca28bbef3cb459988
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Jun 5 13:37:33 2017 +0200

    input/csv: Fix a false negative after successful import
    
    The input module runs receive() and end() invocations which end up
    calling process_buffer(). It's perfectly legal to call the process
    routine with an empty accumulation buffer, especially when the process
    routine was called from end().
    
    This fixes a condition where PulseView raised a fatal error at the end
    of a completed successful import.
    
    Reported-By: Sergey Alirzaev <zl29ah@gmail.com>

commit f9b748615488d0d0f5e07978717a53dcdf79f732
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Jun 5 13:34:05 2017 +0200

    input/csv: Re-order processing steps (column mode vs text line split)
    
    Move an independent test for single/multi column operation out of a code
    path that checked for and then processed text lines. This commit does
    not change behaviour, but prepares a subsequent commit.

commit 492dfa90255e95b143b7a0ba9c78b6e022e7b115
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Jun 5 13:09:16 2017 +0200

    input/csv: Concentrate text line encoding in a single spot
    
    Factor out a magic string literal which held a delimiter set yet could
    be mistaken for an (assumed) fixed termination string. Concentrate the
    determination of the end-of-line text encoding as well as the resulting
    set of possible deliminters in one nearby location. The symbolic name
    for the delimiter set eliminates the doubt on its purpose.

commit df0db9fdda408ef7623c10b8daa0019f8f206bdf
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Jun 5 13:02:31 2017 +0200

    input/csv: Improve readability (bool expr vs assign, nested arrays)
    
    Move variable assignments out of boolean condition checks. Factor out
    repeated access to nested arrays. This shall improve readability.

commit b4698e4d617483bc0157b62b4be4153535b45701
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jun 6 14:41:55 2017 +0200

    HACKING: Update URL to Linux kernel coding style.

commit 176d785d33a28a1bb24f2ee483595ec54f7b52b6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jun 6 14:10:02 2017 +0200

    Drop trailing whitespace in various files.

commit faf6dc4633a02970333a892da87ffc6bd1ee7977
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Jun 6 12:17:44 2017 +0200

    Minor cosmetics.

commit 09b2ca47e6b3d510d5a7cb64ab99fbc7a7de84a3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jun 3 18:25:54 2017 +0200

    uninstall: Remove empty libsigrok/libsigrokcxx include directories.
    
    Change uninstall-local to uninstall-hook, since the latter is guaranteed
    to run last (order is apparently not guaranteed for uninstall-local).
    
    This fixes bug #861.

commit 77463bd397127b8a4e7266e601b4cdf87825beeb
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sat May 27 23:34:09 2017 +0200

    Demo: Convert white spaces to dashes for walking one/zero pattern

commit c5d081f721a0d99e726596d4f8afe72cf803a576
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sat May 27 22:37:09 2017 +0200

    Bindings: Provide helper method that auto-converts analog

commit 0cee3a3ea5d9808c000def569887e5f18b82df71
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sat May 27 16:54:53 2017 +0200

    Bindings: Flesh out the analog payload bindings

commit 845060fa9ddbfae9441aa67fab4934f46f4baa05
Author: Soeren Apel <soeren@apelpie.net>
Date:   Wed May 24 11:20:04 2017 +0200

    Demo: Add walking one/walking zero pattern

commit eac48b34917cf19c2b5ba52ccea85ec94bb5830f
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri May 26 21:36:35 2017 +0200

    asix-sigma: Silence a compiler warning (declared but not used)
    
    The call site which referenced the variable was conditional (disabled
    trigger support) but the variable declaration was not. Fix that.

commit 2f425a56edbe528ed4566ea6791009dad61ef56d
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri May 26 19:36:01 2017 +0200

    asix-sigma: Use monotonic time not wallclock time
    
    Switch from gettimeofday() to g_get_monotonic_time() calls.
    
    This commit is based on work done by jry@ (but with reduced diff size).

commit 74d453abfd29f8ea5426c4400f29d30cc18e97dd
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri May 26 03:06:39 2017 +0200

    asix-sigma: Handle sample memory wrap around (circular buffer)
    
    Handle the case when the sample data memory was filled and has wrapped
    around during acquisition. Download the respective part of the data
    which is reliably available, only skipping a single 1KB row which might
    contain either old or new data while it's not certain which it would be.
    
    This will be essential when triggers later become available. Right now
    it copes with user requests for sample counts that exceed the total DRAM
    capacity. Instead the maximum available amount of data is provided.
    
    Of course acquisition no longer gets stopped when the end of DRAM is
    reached.

commit 547c4cdc60ad5c463e37c57d82dd33111061ac86
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri May 26 02:18:33 2017 +0200

    asix-sigma: Fixup the download of the last data acquisition chunk
    
    Correctly determine the size of a download chunk for the last DRAM row
    that's involved in the recent data acquisition.
    
    This commit is based on work done by jry@.
    
    This addresses bug #838 (trailing garbage).
    
    It's assumed that the previously downloaded excess data was "swallowed"
    by the sample count enforcement logic that was applied earlier, so the
    (remainder of the) issue could have gone unnoticed, unless some other
    termination condition than sample count was used.

commit 468f17f2d673ebf250f72fa114f261b86da1aab7
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri May 26 02:16:28 2017 +0200

    asix-sigma: Comment on RLE decompression upon data retrieval
    
    Rephrase and shorten a comment on how RLE decompression works. Drop the
    part of the comment which is not related to (de-)compression.

commit 13262b48c181ae380e2029982197649cb6343b9f
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri May 26 02:11:05 2017 +0200

    asix-sigma: Remove an unused variable

commit 8256ed15c605db4f472f928dc67e9734947e0ab9
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri May 26 01:30:42 2017 +0200

    asix-sigma: Adjust clock configuration upon acquisition start
    
    Configure the samplerate clock and channel count during acquisition
    start in identical ways for 50MHz, 100MHz, and 200MHz modes.
    
    This part was inspired by work done by jry@ yet was addressed in
    different ways (no exception, do everything in every mode the same way).
    
    Eliminate a portability issue in the previous implementation. Make sure
    to send the configuration bytes in the correct order to the hardware.
    Don't typecase a struct reference to a bytepointer and hope that the
    internal memory representation might fit the external hardware's idea.

commit 5b1d15efb93c5e18e33432840af08e324d126ee9
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri May 26 00:31:21 2017 +0200

    asix-sigma: Document the sample memory layout
    
    Add a comment about sample memory organization in a central spot. This
    concentrates knowledge which otherwise would be spread across several
    locations all over the driver's codebase, yet is essential to have at
    hand during maintenance.
    
    All of the information was determined/updated by jry@ with the help of
    Ondrej at Asix when he did lots of fixes and improvements to asix-sigma.

commit 735ed8a18e958456b714004408fad3c7f7d72a4c
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Thu May 25 23:43:04 2017 +0200

    asix-sigma: Enforce optionally specified sample count
    
    The Asix Sigma hardware does not support a sample count limit. Instead
    this optional input parameter gets mapped to a sample time, and some
    slack for hardware pipelines and compression gets added. When data
    acquisition completes and sample data gets downloaded, chances are that
    there is more data than requested by the user.
    
    Do enforce the optional sample count limit. Stop sending data to the
    sigrok session when the configured number of samples was sent.
    
    This commit is based on work done by jry@.
    
    This fixes bug #838.

commit 22f64ed88c2128ebadf09eafa3e12c8ed76cff7f
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Thu May 25 22:55:00 2017 +0200

    asix-sigma: Acquisition stop, symbolic identifiers for mode register fields
    
    Enhance how the data acquisition is stopped. Wait for the hardware to
    flag the successful completion of data retrieval as well as flushing
    through hardware pipelines.
    
    Use symbolic identifiers for the mode register's fields (for read as
    well as write access).
    
    This commit uses part of a code update to better match the documentation
    done by jry@, but not all of it to reduce the size of the commit.

commit f06fb3e9f1fdfc3780bfa8cb06f76a2d630d6f1c
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Thu May 25 22:09:54 2017 +0200

    asix-sigma: Nit, separate declaration from assignment statements
    
    Minor adjustment for improved readability. Don't hide assignments in
    variable declarations. Move initialization of some variables closer to
    related evaluation or subsequent processing. Break a complicated looking
    roundup expression into several short steps.

commit 84a6ed1a126e0877a4166c2aa7d40f409180fdde
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Thu May 25 21:57:30 2017 +0200

    asix-sigma: Fix a register addressing bug (non-issue)
    
    Fix how the READ_ID register index was passed to the hardware access.
    Addresses are sent in nibbles, so shift by eight is wrong here. No harm
    was done, as the register's index is zero.

commit a9016883f800c40a1866c3f0d011cdb0c256888b
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Thu May 25 19:47:31 2017 +0200

    asix-sigma: Only download firmware when necessary
    
    The Asix Sigma driver is aware of three firmware images, which are
    required for acquisition with up to 50MHz, 100MHz, and 200MHz. The
    previous implementation always downloaded the corresponding firmware
    image whenever the sample rate has changed, which was redundant.
    
    Skip the download when the new samplerate uses the same firmware as the
    previously selected samplerate did. This results in faster responses in
    the GUI when the samplerate selection changes.
    
    Move assignments out of the variable declaration block for improved
    readability while we are here.

commit 85c032e48553458b43d0eb8315a7587abee4493f
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Apr 23 16:51:31 2017 +0200

    asix-sigma: Properly decode data gathered at 100 and 200 MHz
    
    The hardware provides captured data at a maximum rate of 16bits per 20ns
    (50 MHz). For samplerates of 100 and 200 MHz one individual 16bit entity
    contains multiple samples for a reduced number of channels. The bits of
    several sample points are interleaved within the 16bit entity.
    
    This commit is based on work done by jry@ who fixed a lot of issues with
    the help from Ondrej at Asix.
    
    This fixes bug #840.

commit 3281cf59aa822563e6ce2f5a21597e59327296ad
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri May 26 01:34:55 2017 +0200

    asix-sigma: Stabilize channel assignment for different samplerates
    
    Adjust the interpretation of acquired sample data such that regardless
    of 50/100/200MHz samplerate the assignment of LA pins to sigrok channels
    remains stable.

commit 0498f7439fc5c205448cfdb57fec5b4361cc4fad
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Apr 23 14:15:57 2017 +0200

    asix-sigma: Factor out access to sample data and session data
    
    Introduce helper routines to access the sample data that is provided by
    the ASIX hardware, as well as the buffer which accumulates logic data
    before it gets sent to the session's datafeed.
    
    This hides endianess issues from call sites, and prepares access to
    memory layout which varies with sample frequencies.
    
    This commit is based on work done by jry@.

commit de3f7acb4df5ff584b116b6c5f1a1eee0814ccf5
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Thu May 25 19:06:36 2017 +0200

    asix-sigma: Disable support for triggers, they don't work right now
    
    This works around bug #359. Triggers currently are not operational for
    Asix Sigma. Don't claim support in the driver so that UIs won't use the
    feature. Yet allow research in this issue, by concentrating the switch
    for the feature's support in a central location.
    
    Add/update a comment and unobfuscate an error code path while we are here.

commit e686119cc287164b0043c44857ab4cf2faedde53
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Thu May 25 13:31:46 2017 +0200

    asix-sigma: Nit, remove redundant USB VID/PID declaration
    
    Both the .c and the .h file declared the same identifiers for USB
    properties of ASIX hardware with identical values. Remove the .c
    incarnation and keep the .h content, as the names are used in api.c
    as well as protocol.c sources.

commit 9a0a606a8215aa7fd41bb72a3653dff7ef54505b
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Apr 23 18:20:44 2017 +0200

    asix-sigma: Improve sample time estimation, consider hardware pipeline
    
    Introduce a separate routine which maps sample counts and sample period
    to an elapsed sample time after which acquisition shall get stopped.
    Add some more time to make sure the most recent captured data has passed
    the hardware pipeline and is available for download.
    
    This commit is based on work done by jry@.

commit a44b3b3f166e60e1023371f0cf47bbd68182f0bf
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Apr 23 13:29:51 2017 +0200

    asix-sigma: Fixed RLE decoder
    
    When "tsdiff < EVENTS_PER_CLUSTER" we don't want "tsdiff - EVENTS_PER_CLUSTER"
    (a negative number) to be treated as (int).
    
    Submitted-By: jry <jrysig@gmail.com>
    [ gsi: massaged for mainline submission ]

commit 42be2adb5ab329a0b22d9df392d8eca84d5d9acf
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 24 20:05:03 2017 +0200

    Add APIs to query libsigrok build information.

commit 9d12555fba786b0e820a530efbfb574b5ad13245
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 24 19:04:17 2017 +0200

    serial-dmm: Use a custom dummy struct for m2110.
    
    This DMM/parser is not related to metex14, don't use that struct.

commit decc199654728e97455f4939611578386066b63a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 24 01:34:06 2017 +0200

    uni-t-dmm: Fix incorrect Tenma 72-7745 list entry.
    
    This is a regression from f05406117d67de3bd8aa5f904573bdd5d7ba401f.

commit 06f0872ea95f88a2f944f0c9b7a477a7793dfe06
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 24 01:29:28 2017 +0200

    uni-t-dmm: Add missing special cases for some ES519xx protocols.

commit 8a68f96eaec1f3cc664d98282fa087ea95fd24b1
Author: Angus Gratton <gus@projectgus.com>
Date:   Wed Apr 12 17:26:45 2017 +1000

    fx2lafw: Always enable wide sampling for dslogic firmware
    
    Fixes regression in 8399f68a3.
    
    Ref: https://sourceforge.net/p/sigrok/mailman/message/35780588/
    
    Signed-off-by: Angus Gratton <gus@projectgus.com>

commit 45fcaf2ccad796b4bc4434d81b1d0e23f11a8eae
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 23 07:44:42 2017 +0200

    ut71x: Fix incorrect resistance values on some DMMs.
    
    The resistance values of some DMMs were incorrectly reported due to a
    missing factor of 10 in the calculations.
    
    Tested on Voltcraft VC-920/VC-940 and Tenma 72-9380A/72-7730/72-7732.

commit 7db9027985c2d59eccb0a20979bf5d7c699c8c8b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 21 18:35:21 2017 +0200

    demo: Retain the default of 8 digital channels for now.

commit b1e6eec6f5f792e3b17eb8a63dd2f08ba56ff0ac
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri May 5 23:20:43 2017 +0200

    demo: support up to 128 logic channels, enable the lower 8 by default
    
    Bump the number of supported logic channels from 8 to 128. This is
    mostly motivated to test the 64 channels limit which some of the
    components/subprojects of the sigrok project might have (input/output
    modules, user interfaces).
    
    Only automatically enable the first 8 of the 128 total logic channels,
    i.e. default to the previous behaviour. Prepare to only enable part of
    the set of analog channels, but stick with their being active by default
    as well.
    
    Factor out the choice for the default logic pattern, too. This allows
    for easier adjustment of the default configuration, when settings are
    concentrated in a single spot.

commit 81d53a29d6afad1e091bb765d6952ec047e0dc6a
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri May 5 22:35:38 2017 +0200

    demo: add "cable squid" logic waveform (works-with logo, many channels)
    
    Extend the demo driver, add another waveform choice for logic channels.
    Create a "cable squid" logo representation which occupies a large number
    of channels.
    
    This pattern occupies 128x128 pixels. Unlike the 'sigrok' pattern it
    gets repeated when more channels are involved, but is not shifted in the
    repetition.

commit 2b17aeb87453b956ff686c6393fa688adbc9e0b9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun May 21 16:34:41 2017 +0200

    ut71x: Fix float printing issue in a debug message.
    
    Old:
    ut71x: Applying exponent -12, new value is 0.000000.
    P1: 1.500 nF AUTO
    P1: 1.500 nF AUTO
    
    New:
    ut71x: Applying exponent -12, new value is 1.5e-09.
    P1: 1.500 nF AUTO
    P1: 1.500 nF AUTO
    
    This fixes bug #700.

commit 16a1d50a6372725c6b4f5b76175f62a64366bfa0
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sun May 21 17:10:38 2017 +0200

    Virtual session: Workaround for SR_CONF_CAPTUREFILE (#944)
    
    This is a (hopefully temporary) workaround for the
    SR_CONF_CAPTUREFILE mechanism. The value for
    vdev->capturefile is set by this, however only once
    via stream_session_data().
    During stream processing in stream_session_data(),
    capturefile may receive new values - e.g. when there
    are multiple logic files or if there is analog data.
    With that, the initially set capturefile is overwritten.
    
    When re-loading the file, we are then running into
    issues because we don't know what the initial value was.
    As all .sr files use "logic-1" by default and, we
    simulate the behavior of stream_session_data() and
    assign this name to capturefile if there are logic
    channels present.
    
    With this change, all three kinds of files reload
    as expected: logic only, analog only and mixed signal.
    For this reason, it's a short-term fix for #944.

commit 6fb5570b15a5566b9b3dc8814c728ed9edf4d828
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sun May 21 09:20:42 2017 +0200

    Virtual session: rename num_channels to num_logic_channels

commit 64f628bf8a7b94073de14e34d70a2b23c955f1b0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 17 01:07:56 2017 +0200

    hantek-6xxx: Only list DC coupling once.
    
    Avoid incorrect indexing and the follow-up segfault.
    
    This fixes bug #822.

commit 01dd7a4cc769d3e683cb29c5cf791e9c61034f31
Author: Martin Ling <martin-git@earth.li>
Date:   Wed May 17 00:04:07 2017 +0100

    rigol-ds: Handle digital channels correctly for MSO2000A series.
    
    The handling of the digital channels for this series is somewhere
    between that of the DS1000D series (PROTOCOL_V2) and the MSO1000Z
    (PROTOCOL_V4).
    
    The :LA command set is similar to that of V4, but the LA data has to be
    requested with :WAV:SOUR:LA and arrives in interleaved form like V2.
    
    None of these changes should affect other models. They only affect the
    case of PROTOCOL_V3 with digital channels, which occurs only for the
    MSO2000A series.

commit 364b09c2a936fd7e98a879c3532fcd2fee4c1e0a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue May 16 22:23:24 2017 +0200

    hantek-6xxx: Fix coupling selection.
    
    Due to an uninitialized variable, switching to/from AC/DC coupling
    (on models that support this) was not working.
    
    This fixes bug #836.

commit 09f24ef2a98d430717929f0476843d3f788ff36a
Author: Martin Ling <martin-git@earth.li>
Date:   Mon May 15 16:16:00 2017 +0100

    rigol-ds: Add model entries for MSO2000A series.
    
    This should be sufficient to fully support these models, unless there
    are protocol differences for the digital channels.
    
    This fixes bug #778.

commit 10892c5b8aa54bee29e908ab457180ca8cdb1011
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Thu May 11 13:51:10 2017 +0200

    output/csv: get proper index for input channels
    
    'j' is the loop variable for channels, not 'ch'.
    
    This fixes parts of bug #844.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 7e7d7bc074fd92d54c2851ad64ed443fdd58fc28
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Thu May 11 13:51:09 2017 +0200

    output/csv: fix a minor leak
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit d3cc09a612a6f8f2bf258bbd33a7dfd2c3a30968
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Thu May 11 13:51:08 2017 +0200

    output/csv: fix segfault with logic channels
    
    'i' was iterating in steps of unitsize. However, the destination array
    was also indexed with it, but it is of u8 type. Let 'i' run bytewise and
    only multiply with unitsize when we need it.
    
    This fixes parts of bug #844.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 6a235225b3817d45c3d4d1b9ce2c4928c1472256
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Thu May 11 13:51:07 2017 +0200

    output/csv: fix segfault when naming logic channels
    
    'j' is the loop variable for channels, not 'i'.
    
    This fixes parts of bug #844.
    
    Reported-by: Maxim Sloyko <m.sloyko@gmail.com>
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 8005151b8783b002f5e07aa9e4e077ea6aed1688
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 18 20:55:20 2017 +0100

    output/csv: Fix a compiler warning.
    
    src/output/csv.c: In function 'dump_saved_values':
    src/output/csv.c:461:6: warning: format '%lu' expects argument of
    type 'long unsigned int', but argument 3 has type 'uint64_t' [-Wformat=]
          ctx->sample_time, ctx->value);
          ^

commit ef7fb1abffad411c1bf20099228e4d23db402a81
Author: Martin Ling <martin-git@earth.li>
Date:   Wed May 10 00:33:58 2017 +0100

    rigol-ds: Send *OPC? after commands that don't return a value.
    
    Fixes #933.
    
    We'd already had this problem elsewhere and thus have this wrapper function
    that does this where necessary. It just wasn't in use on these two call sites,
    which was causing timing problems when used over tcp-raw or VXI transports.

commit bf8a02b63339ac48271ec0c8d4d554e4435b2a44
Author: Johannes Römer <jroemer@posteo.net>
Date:   Sun May 7 17:21:47 2017 +0200

    hameg-hmo: Add support for Hameg HMO3524

commit adee480c020cf37072f590d4348a737d892e70a6
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Apr 16 16:47:03 2017 +0200

    output/vcd: minor nit, remove unused variable

commit fe3004f5a08d84a0fe9401c49970a06ddab04a20
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Apr 16 17:17:27 2017 +0200

    minor nit, fixup whitespace in libsigrok.h

commit b7939d7cac2fa51c5d9ba84c7ea7aee85f8395d6
Author: Soeren Apel <soeren@apelpie.net>
Date:   Thu May 4 18:40:39 2017 +0200

    De-init vdev->capturefile when done
    
    Without doing this, re-reading the input file
    results in a segfault as the internal state
    machine becomes confused.

commit b853eb76fbee3c03d64c03b1cb8af0585684dfcf
Author: Gwenhael Goavec-Merou <gwenhael.goavec-merou@trabucayre.com>
Date:   Sun Apr 30 15:57:40 2017 +0200

    openbench-logic-sniffer: fix acquisition restart with trigger enabled
    
    With trigger enabled, and with PulseView, a second (or more) acquisition
    starts immediately instead of blocking. It's mandatory to try several times
    to have a correct behavior.
    
    According to http://mygizmos.org/ols/Logic-Sniffer-FPGA-Spec.pdf section 2.3.1
    p.8, the Openbench Logic Sniffer must be reset before each arm command.
    
    This fixes bug #809.
    
    Signed-off-by: Gwenhael Goavec-Merou <gwenhael.goavec-merou@trabucayre.com>

commit 244995a2e3cef0f971e21faf82531e785e552f9e
Author: Gwenhael Goavec-Merou <gwenhael.goavec-merou@trabucayre.com>
Date:   Sun Apr 30 15:57:39 2017 +0200

    openbench-logic-sniffer: add a function to handle reset command
    
    Openbench Logic Sniffer reset is a little more complex than a simple send.
    To avoid code duplication, this patch adds a new function dedicated to
    this task.
    
    Signed-off-by: Gwenhael Goavec-Merou <gwenhael.goavec-merou@trabucayre.com>

commit 07d4e86316cad233abe1d5890cd56de35e69618f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Mar 31 19:47:18 2017 +0200

    README: Fix incorrect gcc/clang minimum versions.
    
    https://gcc.gnu.org/projects/cxx-status.html#cxx11
    https://clang.llvm.org/cxx_status.html

commit 81eb36d640b364bf955fd26b2a3987c56e0a720f
Author: Marc Schink <sigrok-dev@marcschink.de>
Date:   Wed Mar 29 18:33:36 2017 +0200

    scpi-pps: Add initial support for R&S HMC8043

commit 3474ec2361148729736c0a104d03330eff21970e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Mar 27 08:55:17 2017 +0200

    contrib/z60_libsigrok.rules: Use 660 permissions.
    
    It doesn't really make sense to allow anyone to read (but not write)
    USB devices.
    
    This fixes parts of bug #665.

commit 68fefbd75c6fd7a27b96c7a979870547fb7ad5ff
Author: Karl Palsson <karlp@tweak.net.au>
Date:   Wed Mar 1 21:11:57 2017 +0000

    contrib/udev: add note on required name for systemd
    
    Systemd needs the file to be numbered the right way, document this
    properly.
    
    See also:
    https://lists.debian.org/debian-devel-announce/2016/11/msg00008.html
    http://openocd.zylin.com/2804
    
    This fixes parts of bug #665.
    
    Signed-off-by: Karl Palsson <karlp@tweak.net.au>

commit 7a977433368f5d06b584bd7eb80456dabd00359a
Author: Karl Palsson <karlp@tweak.net.au>
Date:   Wed Mar 1 21:09:35 2017 +0000

    contrib/udev: add TAG+="uaccess" for systemd
    
    Instead of replacing the group=plugdev, simply add the TAG as well.
    This allows (in most cases) the same file to be used happily on systemd
    and older group based systems. Some systems may produce warnings about
    non-existant groups, but it remains functional. Approach inspired by
    that taken by the OpenOCD project.
    
    This fixes parts of bug #665.
    
    Signed-off-by: Karl Palsson <karlp@tweak.net.au>

commit 40bbf635fadac32d1e702f02fe571d95338d582b
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue Mar 21 20:45:46 2017 +0100

    uni-t-ut32x: Accept SR_CONF_CONN, fixing scan.

commit df3e608a20620836ecad6d8d4dc6c0b27b1658a8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Mar 16 23:59:58 2017 +0100

    session_driver.c: Increase chunk size for slightly better performance.
    
    Increasing the chunk size from 512ksamples to 4Msamples leads to
    slightly faster session file loading from sigrok session (*.sr) files
    in frontends, while not looking too "chunky".
    
    The performance increase is not really massive, but still noticeable.
    A further increase to, say, 10 or 100Msamples shows no further
    noticeable improvements.

commit f9592d65e9759b9a37c51a090c3504d4328ba4d4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 15 02:31:09 2017 +0100

    fx2lafw: Only sample/send analog data if analog channels are enabled.

commit 5db45cc55d9155f1def688f27ac7ebfd3d7f0069
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 15 01:45:27 2017 +0100

    fx2lafw: Drop unused devc->ch_enabled.

commit 8399f68a3ff44e72b2267d43aaba677b0dbd48b4
Author: Jan Losinski <losinski@wh2.tu-dresden.de>
Date:   Thu Jan 12 04:45:08 2017 +0100

    fx2lafw: Use wide_sampling only if necessary.
    
    This changes the fx2lafw code to only enable the wide_sampling (16bit)
    method, if at least one of the higher eight channels is enabled. This
    has the benefit, that we can use higher samplerates on 16bit LA
    devices if we use only the first eight channels.
    
    The wide sampling is also enabled if we have one or more analog
    channels.
    
    Signed-off-by: Jan Losinski <losinski@wh2.tu-dresden.de>

commit b6be55ce95b8d4d00d64874a05c022846e43cec4
Author: Sven Schnelle <svens@stackframe.org>
Date:   Mon Feb 13 18:48:52 2017 +0100

    SCPI: add sr_scpi_write_data()
    
    Can be used to send raw data on a SCPI connection.
    
    Signed-off-by: Sven Schnelle <svens@stackframe.org>

commit 9a512113ca0cfb34e8a12c678573e3687590ab41
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Mar 10 07:37:05 2017 +0100

    Fix obsolete code comments.
    
    "Probe groups" are called "channel groups" now.

commit 815685462fdab21a390b5aecc253b92753439f06
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 8 19:47:54 2017 +0100

    sr_scpi_free(): Allow NULL as argument.

commit 7b365c47198890da8541a6daf04697c7c7ac88d4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 8 19:45:23 2017 +0100

    sr_scpi_hw_info_free(): Allow NULL as argument.

commit ce375f2a396c4735a12e9105595d7c9f1a366abb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 8 19:33:18 2017 +0100

    sr_usbtmc_dev_inst_free(): Allow NULL as argument.

commit 5801ce7840c72775fbcfaf39e0587f767f070efd
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 8 19:31:22 2017 +0100

    sr_usb_dev_inst_new(): Allow NULL as argument.
    
    (documentation fix, the function always handled NULL fine)

commit 04891a997c137abb5fa423e7de7f5b9a0fd27a49
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 8 19:27:25 2017 +0100

    sr_serial_dev_inst_free(): Allow NULL as argument.

commit 4bf93988023b2428129c8145ef9ea7121400f195
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 8 19:18:17 2017 +0100

    sr_dev_inst_free(): Allow NULL as argument.

commit 8662130615d7a59883c303914f94377032101cb9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Mar 7 22:39:47 2017 +0100

    scope drivers: More consistent config key ordering.

commit d73aacf12a523e332749c0d4a4c4bf4395fcdb03
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sun Feb 26 21:07:46 2017 +0100

    rigol-ds: Fix capabilities listing in config_list()

commit 90230cfa7f7ae62b21169fa2156f54e2902e7ad1
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sun Feb 26 21:01:26 2017 +0100

    lecroy-xstream: Fix capabilities listing in config_list()
    
    This fixes bug #913.

commit 9a17c23bc9810206eae7741bc4b35bc4d78999d3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 8 01:10:19 2017 +0100

    Fix sr_period_string() Doxygen comments.

commit 6984cfb245811df0f691928a6e4224d4f7ac5786
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sat Feb 25 22:19:42 2017 +0100

    Rework sr_period_string

commit ae87e02fad06324de80c24997fc8589780ba3b03
Author: Matthieu Guillaumin <matthieu@guillaum.in>
Date:   Sat Dec 3 20:33:32 2016 +0100

    pce-322a: Adding support for reading memory from PCE-322A SPL

commit f5066b2b610b88e7331c4c0d951a94ea4c999b65
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 5 16:38:48 2017 +0100

    configure summary: Show linker flags.

commit 54d8d22a931a1eae99c3a197c32fc8d42b2e9f5b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 4 18:20:38 2017 +0100

    configure summary: Show whether shared/static build is enabled.

commit 6d13a46ce0a1483fffb342239ca1b10fa354fca2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Mar 2 20:30:23 2017 +0100

    lecroy-xstream: Drop some unneeded "lecroy_" prefixes.
    
    For the time being this driver only handles LeCroy devices, so those
    prefixes are not needed.

commit b295fa5190b5c75d37d66de84a0884e46a23d78e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Mar 2 20:20:19 2017 +0100

    lecroy-xstream: Drop prototypes for non-existing functions.

commit ea257cdc23d0489fd589d0f17e3838db28189a79
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Mar 2 20:05:52 2017 +0100

    lecroy-xstream: Minor whitespace and consistency fixes.

commit 9de47e9e712844f46f693915d405a89846e61084
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sat Feb 25 18:41:47 2017 +0100

    lecroy-xstream: Use sr_period_string()

commit 7002e64a54a5f8586f96f12a41005f8f8f60b2a6
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sat Feb 25 17:49:19 2017 +0100

    lecroy-xstream: Fix compiler warnings

commit d0b913eac47d8a1dc38ce84315b57f896bcf8c82
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sat Feb 25 17:46:00 2017 +0100

    lecroy-xstream: Don't send custom SCPI command to the probed device

commit bb08570f1ad4a6c2a89c8e9afb73f8be08f5a663
Author: Soeren Apel <soeren@apelpie.net>
Date:   Mon Feb 27 10:44:33 2017 +0100

    lecroy-xstream: Change human-readable name

commit 3f2c7c94a1333a0b30f8461b4f6c0069bbcbecdd
Author: Sven Schnelle <svens@stackframe.org>
Date:   Sun Feb 12 20:18:16 2017 +0100

    lecroy-xstream: Add the actual driver implementation
    
    Signed-off-by: Sven Schnelle <svens@stackframe.org>

commit e3b83c5ec3bff62c7b6e13954f2a654139874aa5
Author: Sven Schnelle <svens@stackframe.org>
Date:   Sun Feb 12 20:18:15 2017 +0100

    lecroy-xstream: Initial driver skeleton.
    
    Signed-off-by: Sven Schnelle <svens@stackframe.org>

commit 0d9841ddd6ef917258d95a50d753d80a23fabb90
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Mar 2 14:38:19 2017 +0100

    rohde-schwarz-sme-0x: Add support for SR_CONF_SIGNAL_GENERATOR.

commit 6928c4a9289368573f44b683a464bf6b8dcc71d7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Mar 2 14:35:17 2017 +0100

    Add SR_CONF_SIGNAL_GENERATOR.

commit d7056eead2f2da08c758ac9c4055e032a4351c2f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Mar 2 14:25:27 2017 +0100

    rohde-schwarz-sme-0x: Drop prototypes for non-existing functions.

commit ed1fae0bb3bb6e25c700eeb479ffc5e32db99f14
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Mar 2 14:23:07 2017 +0100

    rohde-schwarz-sme-0x: Minor whitespace and consistency fixes.

commit 9e50659470cb7a34fddeaf27a73a07e5f15e933d
Author: Soeren Apel <soeren@apelpie.net>
Date:   Thu Feb 23 17:33:47 2017 +0100

    rohde-schwarz-sme-0x: Coding style fixes

commit a28b3df111ce6b942d0904b7647b959a48f2b479
Author: Vlad Ivanov <vlad.ivanov@lab-systems.ru>
Date:   Thu Oct 27 09:22:55 2016 -0400

    rohde-schwarz-sme-0x: Initial device support
    
    Signed-off-by: Vlad Ivanov <vlad.ivanov@lab-systems.ru>

commit 97c2710b2c985132ed6a28caf9741ccbcfb23491
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Feb 26 15:43:35 2017 +0100

    hwdriver: Drop unneeded debug message.
    
    The logs already show scan attempts per-driver, no need to also log the
    init per-driver, since that's always happening and cannot (normally) fail.

commit 6ca578feb8a0b5b0cc689c97dd1307935bf0a817
Author: Sven Schnelle <svens@stackframe.org>
Date:   Sat Feb 11 20:16:59 2017 +0100

    Fix analog output display
    
    I've seen the following output from sigrok-cli:
    
    CH1: 478.720 mV
    CH1: -514 mV
    CH1: -0 V
    
    I added some debug, and it seems like the digits value isn't reset
    to the actual value after calling sr_analog_si_prefix_friendly():
    
    using 6 digits
    value2 0.478720 digits 6
    value2 -0.513536 digits 3
    value2 -0.487424 digits 0
    
    This commit fixes this by resetting the value to the actual value before.
    
    Signed-off-by: Sven Schnelle <svens@stackframe.org>

commit 471ac344a5885c73f58cbcd0d0c87f416926afc2
Author: Sven Schnelle <svens@stackframe.org>
Date:   Tue Feb 14 23:30:13 2017 +0100

    Fix initial sample value for demo driver
    
    devc->step is not reset on acquistion start, so acquisition
    starts with a different value every time. Thats annoying when
    using the demo driver to debug sigrok, so lets make sure that
    it's reset to 0.
    
    Signed-off-by: Sven Schnelle <svens@stackframe.org>

commit b020b81b24bf6987cccffc3ea84049e66b9ccdb3
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Wed Feb 1 18:50:26 2017 +0100

    Build: fix #865 yet again
    
    It appears that the symmetry changes of setting CC and CFLAGS correctly
    for C code compilation in commit 104f02f broke things for people using
    some other version of setuptools which uses those vars instead of
    CXX and CXXFLAGS when compiling C++ code. In order to make this work
    everywhere, set _both_ sets of variables as required for C++ compilation.
    No C code is compiled by the python binding module anyway.

commit 1d82f9ade3f1a38991b9be629ed1c1ef7eebac43
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 27 01:14:02 2017 +0100

    README.devices: Update hantek-6xxx entry.

commit efcdec00b7976cfabe20d8aad48153987dc6c774
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 27 01:11:50 2017 +0100

    z60_libsigrok.rules: Add Hantek 6022BL.

commit 759f2ef76265fd3667a365527188e9e15e644819
Author: Sebastian Tabares Amaya <sytabaresa@gmail.com>
Date:   Tue Dec 27 22:41:17 2016 -0500

    Add support for Hantek 6022BL

commit 0ceb70381b02336d8e8130e2a701df4ce944b13a
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Mon Jan 16 11:53:11 2017 +0100

    agilent-dmm: Add support for U124xC.

commit 1af3f40eec5042ec3b22dc8c5e61ec8e291531d5
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Mon Jan 16 11:47:42 2017 +0100

    agilent_dmm: Split generic part of recv_log_u128x() to recv_log().

commit 29bdeeb54937cdfd3adaef98d6acee510cb91a47
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Tue Jan 17 23:42:18 2017 +0100

    agilent-dmm: Add support for Vsense (Non-Contact Voltage).

commit c2e3c322e6427986208aef3df414dfc1e936552f
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Jan 18 00:54:29 2017 +0100

    agilent-dmm: Fix handling of the 2nd channel of 2 channels models.
    
    The 2nd channel of those models is not limited to temperature,
    so it is necessary to query CONF? @2.

commit 4fdedbbb3a5f0caf2765bade0d109b6f917f5f41
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Mon Jan 16 11:45:20 2017 +0100

    agilent-dmm: Set correct length in strncmp().

commit 841aadc95b918fd883d36c6c8555f8cb0e3cd049
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Mon Jan 16 11:44:22 2017 +0100

    libsigrok.h: Add SR_MQ_HARMONIC_RATIO.

commit 35bb2fcef95d23bda27c5b3ec3a014d4e1c22713
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Jan 21 15:17:35 2017 +0100

    scpi_serial: Convert 'got_newline' variable to gboolean.

commit d64be25be4b315bceb7f6d87b1c414a3c94c31c5
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Jan 13 23:10:41 2017 +0100

    scpi: Do not block when reading header of definite length blocks
    
    When using SCPI over serial (over USB), we want the header without waiting
    for the terminating newline, as otherwise the transfer may time out.
    sr_scpi_get_data() will block until the message is complete.

commit 9ea4018f2f7c3bac99f738334ebd57b1e6ae0a2c
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Jan 8 18:32:05 2017 +0100

    scpi_serial: Get rid of intermediate buffer, do not strip newline
    
    Lowlevel access functions should not alter the data. sr_scpi_get_string(),
    which is called by most highlevel access functions, strips newlines
    in a central place, and is only fed with data which contains newlines
    as a final terminator.
    IEEE 488.2 definite length blocks may contain arbitrary data, thus the
    payload up to the provided length should be passed unaltered.
    
    Track if the last received character is a newline, which can be used
    by sr_scpi_get_string() and its callers to determine if the response
    is complete.

commit 37ef582d088190ffcf5f8a649ca622cfc52f289a
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Jan 12 01:20:17 2017 +0100

    scpi: Query current time just once, use microseconds for timeout
    
    g_get_monotonic_time() returns current time in microseconds, use the same
    granularity for storing the read timeout.
    There is also no need to check the timeout if data has just been read.

commit 59b9c3290aef7dfdc58afd0a4db8b347e0878c91
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Jan 14 20:56:08 2017 +0100

    yokogawa-dlm: Mostly fix dumping of current timebase
    
    sr_period_string takes the frequency as its argument, i.e. the reciprocal
    of the timebase. Obviously this will not work for frequencies less than
    1Hz / timebases greater than 1 second, but at least is correct for all
    other available timebases.

commit d8b65ef66112f2c5dccdbe668b05e6856c00ac3d
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Jan 12 00:29:03 2017 +0100

    hameg_hmo: Mostly fix dumping of current timebase
    
    sr_period_string takes the frequency as its argument, i.e. the reciprocal
    of the timebase. Obviously this will not work for frequencies less than
    1Hz / timebases greater than 1 second, but at least is correct for all
    other available timebases.

commit 5223412ebe3cadaab0e9b2a65e591b7cf575c404
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Jan 14 20:50:12 2017 +0100

    tests/strutil: Check output of sr_period_string

commit a547531bf1be0d263a76c1ce53605d70d9a9740b
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Jan 14 20:48:08 2017 +0100

    strutil: Fix sr_period_string output
    
    The output was wrong for all frequencies but 1 Hz, 1 kHz, 1 MHz and 1 GHz.
    With this changes, the output may still be off due to rounding, but will
    be correct as to the shown accuracy.

commit 900846816fed39742b221568939f90acebc38f3c
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Dec 30 13:16:04 2016 +0100

    scpi: Don't process received data of zero length
    
    When nothing was received in a read attempt, we need not adjust the
    buffered data's read position nor the glib string object's size. Skip
    any processing for empty input, just keep checking for timeouts.

commit ad21865fa7bb8bc429615235e90e012541d2b606
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Jan 7 13:08:12 2017 +0100

    scpi: Rephrase buffer resize for free space during SCPI read, add comments
    
    Routine sr_scpi_get_data() checks for free space in the receive buffer,
    and resizes the buffer when free space drops below a threshold. The
    previous logic assumed that the resize and the read logic would interact
    in some specific way to achieve the desired operation.
    
    Adjust the buffer resize such that more free space is pre-allocated, yet
    the payload size of the buffer is not affected. This eliminates the
    dependency of the optional resize logic from subsequent activity for
    reception of data that is non-optional.
    
    Add comments while we are here, outline the steps taken in the
    sr_scpi_get_data() routine.

commit 4889acefb2178f0c7f52ff9d97aa50d2b5607aa6
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Jan 6 22:00:28 2017 +0100

    hameg-hmo: Rephrase the channel constraints check (analog vs digital)
    
    Phrase the logic which checks the use of analog channels and digital
    pods in more generic terms. Place a comment about the contraints' being
    potentially dependent on the specific HMO model. This implementation
    should lend itself better to future adjustment (HMO1002?).

commit e06875b2ce47e128922d63f09ca4e9b3d8105722
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Jan 6 20:53:50 2017 +0100

    hameg-hmo: Map logic data from second digital pod to channels D8-D15
    
    An internal libsigrok implementation detail prevents partial submission
    of logic data for different channel groups in multiple calls. Instead
    one logic packet needs to be sent in a single call, which combines data
    for all channels.
    
    Introduce a logic data storage which folds samples from several channel
    groups that were received at different points in time into a combined
    memory layout of larger unitsize. Stick with the former shortcut of
    passing on the input bytes directly when only the first digital pod is
    used during acquisition.
    
    This change correctly maps data from the second pod to channels D8-D15.

commit 1b0f62df2294af7f4fa9b8ecaed76a5658802095
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Jan 6 18:56:40 2017 +0100

    hameg-hmo: Do read from second digital pod during acquisition
    
    The previous implementation only added one of the digital channels to
    the list of enabled channels that are involved in the acquisition (the
    first one that was found). This means that when the set of used digital
    channels spans more than one pod/group, the second pod will never be
    read from.
    
    Make sure to enable one digital channel per pod/group, such that
    acquisition will retrieve data from all involved input sources.
    
    Add comments while we are here. Mention how the different setup, check,
    start, and receive routines which are spread across several files do
    interact to achieve acquisition.

commit b23eb1d4d13d5ccf23303bf0bd378504f84de580
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Jan 6 18:12:55 2017 +0100

    hameg-hmo: Send exactly one sigrok frame per scope frame
    
    The previous implementation used to put FRAME_BEGIN and FRAME_END
    markers around each received chunk of samples, while those chunks
    correspond to a single channel (analog) or a group of eight channels
    (digital) each. In other words, the hameg-hmo driver had provided a
    multiple of the requested frames, and those frames were incomplete.
    
    Make sure to only send FRAME_BEGIN before the first channel's data,
    and FRAME_END after the last channel's data of a frame. Thus make
    sigrok frames exactly match the scope's frames.
    
    Add some comments on the frame marker and the acquisition stop logic
    while we are here.

commit 65a6794ea1fef5064e7d47403a7bbbed76c3058b
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Dec 30 23:46:27 2016 +0100

    hameg-hmo: Use the host's endianess to read analog channel data via SCPI
    
    Configure the scope to the host's native endianess before downloading
    acquisition data from analog channels. This unbreaks operation on those
    models which default to a representation which differs from the host.

commit d1ad8b10bc9a928cb7b636bcf206ea59736a8658
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Jan 7 21:15:00 2017 +0100

    Revert "hameg-hmo: Support BE format for SCPI sample downloads"
    
    Undo the change which queries the scope's endianess and has the floats
    converted after reception. An alternative implementation will perform
    better.

commit d5a61aaf2d634c4558bda225e64e720104a0203f
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Jan 7 21:16:33 2017 +0100

    Revert "scpi: Don't process received data of zero length"
    
    Undo the change which skips management activities when no data was
    received. This change breaks the current implementation, and needs to
    get deferred until a delicate interaction between the resize and the
    read logic has been eliminated.

commit 2ea1fdf12113311cbe1a4316e9e2efe4d8ac40f0
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Thu Oct 20 09:57:25 2016 +0200

    license: remove FSF postal address from boiler plate license text
    
    Remove the FSF postal address as it might change (it did in the past).
    Reference the gnu.org website instead which is more stable.

commit 661aa24aa6f6715b615a566082c16fa643ebf955
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Dec 31 14:25:07 2016 +0100

    asyc-ii: Rephrase "exponent" logic when parsing packets
    
    Replace a C library strcspn(3) call with the more portable glib
    g_strstr_len(3) routine. This is possible since a single separator
    is searched for, no actual "set of characters" is involved.
    
    As a byproduct, this eliminates a "late" reference to 'cnt' at the
    bottom of the routine, after the value was assigned in a rather distant
    location at the top of the routine. The cost of strlen() should be
    acceptable for a buffer with a single digit total length.

commit 43528280d9727872ede857bb3b6772947d9fb056
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Dec 31 12:54:39 2016 +0100

    asyc-ii: Prefer more portable and common string routines
    
    Replace C language string operations with their glib incarnations for
    improved portability. Prefer a common sigrok float conversion routine
    over a DIY implementation.

commit c2debda60dd729e77ba89e1d3f370ebcc62811f1
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Dec 31 12:48:59 2016 +0100

    asyc-ii: Unobfuscate a comment on packet parse constraints
    
    The specific packet layout puts constraints on the parse logic (case
    sensitive comparison, order of comparison). Fix a comment that made no
    sense before, and better reflect that there are two constraints.

commit 26e8c6a2b2a4523d00c5f462598074faacb086f3
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Dec 30 13:27:29 2016 +0100

    scpi: Rephrase length logic in data block reception, comment/group code
    
    Slightly rephrase the SCPI code which parses the responses that carry
    (binary) data blocks. Be explicit about NUL termination when parsing the
    leading length spec in the response, obsoleting the array initializer.
    Add lots of comments and group source code lines to better reflect
    what's happening from the protocol's perspective.
    
    Fix the returned error code in the path which reads responses of
    excessive length in chunks. The previous implementation detected errors
    but always returned code 0 (success).

commit 904401e8fe8175252d68fcf6e0c0edae902c1c17
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Dec 30 13:16:04 2016 +0100

    scpi: Don't process received data of zero length
    
    When nothing was received in a read attempt, we need not adjust the
    buffered data's read position nor the glib string object's size. Skip
    any processing for empty input, just keep checking for timeouts.

commit d3de86f3ca50a55773c6974f0c336e942030b0bd
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Dec 30 13:11:59 2016 +0100

    scpi: Minor style nits
    
    Drop an initial assignment to a variable which never takes effect.
    Add braces around the body of a more complex if block. Separate routines
    from each other by exactly one empty line.

commit d431e4ec28d5d168bc0d98d5545a585b89d52e8d
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Fri Dec 30 23:46:27 2016 +0100

    hameg-hmo: Support BE format for SCPI sample downloads
    
    When the channel state is retrieved, query the pre-set byteorder for
    SCPI data blocks as well. When samples get retrieved during capture,
    support float representations in either big or little endian format.
    
    This commit unbreaks devices which operate in BE format by default
    (tested with HMO2524). It keeps working with LE format as before. For
    devices which don't support the byteorder query or return unknown
    responses, LE format is assumed for backwards compatibility. The
    device's byteorder is only queried and never set. This makes the
    commit least intrusive.

commit 74413fafb4846ad1c9f99677f58616db6b7eefcd
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Nov 6 12:30:09 2016 +0100

    hameg-hmo: Declare support for 2 pods / 16 channels on HMO2524 and above
    
    A comment mentioned that the models HMO2524 and above support 16 digital
    channels (and thus have two pods for the probes). Move those models to a
    section that declares the respective features, including trigger support
    on the upper digital channels.
    
    Model detection and reflection of supported channels was tested on HMO2524.

commit 40a75c8e9732992e80e055c995edd73f1ff07f2a
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Nov 6 12:08:02 2016 +0100

    hameg-hmo: Release enabled channels when acquisition start fails
    
    Commit db81fbb58261 made sure to release a potentially previously
    allocated list of enabled channels before (re-)building the list in the
    current invocation of acquisition start.
    
    This commit frees the memory in the error path near the failed creation
    already, which reduces the period of time where unused resources are
    held, and eliminates a memory leak when acquisition is not stopped after
    failed start.
    
    Both approaches can coexist. Freeing an empty list is perfectly fine.

commit 2d224dbae735e5d3ea39cbafcd6d280cbd112c31
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Nov 6 11:51:08 2016 +0100

    hameg-hmo: Fix index access for models with 2 pods / 16 digital channels
    
    Fix the code which registers the name of the second pod for digital
    probes. The previous implementation registered the first pod twice, and
    lost the reference to the second pod. No harm was done, none of the
    supported models declared support for two pods so far.
    
    Factor out a channel to group mapping in the registration of digital
    channels, while we are here.

commit f05903ebe387fde85a9d623225268346cc25fd60
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Dec 26 13:14:26 2016 +0100

    serial-lcr: update README.devices (firmware upload, comm port specs)
    
    Catch up with the rename of deree-de5000 to serial-lcr. Put an item in
    the "needs a comm port spec" section, too.

commit 503220ec8d00a8a351a2c1bc659d42132a40f64a
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Dec 26 13:12:35 2016 +0100

    deree-de5000: rename to serial-lcr, update configure logic
    
    The former DER EE DE-5000 driver was a very thin wrapper around the
    ES51919 LCR meter chipset. None of its source was specific to the
    deree-de5000 device. In fact it contained code for all currently
    supported LCR meters, and it's expected that all LCR meters which
    will get added in the future will fit in as well.
    
    Follow the serial-dmm model. Rename the src/hardware/deree-de5000/
    directory to serial-lcr/. Update the configure logic. Although the
    source directory and the configure option are named serial-lcr, the
    LCR meter still is used by specifying the "deree-de5000" device driver
    (which just happens to reside in the serial-lcr driver sources, among
    others).

commit 8626feaeb57aa50d68293f1706593fa8269a3b2e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Dec 20 17:47:59 2016 +0100

    HACKING: Improve description of Doxygen conventions.

commit dc5895cbdd1e2656ce73f9f0a8ed87e696dfe16a
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Nov 28 01:23:38 2016 +0100

    serial-dmm: add DMM entry for Metrix MX56C (ASYC-II based)

commit 4ba4d52a8f9c66f6b941a545e17c684e65356aff
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Mon Nov 28 01:01:15 2016 +0100

    dmm: introduce support for ASYC-II 16-byte protocol in PRINT mode
    
    Introduce an asycii.c source file (modelled after metex14.c) which
    implements support for the 16-byte protocol of the ASYC-II multimeter
    chipset (RX only, when the PRINT button was pressed).

commit 6c62c605f950a42818f154f614fc00afb2106827
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Dec 5 12:19:05 2016 +0100

    Consistently use the "PeakTech" vendor name spelling.
    
    (as per vendor website, and also to be consistent with our wiki)

commit 9d8f363d35572c03f3f0d75d254f57d17dc51ed9
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Tue Dec 6 21:01:23 2016 +0100

    Bindings: Link C++ code with gnustl_shared if it exists (Android)

commit e83a8f495855b950953d775e7a8f7a6f53f499b9
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Tue Dec 6 21:00:25 2016 +0100

    Java: Use correct JNI function when calling Vector.add

commit fef90b410162bcdb3a7690e15dfabbf90b4f595d
Author: Vlad Ivanov <vlad@ivanov.email>
Date:   Sun Nov 13 14:22:27 2016 +0300

    fx2lafw: fix device product string check
    
    Signed-off-by: Vlad Ivanov <vlad@ivanov.email>

commit 7087a8b0fa24ac9e579ce68452f025a73d115dcb
Author: Karl Palsson <karlp@etactica.com>
Date:   Tue Nov 22 13:12:55 2016 +0000

    fx2lafw: warn on fail to open plausible devices
    
    Instead of silently ignoring all devices that fail to open.
    
    This fixes bug #867.
    
    Signed-off-by: Karl Palsson <karlp@tweak.net.au>

commit 104f02fda1f991654de3e87fb9f40c599fa26c80
Author: Vadim A. Misbakh-Soloviov <git@mva.name>
Date:   Thu Nov 10 16:56:43 2016 +0700

    Makefile: fix for #865.
    
    Buildsystem wants CXX to be defined as $(CXX).
    Otherwise it fallbacks to default value, which does not contain
    "-std=c++11" statement.
    
    Other changes (like CC=$(CC) and CFLAGS=$(CFLAGS) instead of CXX ones)
    is not directly fix the issue, but fix cases, where CFLAGS (and CC)
    differs from CXX* ones, so it could lead to similar errors in the future.

commit f504779c120713727d2d01cbd3ad38175a829a4f
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Wed Nov 16 16:42:37 2016 +0100

    Bindings: Make Ruby bindings build with Ruby 2.0
    
    The alias "rb_ary_new_from_args" for "rb_ary_new3" was not introduced
    until in Ruby 2.1.

commit ced210d53a62086680ca2da97efc14cca2cd8368
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Nov 6 22:20:05 2016 +0100

    deree-de5000: add driver item for the Peaktech 2170 model
    
    Register another driver for the Peaktech 2170 LCR meter, which is
    based on the ES51919/ES51920 chipset, too.

commit beedfa06b6442db8c6a92dd18498c6ffefe6b503
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Nov 6 22:01:37 2016 +0100

    deree-de5000: prepare to add more ES51919 based LCR meters
    
    The "deree-de5000" driver is a very thin wrapper around the ES51919
    chipset. We expect more models from other vendors to use that same
    support code.
    
    Model the registration of vendor/model combinations after the serial-dmm
    approach. Register the DER EE DE-5000 device as the currently only
    member in a list of drivers which all use the ES51919 chipset (no model
    specific routines are registered in the absence of support for other LCR
    meter chips).
    
    This commit does not change the driver's behaviour nor the set of
    supported hardware. It prepares the addition of more drivers in the
    future.

commit 82458e50b1d711fcc5b179900691cdfb77cb86e1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Nov 6 14:45:08 2016 +0100

    serial-dmm: Expand a code comment.

commit d5b1b76d65c446bed0dbabdccd66e51d8cdc8298
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 18:01:43 2016 +0100

    serial-dmm: comment nit on the UART bitrate for ES519xx chips
    
    Factor out identical comments on the UART bitrate of ES519xx based
    multimeters. These probably got copied from the first item as of 2012
    when new items were added in 2014 (the added devices were from the
    same vendor and rebadged).
    
    Expand on the fact that the bitrate still is within spec, and does not
    harm at all. Strictly speaking the comment could get dropped.

commit 89a3d8af3a5f3a1d265ec396fdb3d4c9d69ee7c3
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 17:54:29 2016 +0100

    serial-dmm: sort the list of device drivers (part 12, vc870)
    
    This commit puts 'vc870' meters into one group. Which completes the
    series of commits which sort the list of supported serial DMMs.

commit 53e875ab165f420d02d7132da07dd6f4ba509e98
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 17:35:36 2016 +0100

    serial-dmm: sort the list of device drivers (part 11, sort ut71x)
    
    This commit sorts items in the 'ut71x' group. This is separated from
    collecting the group to reduce the diff size and simplify verification.

commit 6c6e5e47f0c405e8d5a1eb3684152a99d358ff0e
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 17:32:53 2016 +0100

    serial-dmm: sort the list of device drivers (part 10, group ut71x)
    
    This commit puts 'ut71x' meters into one group. Item order is kept to
    reduce the diff size and simplify verification.

commit 9249648863f961b754d9d3406949f4eaab0114d7
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 17:29:35 2016 +0100

    serial-dmm: sort the list of device drivers (part 9, rs9lcd)
    
    This commit puts 'rs9lcd' meters into one group.

commit b35d0023a88b4871be3d4de542b8b170f122ed9e
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 17:01:39 2016 +0100

    serial-dmm: sort the list of device drivers (part 8, sort metex14)
    
    This commit sorts items in the 'metex14' group. This is separated from
    collecting the group to reduce the diff size and simplify verification.

commit ab34156b900e0166a75d03ceb6f36e4a7cc92415
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 16:55:45 2016 +0100

    serial-dmm: sort the list of device drivers (part 7, group metex14)
    
    This commit puts 'metex14' meters into one group. Item order is kept to
    reduce the diff size and simplify verification.

commit 0e27643ff81858262fe0dc864dc962bf030b06ba
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 16:52:27 2016 +0100

    serial-dmm: sort the list of device drivers (part 6, fs9922)
    
    This commit puts 'fs9922' meters into one group.

commit 1cd40b57d67cadc6abbf7009917d85d8f80fb64d
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 17:23:34 2016 +0100

    serial-dmm: sort the list of device drivers (part 5, sort fs9721)
    
    This commit sorts items in the 'fs9721' group. This is separated from
    collecting the group to reduce the diff size and simplify verification.

commit 289e1f4e7b57a711de0ffaeaf2a89a8821ad0831
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 17:12:43 2016 +0100

    serial-dmm: sort the list of device drivers (part 4, group fs9721)
    
    This commit puts 'fs9721' meters into one group. Item order is kept to
    reduce the diff size and simplify verification.

commit 7532f61d1ba618e76628f6ea3db07f6dad7a751e
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 16:40:35 2016 +0100

    serial-dmm: sort the list of device drivers (part 3, es519xx)
    
    This commit puts 'es519xx' meters into one group.

commit 440a374fe3799a72e1b244879490ba2814d2e74a
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 16:31:11 2016 +0100

    serial-dmm: sort the list of device drivers (part 2, dtm0660)
    
    This commit puts 'dtm0660' meters into one group.

commit c06785841cd217ad01e32be9201dca69b1f8818d
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sat Nov 5 16:19:58 2016 +0100

    serial-dmm: sort the list of device drivers (part 1, bm25x)
    
    The previous implementation seems to have added drivers in their "order
    of appearance". Start sorting the rather long list, to simplify several
    tasks: Add new entries as more drivers get written, find existing items
    during research, identify and compare similar models during maintenance.
    As a byproduct, there will be no doubt about where to put things during
    future work :) and duplicates will be spotted immediately.
    
    This commit puts 'bm25x' meters into one group. And comments on the sort
    order and motivation for sorting the table.

commit 6b7e644e5c5ca8fd501303a812293a00d830cd32
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Tue Oct 18 20:35:23 2016 +0200

    es51919 lcr: unbreak channel setup after successful detection
    
    Commit 6bcb3ee8763bb introduced initial support for the Cyrustek ES51919
    chipset. Its setup_channels() routine used to init a variable to assume
    failure, then a loop added channels and changed the value to success.
    
    Commit 5e23fcab889c6 changed channel setup to never fail, but kept the
    initialization with an error code. Which prevented the operation of
    successfully detected LCR meters.
    
    Remove the no longer needed variable, instead always return success from
    an operation which cannot fail.
    
    Fixes: 5e23fcab889c6 "Simplify channel creation."
    Signed-off-by: Gerhard Sittig <gerhard.sittig@gmx.net>

commit e68c0eb4097e4a01d65c71f473a48c367e06609d
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Wed Oct 12 12:10:04 2016 +0200

    serial-dmm: add support for Peaktech-3330 (based on FS9721)
    
    Add another DMM entry for Peaktech-3330, which is based on the FS9721
    chipset. Support was tested with the CP210x based USB cable.
    
    Signed-off-by: Gerhard Sittig <gerhard.sittig@gmx.net>

commit 0150fdca549411e2d5111629c786e4e53c6208cc
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Oct 16 18:25:23 2016 +0200

    output/ascii: add support for user configurable character set
    
    Since tastes and requirements might differ, introduce support for a
    user specified character set in the construction of ASCII art graphs
    of signal levels. The syntax is "charset=<low><high>[<fall><rise>]",
    the default remains backwards compatible with existing consumers.
    
    In comparison to assuming a fixed character set, this change addresses
    several distinct aspects:
    
    Users can adjust the output for "higher visual contrast", or "straight
    lines" instead of dotted patterns, or "increased difference in height"
    for low and high signal levels, or "filled" (block like, "wall of text")
    appearance of periods with high levels. User adjustable characters are
    needed, as no single fixed set can satisfy the differing expectations.
    Perception of the output heavily depends on specific terminals and fonts
    in use.
    
    Then there is the issue of levels versus edges, and how their timing
    relates. By default edges are drawn at a point in time where the signal
    was sampled and was deteremined to already _have_ changed and have
    settled to the new level, which means that the position of edges in the
    resulting graph might be off by up to one sample period. Strictly
    speaking, the available set of samples only contains levels, and does
    not hint where exactly an edge might have occured. Though this might be
    considered rather nitpicky, representing the graph without edges does
    better reflect the input data, and might simplify postprocessing.
    
    Compare the previously only supported format (still the default, -O ascii):
    
      1:...................................................../""""""""""""""""""""
      1:""""""""""""""""""""""""""""""""\.........................................
      1:..........................................................................
    
    to those example alternatives:
    
      $ sigrok-cli -i file.sr -O ascii:charset=_\"\\/
      1:_____________________________________________________/""""""""""""""""""""
      1:""""""""""""""""""""""""""""""""\_________________________________________
      1:__________________________________________________________________________
    
      $ sigrok-cli -i file.sr -O ascii:charset=_\"
      1:_____________________________________________________"""""""""""""""""""""
      1:""""""""""""""""""""""""""""""""__________________________________________
      1:__________________________________________________________________________
    
      $ sigrok-cli -i file.sr -O ascii:charset=_^
      1:_____________________________________________________^^^^^^^^^^^^^^^^^^^^^
      1:^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^__________________________________________
      1:__________________________________________________________________________
    
      $ sigrok-cli -i file.sr -O ascii:charset=_M
      1:_____________________________________________________MMMMMMMMMMMMMMMMMMMMM
      1:MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM__________________________________________
      1:__________________________________________________________________________
    
      $ sigrok-cli -i file.sr -O ascii:charset=_X
      1:_____________________________________________________XXXXXXXXXXXXXXXXXXXXX
      1:XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX__________________________________________
      1:__________________________________________________________________________
    
    Signed-off-by: Gerhard Sittig <gerhard.sittig@gmx.net>

commit 6c23b710ec21b6937be059aa7cb14313e929ec7c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 2 19:09:22 2016 +0100

    udev: Add comment about Rocktech BM102.

commit 545c04f139a558c73d556041a632d4f60790460c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Nov 2 19:08:57 2016 +0100

    udev: Add DreamSourceLab DScope VID/PID.

commit 7305457f6143e0def819f3d17ff6500a080aaa9f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Oct 31 15:30:12 2016 +0100

    udev: Update for new post-firmware Hantek 6022BE VID/PID.

commit 7dc72c37e22ba8d1eea5a7e67f753bb118317b6a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Oct 31 14:42:29 2016 +0100

    hantek-6xxx: Add "fx2lafw-" prefix to the firmware files.

commit 459324acb8769240513e0bb3ef3c04ad295e8b19
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Oct 12 22:33:19 2016 +0200

    hantek-6xxx: Update driver to use the USB product version field.
    
    We now require the use of the latest fx2lafw firmware which uses the
    same USB VID/PID (1D50:608E) for the Hantek 6022BE and the variants
    and rebadges of that device (e.g. the SainSmart DDS120).
    
    The variants can be distinguished via the USB product version field.

commit f6e7b6124a646b0ece644681d4e0172ffb30a561
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Mon Oct 17 23:15:51 2016 +0200

    agilent-dmm: style improvement

commit 63bb11babae03609b06bb06a4c48100e72a81cd7
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Fri Oct 14 22:52:17 2016 +0200

    agilent-dmm: add support for Log-* data_source for U128x

commit b907d62fb83ee980abfd19912a1d055740f66fc9
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu Sep 15 18:19:49 2016 +0200

    agilent-dmm: rework job management
    
    This allows much faster and configurable sampling rate, and faster
    reaction to function switch.
    This also gives a more repeatable job ordering and more reliable
    query/reply association.

commit 6ace179e6d33c9e0ad85cbd10d51bfde86993ee0
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu Sep 15 18:14:54 2016 +0200

    agilent-dmm: prepare config handling to easily receive more options

commit 5728718b66d12b82415f400d040dd9933775abb0
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Tue Sep 13 17:57:07 2016 +0200

    analog: use SI prefix only with units that accept SI prefixes

commit d2f6abf6dececc58813760312749bffc343f7cc3
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Tue Sep 13 14:37:30 2016 +0200

    agilent-dmm: fix handling of continuity mode for U128x

commit 7ab126cacbcb95af49231a07c7f027a7443d9399
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Tue Sep 13 14:23:03 2016 +0200

    agilent-dmm: add support for pulse width and duty cycle on U128x

commit cdc311957b6c1fbe68a88ed3a44fefa4a9037605
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Sep 11 19:18:19 2016 +0200

    analog: use correct unit for dBm/dBV

commit 8f68f36bc527f47f09445bbad1779a9fa3a22159
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Sep 11 19:17:34 2016 +0200

    agilent-dmm: add support for dBm/dBV modes

commit d822726dbffea1fabe47bcea3e434eadcfa29b31
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Sep 11 18:56:52 2016 +0200

    agilent-dmm: add support for reading secondary display and temperature

commit 3cc2028382637283884d03af7893003d85c9818a
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Oct 16 18:25:22 2016 +0200

    tests: relax the "version text" length check, accept longer strings
    
    The version text length check fails for git setups that use more digits
    in abbreviated hashes, as is recommended by e.g. the Linux kernel project.
    
    Raise the upper limit for acceptable version strings, and add comments
    on how the limits were determined. The test still might fail in setups
    of slightly different configuration, but now it's easier to see why the
    test failed, and how to adjust the test.
    
    Signed-off-by: Gerhard Sittig <gerhard.sittig@gmx.net>

commit 7c86d8537204caa95d70d92bf5698b32ac35fa10
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Oct 16 18:25:21 2016 +0200

    asix-sigma: fix buffer length check in register write helper
    
    Fix the array size check in the sigma_write_register() routine. The
    'len' parameter specifies the number of bytes to write, while the 'buf'
    array holds one nibble per array item.
    
    The previous implementation (commit e8686e3ae36c1) switched to a
    constant size and made the buffer large enough so that no existing
    request would exceed the buffer, fixing an overflow that was present
    before that commit. But the most recent size check was incomplete and
    might erroneously succeed for larger amounts of write data.
    
    It's assumed that the issue which gets addressed here never occured in
    practice. The constant-size buffer could hold up to 39 bytes of input
    data in their transport representation, while the largest data that was
    passed to the write routine is six bytes (trigger LUT params).
    
    Fixes: e8686e3ae36c1 "asix-sigma: Avoid use of variable length arrays"
    
    Signed-off-by: Gerhard Sittig <gerhard.sittig@gmx.net>

commit 2f7e529ce64c45508adf616b4b48a7a154aa7798
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Oct 16 18:25:20 2016 +0200

    asix-sigma: store "limit samples" value, re-determine "limit msecs" period
    
    The driver internally implements the "limit samples" feature by means of
    the "limit sample period" approach. Determination of the corresponding
    period of time for captures depends on the sample rate as well as the
    maximum sample count, and thus needs to be re-done when either setting
    changes.
    
    Introduce a "limit_samples" variable so that the value is available when
    needed later. As a byproduct the parameter can be retrieved now (get).
    
    Add comments to the sigma_set_samplerate() routine's sections, since
    quite a bit is happening there, and interacts with other locations.
    
    Signed-off-by: Gerhard Sittig <gerhard.sittig@gmx.net>

commit 4154a516de818ace3aabfe5e44cf4c81986074e7
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Oct 16 18:25:19 2016 +0200

    asix-sigma: fix out-of-range access to the samplerates[] array
    
    Commit 2c9c0df86eaf removed the sentinel from the samplerates[] array,
    but did not adjust the test which checked whether a rate is listed in
    the set of supported rates. This could result in an out-of-range access
    beyond the array's last item.
    
    Fix the "listed?" check after iterating the table of supported rates.
    Cope with either presence or absence of a sentinel in the array.
    
    Address some more style nits while we are here. Rename an identifier
    for a local variable which unintentionally might suggest that it would
    be a preprocessor macro (all-caps). Reduce redundancy in data type
    references as well as in the determination of the array size.
    
    Signed-off-by: Gerhard Sittig <gerhard.sittig@gmx.net>

commit 387825dcb1d3ee3fa39286d6048e7bfe86a310b6
Author: Gerhard Sittig <gerhard.sittig@gmx.net>
Date:   Sun Oct 16 18:25:18 2016 +0200

    asix-sigma: update comments in firmware download code paths
    
    The current implementation of the ASIX Sigma firmware download contains
    comments which express uncertainty. Rephrase them, no magic is involved.
    
    Discuss the polarity of the CCLK hardware signal. Which shall eliminate
    potential concerns in future reviews or maintenance.
    
    This commit only updates comments, and does not change behaviour.
    
    Signed-off-by: Gerhard Sittig <gerhard.sittig@gmx.net>

commit efde67a1076110f8d0a7e0e6175eeccd4dc8446a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Sep 26 17:02:54 2016 +0200

    Doxyfile*: Set GENERATE_TODOLIST to NO.
    
    We don't really need or use this. Bugs/issues should go into Bugzilla.

commit ba508e22d4e5ac358489e24b29f458c5bc1fb892
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Sep 19 01:48:56 2016 +0200

    demo: File naming consistency changes.

commit caeb8d7a9d2d5a2497692a23caf066f33f7a34c3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 18 18:54:56 2016 +0200

    hantek-dso: File naming consistency changes.

commit 2cb232a9e42345c3783f4898c5a5049871edc534
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 18 18:52:53 2016 +0200

    fluke-dmm: File naming consistency changes.

commit 6cf1a87bfb803e088234e2e313891d27379880cf
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 18 18:50:11 2016 +0200

    agilent-dmm: File naming consistency changes.

commit 7ade12b470366a03f7bf84e4989c9d3593dc333b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Sep 24 11:41:47 2016 +0200

    resource: Improve logging output.
    
    Don't show duplicate lines (per default) such as
    
      sr: resource: Failed to locate 'saleae-logic16-fx2.fw'.
      sr: resource: Failed to open resource 'saleae-logic16-fx2.fw'.
    
    The first one is now an sr_dbg() instead of sr_err().
    
    Also, mention that a higher loglevel will give more information as to
    where the backend is looking for resources / firmware files.
    
    This fixes bug #806.

commit cad447d21a28438cd34bcfa053383e7487b16b35
Author: Mike Meyer <mwm@mired.org>
Date:   Thu Sep 8 11:06:33 2016 -0500

    output/csv: Add an option to output units for column labels.
    
    This change tweaks the CSV output module to change the label
    setting from on/off to units/channels/off, where channels is the old
    on behavior, and units uses the meaning field to generate the column
    label - except for the generated Time column, which uses the label from
    the X axis when it's generating gnuplot output.

commit d53295e69edda62f966488bb6e4c05c1c842c6fe
Author: Karsten König <remur@gmx.net>
Date:   Sat Sep 24 11:02:14 2016 +0200

    rigol-ds: Add DS1074Z Plus and DS1104Z Plus.
    
    This was successfully tested on a DS1074Z Plus.

commit d5794ad63ac0bc6f090b799b12d310c30860217b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Sep 4 18:16:40 2016 +0200

    contrib: Drop all example gnuplot scripts.
    
    These files (or at least similar ones) can now be generated by the
    CSV output module.

commit f9c6b5cfd3c0f6cb737f6a68f69034ce6819f36d
Author: Mike Meyer <mwm@mired.org>
Date:   Sat Aug 6 16:33:28 2016 -0500

    output/gnuplot: Remove, obsoleted by improved CSV module.
    
    We no longer need a gnuplot output module, the CSV module can output
    gnuplot-compatible data now (and it can also generate .gpi files).

commit e34dbc9d0834d9dac310bc2dce844567adfffd08
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Sep 2 20:06:07 2016 +0200

    csv: Fix a segfault due to a g_malloc() allocating too few bytes.

commit cf1d5f1749fc6b6511c72563233375ac61cfb548
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Sep 2 20:05:52 2016 +0200

    csv: Fix a segfault when using non-hardware input.

commit 9e24c8bc65852e9de82c5e8efdfe15b9bed61dd1
Author: Mike Meyer <mwm@mired.org>
Date:   Fri Aug 5 04:52:08 2016 -0500

    New all-singing, almost all dancing, csv output module.
    
     - It now handles more than one analog value correctly - at least from the
       demo driver.
     - Add column headers from channel names.
     - Add a row dedup capability.
     - Add a sample time column.
     - Add a frame end formatting (for gnuplot).
     - Made almost all formatting controllable or at least optional.
     - Fix it so we can mix analog and digital values.
     - Add outputting a gnuplot script for the data.
     - Count actual channels, not just mine, to find end of sample.
     - Add trigger option (untested).

commit 55ec0b673af83b70615482c0c5ce33b18ef02fa8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Aug 29 21:29:40 2016 +0200

    fluke-dmm: Fix two compiler warnings.
    
      src/hardware/fluke-dmm/fluke.c:312:24: warning: implicit conversion from \
      enumeration type 'enum sr_unit' to different enumeration type 'enum sr_mq' \
       [-Wenum-conversion]
              devc->mq = devc->unit = devc->mqflags = 0;
                       ~ ~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~
    
      src/hardware/fluke-dmm/fluke.c:312:40: warning: implicit conversion from \
      enumeration type 'enum sr_mqflag' to different enumeration type 'enum \
      sr_unit' [-Wenum-conversion]
              devc->mq = devc->unit = devc->mqflags = 0;
                                    ~ ~~~~~~~~~~~~~~^~~

commit 693c52482a55f7eee9da11b084971560058aebef
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Aug 29 21:10:13 2016 +0200

    es51919: Fix a compiler warning.
    
      src/lcr/es51919.c:538:73: warning: comparison of unsigned enum expression \
                    < 0 is always false [-Wtautological-compare]
        if ((analog->meaning->mq = parse_mq(pkt, is_secondary, pkt[2] & 0x80)) < 0)

commit 5c436a3bad14fe6edbc1c3d99006d8e81293ca30
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Aug 29 18:44:43 2016 +0200

    strutil.c: Fix a Doxygen warning.

commit cd04f641a59806fa5c88abd73766d254dcda4012
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Aug 29 18:39:12 2016 +0200

    Fix various sample/time limit regressions.
    
    These were accidentally introduced when the sw_limits helpers were added.

commit cb4b368f17f03d03075a25b2eee1045023b973b3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Aug 29 18:01:08 2016 +0200

    gmc-mh-1x-2x: Shorten some code by using the ternary operator.

commit d9251a2c9f1ca4380c27240ccca90c9f9ed46d3f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Aug 29 17:48:18 2016 +0200

    Remove some unneeded double-spaces.
    
    (also perform some other minor whitespace fixes while at it)

commit 2ecc745ccb837fd990f3ef83e4aca74cffa948cc
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Aug 29 16:43:49 2016 +0200

    device.c: Whitespace/cosmetics and typo fixes.

commit 8dc423b033678508ec08d7c473d883d4b3a58178
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Aug 29 16:15:00 2016 +0200

    analog.c: Whitespace/cosmetics and typo fixes.

commit 4a94c27d956472a587bd5ef0ee6a3867c3088910
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Aug 28 20:16:31 2016 +0200

    HACKING: Prefer git pull requests over mailing list patches.
    
    Also, drop the reference to gitorious.org (no longer available).

commit 7dcaddd3f0df3a87dae252eb1f64f7b0e3997b8f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Aug 28 23:52:48 2016 +0200

    Have remaining drivers default to digits=2 for analog values.
    
    The default so far was 0, which meant there would be no significant
    digits at all, yielding results that looked strange/wrong to the user.
    
    Long-term all remaining drivers should be fixed to use the actual,
    correct digits and spec_digits values according to the device's
    capabilities and/or datasheet/manual. Until that is done, a default
    of digits=2 is used as a temporary workaround.
    
    This fixes the remaining parts of bug #815.

commit 869c83751149aa03cda072355c2b670569cdfc0d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Aug 28 23:50:33 2016 +0200

    Document if or why sometimes digits/spec_digits is 0.

commit a005472fa226ad23b2df42956c448c3cfb6eefa3
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 28 22:53:04 2016 +0200

    appa-55ii: properly set encoding digits also for log memory reception

commit 962172e4950f3fbc42d5a79cdf63dc179d7513be
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 28 22:11:20 2016 +0200

    analog: improve output readability by using SI prefix

commit 6c1c13cdcdee4e5566bc0c2ef0ba9a1f59d2c846
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu Aug 25 01:08:29 2016 +0200

    gwinstek-gds-800: properly set encoding digits

commit 417412c8f88bd71fe5da5c80db0866d48c6908b3
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 24 02:11:24 2016 +0200

    hantek-dso: properly set encoding digits

commit 1e1fdbc994e7c7345698e776e73d7ea5c4d950a9
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 24 00:55:12 2016 +0200

    hantek-6xxx: properly set encoding digits

commit 545101338ac4b283278f3922081428bc81a58810
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 24 01:18:58 2016 +0200

    hung-chang-dso-2100: properly set encoding digits

commit ad4c0275c206d90aa8a8e878d40294248c1f5cd5
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 24 02:38:58 2016 +0200

    baylibre-acme: properly set encoding digits

commit d043b29d5c99c7b72044d19c758c47de4138f0e8
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 24 00:51:46 2016 +0200

    tondaj-sl-814: properly set encoding digits

commit 53b4ea3921a004432d9531ef3b0d9883c2be634e
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 24 00:51:22 2016 +0200

    kecheng-kc-330b: properly set encoding digits

commit dcb6fcbb7b3b0c9a3fe56a1be3cc1c9e45ebd03c
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 24 00:51:08 2016 +0200

    colead-slm: properly set encoding digits

commit 8c50007222b751a6ac81fcd14361f81f90e19442
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 24 00:50:48 2016 +0200

    cem-dt-885x: properly set encoding digits

commit f4bd8a171816d842303f93bd9a8fb24b851aaa80
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 24 00:50:23 2016 +0200

    gmc-mh-1x-2x: properly set encoding digits

commit 796f0e98a29102cd7346e9680e6227ff2787f64a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Aug 21 22:19:57 2016 +0200

    README.devices: Update firmware related information.

commit 96117c5660ec218220328d4244bb794be01d5196
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 18:32:38 2016 +0200

    document encoding.digits and spec.spec_digits

commit b66a0b5bddedfe6399256799bdc783f62dcc7a95
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 17:01:19 2016 +0200

    mic-985xx: fix encoding digits

commit 1db537c3eb3892cd4fc7c2735d2952db4adf72ad
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 17:00:59 2016 +0200

    uni-t-ut32x: properly set encoding digits

commit fa2b19226d562f21fe36e9a73ff2beafc26c8eb6
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 17:00:14 2016 +0200

    lascar-el-usb: properly set encoding digits

commit 0a2ffa3ebf025dd3955319ca0d0750464b8dadac
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 16:59:02 2016 +0200

    center-3xx: properly set encoding digits

commit 0b8205504b4655f2a012a991afc61eefd45e70fb
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 16:58:10 2016 +0200

    kern-scale: properly set encoding digits

commit 3be044aa9012a863d50dcca69c49ccd7d8209c60
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 16:57:58 2016 +0200

    demo: properly set encoding digits

commit bcaadb366f56127b1a39ce54b0de03c975701c4c
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 16:57:28 2016 +0200

    motech-lps-30x: properly set encoding digits

commit 1af428d018b10439071c7e3d948f4099603fa63b
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 16:56:56 2016 +0200

    manson-hcs-3xxx: properly set encoding digits

commit 841c15a5fa6cf20c520e6ec7497186c845cd151b
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 16:56:14 2016 +0200

    korad-kaxxxxp: properly set encoding digits

commit fad810b5022734c98bcac22c2a13c095b96b781b
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 16:55:50 2016 +0200

    atten-pps3xxx: properly set encoding digits

commit 24b6882ffa32b21a3f94de6fef72198116499071
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Aug 21 16:55:06 2016 +0200

    deree-de5000: properly set encoding digits

commit b8f07f42216dd9b07d433d12cb660a617a0c3757
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sat Aug 20 00:56:23 2016 +0200

    rigol-ds: properly set encoding digits

commit 6ed709fecd14e6f122ee1ea18fc15abb4b3c8580
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu Aug 18 15:21:01 2016 +0200

    scpi-pps: properly set encoding digits

commit 4301f1726ac94b111f78c4631586480ed09e6faf
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 22:01:04 2016 +0200

    maynuo-m97: properly set encoding digits

commit a66d44bee19bd0d73df26710a5ce46c9e0be6bb8
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 01:40:11 2016 +0200

    vc870: properly set encoding digits

commit 4f414d4cbe6ceaaab4c03752ce26037c31a2ecea
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 01:37:44 2016 +0200

    ut71x: properly set encoding digits

commit 47166326eff917ced8563b976f85413fab2b3a06
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 01:35:17 2016 +0200

    ut372: properly set encoding digits

commit 96a06b420344f902211cf97c1022391f583191fa
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 01:33:35 2016 +0200

    rs9lcd: properly set encoding digits

commit e677490e58a5ce8f2e735c7d5a53fb1f62e778e6
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 01:28:50 2016 +0200

    metex14: properly set encoding digits
    
    This closes bug #815.

commit 8882e7e6cf121edec20db5651eababacd9b6503c
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 01:27:22 2016 +0200

    m2110: properly set encoding digits

commit aad6d8d20659eda1bd443bb0350d4ad059a90728
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 01:19:40 2016 +0200

    fs9922: properly set encoding digits

commit 70e28e780244427fc645427731ad1ea299228e51
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 01:16:40 2016 +0200

    fs9721: properly set encoding digits

commit 8cbf5627baf007b8766546986ef267868d2ff5b6
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 01:09:13 2016 +0200

    es519xx: properly set encoding digits

commit 427015d7c1cf2b01b05084df5904ad72c636456e
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 01:03:21 2016 +0200

    dtm0660: properly set encoding digits

commit 25198a7e8912acbf2729770278e356b00a6516c0
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Tue Aug 16 18:08:03 2016 +0200

    brymen-bm25x: properly set encoding digits

commit 1baf30f5f713041fb3ac3383c8aafd81090ec446
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 00:14:53 2016 +0200

    brymen-bm86x: properly set encoding digits

commit 5fe1b5cc14819c23622c14f5a0cb545889044172
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Tue Aug 16 18:16:28 2016 +0200

    brymen-bm86x: remove redundant initilialization

commit 7b78449e40028fbfaf1f31c630bc3c5bda06a34a
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed Aug 17 00:52:05 2016 +0200

    appa-55ii: properly set encoding digits

commit 817b7441a1f31788a53f39af7c2f1e08f9de25b2
Author: Erik Montnemery <erik@montnemery.com>
Date:   Thu Aug 18 23:05:11 2016 +0200

    hantek-6xxx: Ignore requests to set Hantek 6022BE coupling.
    
    Here's a patch to "Ignore requests to set coupling for the Hantek 6022BE",
    this clears the LIBUSB errors for me.
    
    Also in the patch:
    
     - There is a crash because config_list() can be called with sdi == NULL.
    
       This can be reproduced by doing:
         "sigrok-cli.exe --driver hantek-6xxx --show"
    
     - There seems to be a very unsafe loop in config_set() when setting COUPLING;
       the coupling vector is assumed to be zero terminated, but is not declared
       as such.
    
       Note: The same issue is present also for other hardware, at least for
       hantek-dso/api.c. The patch is only for hantek-6xxx though.

commit 7f46b27ef2cefa9baf1ef8fdcf547451e85dc702
Author: Sebastian Zagrodzki <sebek@zagrodzki.net>
Date:   Fri Aug 19 15:22:35 2016 +0200

    hantek-6xxx: sdi might be NULL - don't assign devc until !sdi is checked.

commit 0d8a3063e315064ff73f154ea7d94acb41fe8ba6
Author: Mike Meyer <mwm@mired.org>
Date:   Mon Jul 11 11:09:04 2016 -0500

    hantek-6xxx: Fix the device scan to not scan the NULL entry.

commit bf85ea2110f5fc798841b7d912ad6d961c28d6b3
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Mon Aug 15 01:28:55 2016 +0200

    drivers: don't try to access the sr_driver_list section with no driver compiled.
    
    This closes bug #820.

commit 5eb4ba29d06ed4155ec684117d2bb4a5ed268bb7
Author: Benjamin Larsson <benjamin@southpole.se>
Date:   Sat Apr 23 21:48:05 2016 +0200

    hantek-6xxx: only show DC coupling for the Hantek device

commit af7f88242eef2bdcbaa7ff2d58f74ad616305b48
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Aug 14 23:51:49 2016 +0200

    hantek-6xxx: Fix some issues by using power-of-two data sizes.
    
    There were issues when using non-power-of-two data sizes with e.g.
    the Hantek 6022BE device. For example, on Windows the acquisition would
    simply hang and never complete:
    
      hantek-6xxx: receive_transfer(): status LIBUSB_TRANSFER_ERROR received 0 bytes
    
    The issue was reported by Erik Montnemery on the mailing list, the
    original patch was posted by "mmark" here (thanks!):
    
      http://www.eevblog.com/forum/testgear/sainsmart-dds120-usb-oscilloscope-(buudai-bm102)/msg911729/#msg911729
    
    The issue has been verified by me on Windows and Linux, and also that
    this change does indeed fix it (tested Hantek 6022BE and Sainsmart DDS120).
    
    Neither PulseView nor sigrok-cli hang anymore on Windows, and on Linux
    the log messages suggest improvements as well:
    
      -hantek-6xxx: data_amount 712
      +hantek-6xxx: data_amount: 200 (rounded to power of 2: 512)
    
      -hantek-6xxx: receive_transfer(): calculated samplerate == 2327ks/s
      -hantek-6xxx: receive_transfer(): status LIBUSB_TRANSFER_OVERFLOW received 512 bytes.
      +hantek-6xxx: receive_transfer(): calculated samplerate == 1969ks/s
      +hantek-6xxx: receive_transfer(): status LIBUSB_SUCCESS / LIBUSB_TRANSFER_COMPLETED received 512 bytes.
    
    This fixes bug #821.

commit 236303160c955ee58f08d00739b16da37386e6cc
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jul 17 19:39:04 2016 +0200

    Fix a segfault with input/output modules.
    
    Some functions in std.c were using
    
      const char *prefix = sdi->driver->name;
    
    but were called from input/output modules as well (which don't have
    a "driver" field).
    
    As a temporary workaround, use "unknown" as prefix in such cases until
    a more permanent solution is implemented.
    
    This fixes bug #813.

commit ced48274051be6b3b1ed612260c893fdb2525946
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sat Jun 18 21:52:31 2016 +0200

    ensure the only entry point of libdrivers doesn't have visibility=hidden
    
    This fixes the following build issue on OSX:
    Undefined symbols for architecture x86_64:
      "_sr_drivers_init", referenced from:
          _sr_init in backend.o
    
    This closes bug #802.

commit 2f4b0f6a82e02559562927207efffe639a198fa8
Author: Thomas <fullerth@gmail.com>
Date:   Sun Feb 28 18:59:57 2016 -0800

    Add VID/PID for the CWAV USBee ZX.
    
    The hardware is identical to the SX.
    
    This fixes bug #764.

commit 0cce2383bd8ca3ec3e406c3370d022161030304c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jul 3 23:38:29 2016 +0200

    fx2lafw: Set sr_analog_encoding.digits to 2 for now.

commit 2ab0679a340cf0dfb22debdbd79b229a8aed27fb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jul 3 23:03:52 2016 +0200

    fx2lafw: Fix analog scaling.
    
    Thanks to Patrick Remy <patrick.remy2000@gmail.com> for the fix.

commit e8b5205bf336f2e0f59e5acd78b3bc9233ba61fd
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jul 3 16:41:16 2016 +0200

    session.c: Drop unneeded check.
    
    The dev_acquisition_stop() callback is not optional and always present.

commit 0e5a2877595b3746fca4559b38930cb08d9362be
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jul 3 16:40:44 2016 +0200

    uni-t-dmm: Drop unused UNI_T_UT_D04_NEW #define.

commit 43185ed3dc0b33e84109eab89959df5de1405f76
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Fri Jun 17 22:49:46 2016 +0200

    agilent-dmm: add support for U128x

commit 9ae544b6ce98097f9610a0adab8aa14da0d259c9
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Jun 12 01:48:15 2016 +0200

    agilent-dmm: add support for Keysight branded meters

commit 0fe18626bd525e19e674361fa52394155c6fbdcc
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Jun 12 01:46:52 2016 +0200

    agilent-dmm: add support for AC/DC flags in current mode

commit 96ed86253b1d320b8f467581d7a29b9e4a570348
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Jun 12 01:41:26 2016 +0200

    agilent-dmm: fix handling of AC/DC flags in volts mode

commit 4435966e43da77164d517ee2943ac3e3f4c1dee5
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu Jun 23 00:35:58 2016 +0200

    agilent-dmm: output correct number of digits in analog packets

commit 873c0d117f89168106de908d26ea65bd30054d78
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu Jun 23 01:11:35 2016 +0200

    agilent-dmm: split DIOD recv_conf into model specific functions
    
    This reduce overall number of lines and facilitate computation
    of significant digits.

commit 40df76aacbb9f98a6e9e36f53886e1af13f150b0
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu Jun 23 00:30:09 2016 +0200

    agilent-dmm: replace divider by exponent to ease computing of significant digits

commit 28c95cc6c45ede9ec9d184d606bfc16505834429
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Mon Jun 20 22:58:12 2016 +0200

    analog: add support for negative number of digits
    
    When a meter display 105.2 kΩ, libsigrok will return 105200 Ω
    but it is really valuable to know that the last 2 digits are not
    significant, so encoding.digits should be set to -2.
    This would allow a sigrok client to display 105200 as 105.2 k
    instead of 105.200 k.

commit 4d6d660b8306abdbc77a47e48d7f527234ce9a4f
Author: Soeren Apel <soeren@apelpie.net>
Date:   Thu Jun 9 04:36:35 2016 +0200

    Logging: Filter out unwanted newlines
    
    055804e89ea0f6b4145040a0eeb2f4e6951692fe changed the outgoing
    SCPI message termination by always adding a newline. This results
    in the following log output:
    
    sr: [00:00.003102] scpi: Opening VXI device vxi/192.168.178.43.
    sr: [00:00.005648] scpi_vxi: Successfully sent SCPI command: '*IDN?
    '.
    sr: [00:00.005931] scpi: Got response: 'YOKOGAWA,710130,91HC30402,F3.73', length 31.
    
    This patch restores the previous unterminated SCPI message logging:
    
    sr: [00:00.005462] scpi: Opening VXI device vxi/192.168.178.43.
    sr: [00:00.007515] scpi_vxi: Successfully sent SCPI command: '*IDN?'.
    sr: [00:00.007860] scpi: Got response: 'YOKOGAWA,710130,91HC30402,F3.73', length 31.
    
    As it's located in the general logging mechanism, we deal with any
    additional (and unwanted) newlines this way.

commit e264ebded832bc6556f88f771e9598d998aac6ce
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sat Jun 25 21:37:53 2016 +0200

    rigol-ds: properly report which channel is enabled.

commit 9ea62f2e0ac1ae9ee01215148177ae4e6f344078
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sat Jun 25 18:19:47 2016 +0200

    rigol-ds: add support for getting/setting trigger level.

commit 934cf6cf5078f01517da303f21ed2ffee9b878f3
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Mon Feb 23 00:32:01 2015 +0100

    rigol-ds: add PROBE_FACTOR support.

commit 8719638f5ad434684331ca2bd0f18fb759e4f97a
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sat Jun 25 17:21:20 2016 +0200

    rigol-ds: split out vertical config reading in its own function for re-use.

commit 5d8b3913d4dc450b8af0ad028a379be775e278ef
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sun Jun 5 23:10:44 2016 +0200

    group all drivers into a single object
    
    This single object also contains the sr_drivers_init function, that will
    always be referenced. That ensures that the drivers object files won't
    be optimized out during static linking due to the fact that they are
    not referenced directly.
    
    This addresses (parts of) bug #802.

commit d1d3d2e0c4f74625f6f8379a3128412c600ad98d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 18:37:04 2016 +0200

    output/analog: Drop unused fancyprint() and si_printf().
    
    These functions were only used in the SR_DF_ANALOG_OLD case,
    whereas the SR_DF_ANALOG case already used functions and lists
    from src/analog.c.
    
    This closes bug #636.

commit 24f4a9d50bb93c83cf610a789d0f618970f454ef
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 18:01:13 2016 +0200

    session: Drop SR_DF_ANALOG_OLD support completely.
    
    This closes bug #728.

commit 0f574e133c42b2c47a10c75424384e6efd6e0d6b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 16:27:28 2016 +0200

    transform/scale: Drop support for SR_DF_ANALOG_OLD.

commit 09e269ce217b317096340118cd0154a78f83e388
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 16:26:56 2016 +0200

    transform/invert: Drop support for SR_DF_ANALOG_OLD.

commit 23bdb1c997ac55adfc53a57011ea1f4f69b1ddb7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 16:26:04 2016 +0200

    output/analog: Drop support for SR_DF_ANALOG_OLD.

commit 5379fea5eff59c51134a697b1d30048faf2f7c57
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 16:25:33 2016 +0200

    output/csv: Drop support for SR_DF_ANALOG_OLD.

commit c1634386178730fa7b3814272c49cb89d55a0766
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 16:24:23 2016 +0200

    output/wav: Drop support for SR_DF_ANALOG_OLD.

commit 6cdb1da6c95d006d423a6e8c9ed7d6580d85bba4
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 18:01:10 2016 +0200

    session_driver.c: Convert to SR_DF_ANALOG.

commit 8c677240849e5f892a19b4c763b78e0c352637e1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 18:00:14 2016 +0200

    libsigrok-internal.h: Convert to SR_DF_ANALOG.

commit 44040ea65e7980765775d76af734c2d5fb0f8822
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:47:45 2016 +0200

    yokogawa-dlm: Convert to SR_DF_ANALOG.

commit 16544b38567ce7fa309c1b7da886f3c0c85b1e29
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:47:33 2016 +0200

    uni-t-ut32x: Convert to SR_DF_ANALOG.

commit dff60e3ccc5da17a0156d3072a0558732c4be94e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:47:22 2016 +0200

    uni-t-dmm: Convert to SR_DF_ANALOG.

commit f8467403e6f8656179ecd204ca75e307e4d3dfec
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:47:11 2016 +0200

    testo: Convert to SR_DF_ANALOG.

commit c8d9a71e436c1ae3f4f2e9c2fed6c873247e2308
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:47:00 2016 +0200

    teleinfo: Convert to SR_DF_ANALOG.

commit ffa2b6f96c4160d7e38b9b7a02b352ddf2929cbb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:46:47 2016 +0200

    serial-dmm: Convert to SR_DF_ANALOG.

commit 0de290a53e6a704ba119ca704a5e0cdcdcd60c83
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:46:31 2016 +0200

    scpi-pps: Convert to SR_DF_ANALOG.

commit 94885d200d228494aafafeaa30fdce6eb42bfc8b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:46:17 2016 +0200

    maynuo-m97: Convert to SR_DF_ANALOG.

commit ddfe99d92f70a8a26cb3aa809e59c6a242897bd3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:46:06 2016 +0200

    motech-lps-30x: Convert to SR_DF_ANALOG.

commit 5ba417591c92bce8a403b4bc73bb872e925b1e4a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:45:55 2016 +0200

    lascar-el-usb: Convert to SR_DF_ANALOG.

commit 2c9111820afecf909b1a349df38c7b196c5298e7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:45:44 2016 +0200

    kecheng-kc-330b: Convert to SR_DF_ANALOG.

commit 99f8fa25194aca21ec400353902e90eb425bd620
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:45:33 2016 +0200

    hung-chang-dso-2100: Convert to SR_DF_ANALOG.

commit ae7d8a58de7da9d005ffdaa3e48124556fe26846
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:45:09 2016 +0200

    hantek-dso: Convert to SR_DF_ANALOG.

commit 6cfb9729b08a6a048011addb4eb4a2cf93524d2f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:44:06 2016 +0200

    gwinstek-gds-800: Convert to SR_DF_ANALOG.

commit f07482250055966e9c06154c2550aba6ca2bc2c1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:43:50 2016 +0200

    gmc-mh-1x-2x: Convert to SR_DF_ANALOG.

commit a6ad49b39f701a0617e6faa6a3944136e4d9feb6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:41:35 2016 +0200

    fx2lafw: Convert to SR_DF_ANALOG.

commit a8372c3ed9155ba7ccc60f483a144a1d8b864c66
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 27 22:16:15 2016 +0200

    colead-slm: Convert to SR_DF_ANALOG.

commit 4b770103e9d085ce3a070330a4e794ba6414431d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 27 22:16:03 2016 +0200

    demo: Convert to SR_DF_ANALOG.

commit 7f9932e8db3192922674e441ef2978755fd98da7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 27 17:33:46 2016 +0200

    cem-dt-885x: Convert to SR_DF_ANALOG.

commit 3f5cf2a06a35176e7f4ec59ac1288db67a7409e5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 27 17:31:14 2016 +0200

    fluke-dmm: Convert to SR_DF_ANALOG.

commit 1653c4309ab4d5756a2af7520d7d13a63f5e3619
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:30:10 2016 +0200

    brymen-dmm: Convert to SR_DF_ANALOG.

commit a46f869b649a159b98057e58592a4a57a05b343c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:26:13 2016 +0200

    brymen-bm86x: Convert to SR_DF_ANALOG.

commit 633531416b85b3e0e173c8218582993e255eba51
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:23:27 2016 +0200

    baylibre-acme: Convert to SR_DF_ANALOG.

commit 55bee166eb66ffc10409c6787a2fb6457a2fdaf8
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:21:49 2016 +0200

    norma-dmm: Convert to SR_DF_ANALOG.

commit 67eb7c6bdf5253699d09eb6f34cb4cf584d05bfa
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:18:44 2016 +0200

    atten-pps3xxx: Convert to SR_DF_ANALOG.

commit 0417ada03e6dc816472802c8263a1d23d872c618
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:17:15 2016 +0200

    appa-55ii: Convert to SR_DF_ANALOG.

commit 16aef676340f028a06e77f45d76511cc78a18803
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:14:53 2016 +0200

    agilent-dmm: Convert to SR_DF_ANALOG.

commit d4f59ce86d23e41da3f94e3d6cab4b4bc3239359
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:13:26 2016 +0200

    center-3xx: Convert to SR_DF_ANALOG.

commit 563ba4a5c22475357604bffd1e391a4c53c55e50
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:10:34 2016 +0200

    kern-scale: Convert to SR_DF_ANALOG.

commit 246399f7883d1f0876a9e8fa630f1802a70fdf31
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:09:14 2016 +0200

    rigol-ds: Convert to SR_DF_ANALOG.

commit 2e71534118686a5c9246b907617d6fa11e352417
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:06:54 2016 +0200

    korad-kaxxxxp: Convert to SR_DF_ANALOG.

commit 2938c9d1d3506626c83b08645b8398a4bd20ac1c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:04:53 2016 +0200

    hantek-6xxx: Convert to SR_DF_ANALOG.

commit 2463ec77fe51a7d7ec37f32ddd2f024b5f328f52
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:03:08 2016 +0200

    manson-hcs-3xxx: Convert to SR_DF_ANALOG.

commit c68ade3cc721e0d5c5f24c96a4c461c776328037
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 16:33:35 2016 +0200

    tondaj-sl-814: Convert to SR_DF_ANALOG.

commit b02bb45f4cf6378520e5a5b82ff39013cfa270b6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:33:30 2016 +0200

    dmm: Convert to SR_DF_ANALOG.

commit 7ffcf58736e510182a84eed68bc036bf00b0c85e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 28 17:48:04 2016 +0200

    lcr: Convert to SR_DF_ANALOG.

commit c6d527478a4ae04909d9377d50c40c22d5513c43
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 17:11:46 2016 +0200

    scale: Convert to SR_DF_ANALOG.

commit 0f33aaef545e7289a02dc8115b282b24bb16fc27
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 16:20:55 2016 +0200

    input/wav: Convert to SR_DF_ANALOG.

commit 716d6dfcac07d8a07ca0a0b93fdd4063df06258c
Author: Yasushi SHOJI <yashi@atmark-techno.com>
Date:   Sat Jun 4 05:39:29 2016 +0900

    zeroplus: Fix config_list() wrt drvopts/devopts.
    
    When config_list() gets NULL as sdi, it must return driver opts.
    Some drivers, including zeroplus, don't check sdi and return both
    driver opts and device opts.

commit 3ba944cf41212c81d28cad04dea43c5423860893
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Jun 1 09:24:29 2016 +0200

    sw_limits: Log when the sample/time limit is reached.

commit 4b1a9d5d8641080bf10e269aa12a3fc17460365f
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sat May 28 14:13:08 2016 +0200

    Remove unnecessary std_serial_dev_acquisition_stop() wrappers
    
    Now that std_serial_dev_acquisition_stop() has the same signature as
    the sr_dev_driver dev_acquisition_stop() callback it is possible to remove
    the wrapper functions and use std_serial_dev_acquisition_stop() directly
    has the callback function.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 1b38775baa3016fb4d613c971dce5a4f26cacb7b
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sat May 28 13:54:08 2016 +0200

    std_serial_dev_acquisition_stop(): Remove dev_close_fn parameter
    
    All callers of std_serial_dev_acquisition_stop() currently pass the same
    callback for the dev_close_fn parameter as the dev_close callback of their
    sr_dev_driver struct. Remove the dev_close_fn parameter and invoke the
    drivers dev_close() callback directly. This simplifies the API and ensures
    consistent behaviour between different drivers.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 15f96409dc54fd2ef784c59156daedd9acfa78ed
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sat May 28 13:41:03 2016 +0200

    std_serial_dev_acquisition_stop(): Remove serial parameter
    
    All callers of std_serial_dev_acquisition_stop() currently pass sdi->conn
    for the serial parameter. And the other std_serial helper functions already
    require that the conn field of the sr_driver_inst passed to the functions
    points to the sr_serial_dev_inst associated with the device.
    
    Modify std_serial_dev_acquisition_stop() to follow the same pattern and
    remove the serial parameter. This simplifies the API and ensures consistent
    behaviour between different drivers.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit bee2b0168c087676c1b365861d8c2d4714afa9b9
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 8 15:47:35 2016 +0200

    Use driver name as the log prefix in standard functions
    
    Some of the standard helper functions take a log prefix parameter that is
    used when printing messages. This log prefix is almost always identical to
    the name field in the driver's sr_dev_driver struct. The only exception are
    drivers which register multiple sr_dev_driver structs.
    
    Instead of passing the log prefix as a parameter simply use the driver's
    name. This simplifies the API, gives consistent behaviour between different
    drivers and also makes it easier to identify where the message originates
    when a driver registers sr_dev_driver structs.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 7d786a962d11c1ed7bca29da3979aaf8a52ef618
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sat May 28 13:45:54 2016 +0200

    pce-322a: Pass driver dev_close callback std_serial_dev_acquisition_stop()
    
    All drivers with the exception of pce-322a pass their dev_close callback to
    std_serial_dev_acquisition_stop(). The pce-322a passes std_serial_dev_close()
    which is also called from its dev_close() callback and replicates the other
    functionality of its dev_close() callback directly in
    std_serial_dev_acquisition_stop().
    
    Refactor this to pass the dev_close callback function directly to
    std_serial_dev_acquisition_stop(). This makes sure that the driver is
    consistent with other drivers and also removes duplicated code.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 580b94e4d762d21a018b3cf535fe8764c9cb1c6f
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri May 13 13:46:44 2016 +0200

    sw_limits: Add documentation
    
    Add documentation for the software limits module.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 3c41387928e785145af0cab28014b863e0621dc8
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Wed May 4 14:19:26 2016 +0200

    gmc-mh-1x-2x: Use software limits helpers
    
    Use the new software limit helper functions rather than open-coding their
    functionality.
    
    This also fixes the issue that driver the does not reset all the limit
    statistics in acquisition_start().
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 6aacf011de1f1df3871d99a51fdf3158d736b6b2
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Wed May 4 14:19:04 2016 +0200

    fluke-dmm: Use software limits helpers
    
    Use the new software limit helper functions rather than open-coding their
    functionality.
    
    This also fixes the issue that the driver does not reset the limit
    statistics in acquisition_start(). It also makes the time limit work, which
    previously was only a stub implementation.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 014c7f93d425500702e5bdec272e60b367804097
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Wed May 4 14:27:05 2016 +0200

    arachnid-labs-re-load-pro: Use software limit helpers
    
    Use the new software limit helper functions rather than open-coding their
    functionality.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 5b6829eafeb86c0b92b0b0112982edc24422bbbe
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Wed May 4 14:18:51 2016 +0200

    agilent-dmm: Use software limits helpers
    
    Use the new software limit helper functions rather than open-coding their
    functionality.
    
    This also fixes the issue that the driver does not reset the limit
    statistics in acquisition_start(). It also makes the time limit work, which
    previously was only a stub implementation.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit d8f9609790151cd350501ccacb378b9c888e3f9d
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Wed May 25 22:38:41 2016 +0200

    Build: avoid $< in ruby bindings rules
    
    This fixes building with BSD make.
    This closes bug #801.

commit eabfed20f7cce56a8e92161264817d268216d1aa
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Wed May 4 11:44:04 2016 +0200

    norma-dmm: Remove unused version field from state struct
    
    The version field in the norma-dmm driver state struct is initialized, but
    never read and the same information is also already available in the
    sr_dev_inst struct version field. So remove it to simplify the code.
    
    This allows to get rid of the custom dev_close() callback and just use the
    standard std_serial_dev_close() instead.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit cd0de200b17820975637ddafba8a68902648344e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 27 15:11:28 2016 +0200

    Fix a few "variable set but not used" compiler warnings.
    
    ../src/hardware/appa-55ii/api.c: In function ‘scan’:
    ../src/hardware/appa-55ii/api.c:47:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^
    ../src/hardware/arachnid-labs-re-load-pro/api.c: In function ‘scan’:
    ../src/hardware/arachnid-labs-re-load-pro/api.c:62:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^
    ../src/hardware/atten-pps3xxx/api.c: In function ‘scan’:
    ../src/hardware/atten-pps3xxx/api.c:81:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^
    ../src/hardware/brymen-dmm/api.c: In function ‘scan’:
    ../src/hardware/brymen-dmm/api.c:89:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^
    ../src/hardware/cem-dt-885x/api.c: In function ‘scan’:
    ../src/hardware/cem-dt-885x/api.c:74:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^
    ../src/hardware/conrad-digi-35-cpu/api.c: In function ‘scan’:
    ../src/hardware/conrad-digi-35-cpu/api.c:45:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^
    ../src/hardware/demo/demo.c: In function ‘scan’:
    ../src/hardware/demo/demo.c:255:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^
    ../src/hardware/fluke-dmm/api.c: In function ‘fluke_scan’:
    ../src/hardware/fluke-dmm/api.c:64:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^
    ../src/hardware/gmc-mh-1x-2x/api.c: In function ‘scan_1x_2x_rs232’:
    ../src/hardware/gmc-mh-1x-2x/api.c:147:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^
    ../src/hardware/gmc-mh-1x-2x/api.c: In function ‘scan_2x_bd232’:
    ../src/hardware/gmc-mh-1x-2x/api.c:234:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^
    ../src/hardware/ikalogic-scanaplus/api.c: In function ‘scan’:
    ../src/hardware/ikalogic-scanaplus/api.c:69:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^
    ../src/hardware/tondaj-sl-814/api.c: In function ‘scan’:
    ../src/hardware/tondaj-sl-814/api.c:44:22: warning: variable ‘drvc’ set but not used [-Wunused-but-set-variable]
      struct drv_context *drvc;
                          ^

commit 39fcfdc9dae5311617f0e72b0a7333a199620190
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri May 27 14:29:52 2016 +0200

    std_scan_complete(): Catch some errors to avoid segfaults.
    
    Check some variables for NULL before dereference to avoid segfaults due
    to buggy drivers (and show error messages so these issues are noticed early).

commit 43376f3324cddd257a0260b06d9db8180c35fdf3
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Mon May 16 11:37:23 2016 +0200

    Simplify single device list handling
    
    Some driver scan() functions only ever return a single device. For those it
    is possible to slightly simplify the handling of the device list by
    creating it on demand when the function returns.
    
    Some drivers also have the following expression:
            devices = g_slist_append(devices, sdi);
            ...
            if (!devices)
                    ...
    
    This check will never evaluate to false so it is dropped as well.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 15a5bfe4815f9991a9bb532c05d6244a1818a0e4
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 15 18:33:31 2016 +0200

    Add helper function for scan completion
    
    A common task during device scan is to add the newly discovered devices to
    the instance list of the driver. Currently this is done by each driver on
    its own. This patch introduces a new helper function std_scan_complete()
    which takes care of this. The function should be called at the end of a
    driver's scan() callback before returning the device list.
    
    Doing this with a helper function provides guaranteed consistent behaviour
    among drivers and hopefully paves the way to moving more standard
    functionality directly into the sigrok core.
    
    Another common task that every driver has to do for each device instance is
    to initialize the device's driver field. So this is done in the new helper
    function as well.
    
    All drivers that can make use of the new helper are updated.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 566007e15e8ec0a23b064ba8ea44baae305508b5
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 15 17:20:51 2016 +0200

    Don't reset instance list in scan() callback
    
    Some drivers set the device instance list to NULL in their scan() callback.
    This means the driver loses all references to any devices contained in that
    list and their resources will be leaked. Drivers can't free the devices at
    this point either since an application might still use a device on the
    list. So the existing devices on the instance list need to remain
    unmodified during the scan() callback, even if that means that there will
    be duplicates on the instance list. Only an explicit invocation of
    sr_dev_clear() by the application is allowed to free the devices on the
    instance list and reset the list.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit d268866d294f8ab94e14881caf5d0126e5b77a91
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Sat May 21 19:46:14 2016 +0200

    detect the appropriate link flag for retaining all objects of static lib
    
    This closes bug #802.

commit 176d18cab10f930c021e605cb3fc33754f8bddce
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu May 26 17:47:28 2016 +0200

    testo: Minor indentation fixes.

commit f53ff6436923b99260a6cbac241fa054ec78d503
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Mon May 23 18:21:40 2016 +0200

    link-mso19: mso_receive_data: Simplify device instance lookup
    
    The link-mso19 driver currently iterates the device instance list of the
    driver to get the device instance for which the callback is called.
    
    But the device instance is actually passed to the callback as the cb_data
    parameter, so just use that instead and remove the lookup loop.
    
    Besides that the current lookup loop does not even compile either.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit e5ff8e9e0a12d54963814debeab50cd88ecca632
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Tue May 10 14:05:41 2016 +0200

    link-mso19: Use default dev_clear() handler
    
    The link-mso19 open-codes the std_dev_clear() function and uses it as its
    custom dev_clear() callback. The std_dev_clear() function is automatically
    called if no custom dev_clear() callback is specified, so just drop custom
    implementation and use the default.
    
    This also fixes a memory leak where the link-mso19 driver did not properly
    free its driver state struct in the dev_clear() callback.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit f1e93a951ec455ec5576ef17c0853b38be242b0b
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Tue May 10 14:03:02 2016 +0200

    link-mso19: Drop unnecessary NULL check
    
    sdi is allocated using g_malloc0() which can never fail, in addition to
    that sdi is already dereferenced before the check, which makes the check
    useless. So remove it.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 27272a704d4017ff4abc1c840a221a3f62d1f346
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu May 19 22:46:24 2016 +0200

    Fix Ruby bindings build on Mac OS X and FreeBSD.
    
    Using "\s*" on BSD sed doesn't work the same way as on GNU sed, thus
    yielding e.g. " 3.0.8" instead of "3.0.8" in a ./configure check, which
    later prevents the Ruby bindings from being built.
    
    Fix this by simply using exactly one space in the sed invocation, since
    swig seems to always use just one space there anyway.
    
    Tested on Mac OS X, FreeBSD, and Linux.
    
    This closes bug #800.

commit d12123100a0c0e6bf00c770f0aec20e5b30ed6e7
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu May 19 16:25:14 2016 +0200

    prevent the sr_driver_list section to be dropped with static linking

commit e76a3575369e3864c122d68870ff2b52a317f1e7
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Sun May 8 12:57:06 2016 -0700

    scpi-pps: Add profile for HP 6633A supply
    
    Oldie but goodie. Some of the HP 6632B options are renamed for
    clarity, as they are common among the A and B variants.

commit c2af709b01eed17dd4f50450ec52519f2821a792
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Sun May 8 12:30:51 2016 -0700

    scpi-pps: Add shadow driver for HPIB supplies (ID? instead of *IDN?)
    
    HP instruments predating the 488.2 and SCPI standards do not
    necessarily have a SCPI-compliant command set. The HP6630A series of
    supplies is one such example.
    
    While scpi-pps is flexible enough to accomodate almost any command
    syntax given the right profile, it still assumes that "*IDN?" is the
    correct question to ask the instrument. Since older HP gear instead
    responds to "ID?", this assumption is no longer true.
    
    Thus sr_scpi_get_hw_id() is not appropriate for these instruments, and
    the shadow driver added here only replaces that function call, while
    reusing the rest of the existing logic. The extra noise is necessary
    in order to propagate this through the .scan member of the driver.

commit cb193a209388c138922cc71e8e285ed300fe76f5
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Wed May 18 23:10:46 2016 +0200

    saleae-logic16: Consolidate the samplerate limits into a single bitrate cap

commit 41dab43ef9583ff0e4df9366215000ae6073c24b
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Wed May 18 23:08:42 2016 +0200

    saleae-logic16: Add 20MHz and 50MHz to samplerate preset list (bug #799)

commit 5a2c71ccd7c46b18583dd068a8508e9d93ed9190
Author: George Hopkins <george-hopkins@null.net>
Date:   Sat Apr 30 22:34:15 2016 +0200

    pce-322a: Initial driver implementation.

commit 634d72997a43f8a69d3ab1d06a341d9faeec7724
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sat May 14 17:24:27 2016 +0200

    ftdi-la: Use the standard connection_id field for the device address
    
    Use the standard connection_id field from the struct sr_dev_inst for
    storing the device address rather than using the custom address field in
    the driver state struct. This makes things more consistent with the
    framework.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 07a917521ae98260d5c913a300f34c659cc91994
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sat May 14 17:24:27 2016 +0200

    ftdi-la: Cleanup ftdi_context handling
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 0350e2e0303fdc1d12dbb7bff6748e30dd0cc165
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 13:35:28 2016 +0200

    lascar-el-usb: Add a missing SR_PRIV.

commit dd5c48a6d567a3cac62c4b0058588273bbeea171
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Thu May 12 15:13:47 2016 +0200

    Put driver pointers into special section
    
    The sigrok core needs a list of all available drivers. Currently this list
    is manually maintained by updating a global list whenever a driver is added
    or removed.
    
    Introduce a new special section that contains the list of all drivers. The
    SR_REGISTER_DEV_DRIVER() and SR_REGISTER_DEV_DRIVER_LIST() macro is used to
    add drivers to this new list. This is done by placing the pointers to the
    driver into a special section. Since nothing else is in this section it is
    known that it is simply a list of driver pointers and the core can iterate
    over it as if it was an array.
    
    The advantage of this approach is that the code necessary to add a driver
    to the list is completely contained to the driver source and it is no
    longer necessary to maintain a global list. If a driver is built it will
    automatically appear in the list, if it is not built in won't. This means
    that the list is always correct, whereas the previous approach used ifdefs
    in the global driver list file which could get out-of-sync with the actual
    condition when the driver was built.
    
    Any sr_dev_driver structs that are no longer used outside the driver module
    are marked as static.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit e32862ebccac5ae063abc68d9ce13a66ad46bb97
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 8 14:26:56 2016 +0200

    Drop unnecessary struct sr_dev_driver forward declarations
    
    Most drivers have a forward declaration to their sr_dev_driver struct at
    the beginning of the driver file. This is due to historic reasons and often
    no longer required. So remove all the unnecessary forward declarations.
    
    Some drivers still require the forward declaration, but only reference the
    driver struct from within the driver scan() callback. Since the driver
    struct is passed to the scan callback replace the references to the global
    variable with the local parameter. In some cases this requires adding the
    parameter to some of the helper functions that are called from the scan()
    callback.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 4d399734b4ec7affb58c5881ea1b8d88eaa57d53
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 16:11:53 2016 +0200

    config_list: Don't check for sdi->priv != NULL.
    
    If sdi is != NULL, the backend ensures that sdi->priv is also != NULL.
    Almost all drivers were relying on this already.

commit 709468baf7626b162b5559c101516289d9bbb258
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 15:41:45 2016 +0200

    config_get(): Don't check for sdi->priv != NULL.
    
    If sdi is != NULL, the backend ensures that sdi->priv is also != NULL.
    Almost all drivers were relying on this already.

commit b0baddef5620c5783080d0e8811e668fbc2b38f5
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat May 14 15:25:19 2016 +0200

    config_set(): Don't check for sdi->priv != NULL.
    
    Instead, have the backend check that sdi->priv is not NULL (which
    many drivers have been assuming already anyway).

commit e5b7eef797ba16ca901fc0a91053329937bd5b26
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Tue May 3 00:22:12 2016 +0200

    hameg-hmo: add one missing g_free

commit b05ab7d272914436d97d91f179632c564ac3d86e
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Tue May 3 00:14:37 2016 +0200

    hameg-hmo: Add comment clarifying coupling options
    
    50 Ohm termination is only available on the higher end scopes.

commit 401b83a154afafad09a66e5a4eedf106e8a3dd1f
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Tue May 3 00:38:16 2016 +0200

    hameg-hmo: use SR_DF_ANALOG, use definite length blocks for retrieval
    
    Using binary formats is about 3 times faster than ASCii format. This
    addresses bug #791.

commit 448e81b1e565525c9e8881f17f36dbca93832346
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Tue May 3 00:08:58 2016 +0200

    hameg-hmo: Query probe unit (Volt, Ampere) from scope

commit 2d7da5df824949f16ef12a5c7ec85ff1106cb028
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Mon Apr 18 20:30:39 2016 +0200

    scpi: introduce some more requests

commit ff01b0ea2f782c8286dbad32cf187c2ac6ee1807
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun May 1 05:20:39 2016 +0200

    scpi: Add support for arbitray/definite length block data retrieval
    
    Binary block data is specified in IEEE 488.2. First character is '#',
    followed by a single ascii digit denoting the the number of digits needed
    for the length specification. Length is given in bytes.
    
    This allows drivers to replace retrieval of comma separated ASCII values
    with binary formats. See bug #791.

commit b951fae32c71426a6066c121c409a5936f30de62
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Mon May 2 02:51:19 2016 +0200

    scpi_vxi: Fix incomplete reads (bug #790)

commit a53acd7d46e4d5ea5bf760e9e5c64ff0c3cee878
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Apr 23 00:27:35 2016 +0200

    hameg-hmo: simplify code by using new sr_rational_parse/_eq API functions

commit 17d5a11c69ebd7dd0a62a6e2466d3d8ce05b9d03
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun May 1 01:36:23 2016 +0200

    analog: Implement division for sr_rational

commit ee1b6054d6d6a00698ddae421eae63019c452b6d
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Apr 24 02:48:26 2016 +0200

    analog: Implement multiplication for sr_rational

commit bdba362695bd5ee97fca685839a9e90e1e788ecb
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Apr 22 23:15:54 2016 +0200

    analog: Add equality check for sr_rational

commit e9869966be62c1d129503aaa0c8770e94f038f8b
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Apr 30 00:28:09 2016 +0200

    configure: Add check for __int128_t and __uint128_t types

commit 5ec172d7e9ed55537b6a152a6b8e98712a2f595e
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Apr 23 00:33:45 2016 +0200

    strutil: add method to get an sr_rational from a string
    
    The method accepts strings with numbers in scientific or normal notation,
    e.g. -1.25 or 3.37e-6. The numeric range is limited by the sr_rational
    range, i.e +-9.2e18, resolution is ~19 digits.

commit 510aa8281f19b6312163ff2f09d6515661889378
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Apr 24 02:57:17 2016 +0200

    hameg-hmo: Add PATTern and BUS1/BUS2 trigger sources

commit 9803346fe2eff369bea6b2373c1c0d37f793eecf
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon May 16 15:34:21 2016 +0200

    fx2lafw/dslogic: Various cosmetics and whitespace fixes.

commit a04b28ce2c2e504e38b23fcfff236bdb527a5097
Author: Diego Asanza <f.asanza@gmail.com>
Date:   Sun May 8 19:13:12 2016 +0200

    dslogic: Fix sampling for high samplerates.
    
    This patch fixes sampling at 100MHz, 200MHz and 400MHz.
    
    Signed-off-by: Diego Asanza <f.asanza@gmail.com>

commit a9a9bfaa6a388b288127b90d15bb9e82bbb35c2d
Author: Diego Asanza <f.asanza@gmail.com>
Date:   Sun May 8 10:59:54 2016 +0200

    dslogic: Add support for long captures at high samplerates.
    
    To capture more than 16MSamples the hardware run length encoding option
    must be enabled, or captured data present errors.
    
    RLE encoding/decoding is done in hardware. Data streamed to the USB interface
    is not encoded.
    
    This commit enables RLE encoding for captures longer than 16MSamples.
    
    Signed-off-by: Diego Asanza <f.asanza@gmail.com>

commit d9a58763d66b761900fdc930d9cd580137ea3a5c
Author: Diego Asanza <f.asanza@gmail.com>
Date:   Sun May 8 10:07:05 2016 +0200

    dslogic: Add support for external clock edge selection.
    
    This commit expands support for acquisition using an external clock,
    now allowing the user to select the clock edge.
    
    Signed-off-by: Diego Asanza <f.asanza@gmail.com>

commit 41dc2547787ea571e1f0fb271eff964767c49203
Author: Diego Asanza <f.asanza@gmail.com>
Date:   Sat May 7 00:12:09 2016 +0200

    dslogic: Implement continuous mode
    
    For low sampling speeds (up to 25MHz) DSLogic offers a streaming mode where
    samples are sent directly to the USB interface, like a fx2lafw device.
    
    For high sampling speeds (up to 400MHz) only buffer mode is supported.
    
    This commit allows the user to set which mode should be used. The configuration
    is done by using SR_CONF_CONTINUOUS.
    
    Signed-off-by: Diego Asanza <f.asanza@gmail.com>

commit 20d8ae41f49777f5a2bdf63f061b7f120fbcd8df
Author: Diego Asanza <f.asanza@gmail.com>
Date:   Sat May 7 00:07:00 2016 +0200

    Change type of SR_CONF_CONTINUOUS from SR_T_UINT64 to SR_T_BOOL
    
    SR_CONF_CONTINUOUS is used to check if a device supports continuous sampling
    or not. As such, the type boolean is better suited.
    
    Signed-off-by: Diego Asanza <f.asanza@gmail.com>

commit ea3a77c756079c59db57b036b76a31460111206e
Author: Diego Asanza <f.asanza@gmail.com>
Date:   Wed May 4 19:50:42 2016 +0200

    dslogic: Implement acquisition with external clock.
    
    DSLogic hardware provides an external clock input.
    This commit adds support for this capability.
    
    Signed-off-by: Diego Asanza <f.asanza@gmail.com>

commit 3fc3fbe46e472a1466085bb2498d8d9b469d63f8
Author: Diego Asanza <f.asanza@gmail.com>
Date:   Wed May 4 19:28:37 2016 +0200

    dslogic: Add support for voltage threshold
    
    The DSLogic provides two FPGA images: one for 3.3V and the other for 5V logic.
    The DSLogic Pro allows to set an arbitrary voltage threshold via USB command.
    
    This commit adds support for the DSLogic to load the FPGA image according to
    an user-selectable voltage threshold.
    
    For the DSLogic Pro, one of two fixed voltage thresholds are set, depending on
    the user-selected value.
    
    Tested with DSLogic and DSLogic Pro.
    
    Signed-off-by: Diego Asanza <f.asanza@gmail.com>
    Tested-by: Andrew Bradford <andrew@bradfordembedded.com>

commit 4237fbcaac84160a04333244ba0a309b952d3a8f
Author: Diego Asanza <f.asanza@gmail.com>
Date:   Sat Apr 16 12:45:27 2016 +0200

    dslogic: Implement trigger functionality
    
    This commit implements DSLogic trigger functionality.
    
    The following triggers are working:
    
     - trigger on rising edge
     - trigger on falling edge
     - trigger on any edge
     - trigger on logic one
     - trigger on logic zero
    
    Pre-trigger capture ratio is also working.
    
    Signed-off-by: Diego Asanza <f.asanza@gmail.com>
    Tested-by: Andrew Bradford <andrew@bradfordembedded.com>

commit f18e0db3b8e8c24703e74fe36f9353381221b3c7
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri May 13 17:36:06 2016 +0200

    demo: Handle the case when zero analog or logic channels were requested
    
    The demo device has support for specifying the number of analog and logic
    channels it should have. Currently this does not work correctly if one of
    them is set to zero. Being able to set the number of channels to zero for
    one of the channel types is quite useful for corner case testing though.
    
    Make the following modifications to handle it correctly:
    
    1) If the channel count is zero no channel group for that channel type
    should be created since a channel group needs at least one channel.
    
    2) Drop the check if logic_unitsize is less or equal to zero in
    prepare_data() since this condition will always be true if the number of
    logic channels is zero and it is not possible to create a demo device with
    only analog channels.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 7e2f42214a72bb3ad2b4ce1767ff8945fa83fe97
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Thu Apr 28 17:44:29 2016 +0200

    srzip: zip_append_analog(): Fix memory leaks
    
    zip_append_analog() does not free most of the memory it allocates. Address
    this by moving all sanity checks that do not rely on anything else at the
    beginning of the function before any allocations are done. And then make
    sure to properly free all allocated memory on all paths leaving the
    function.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 9906dbf5a4f26e630b76e8f56e80d6b085b90446
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Thu Apr 28 17:43:15 2016 +0200

    srzip: Fix handling of analog channels with index 0
    
    0 is a valid index for a channel. Using it as the value for the terminating
    entry of analog_index_map causes zip_append_analog() to falsely assume that
    no channel was found when a packet for a channel with index 0 was received.
    This prevents the data for the channel to be added to the sigrok session
    file.
    
    Instead use -1, which is not a valid channel index, as
    the terminating entry value.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 4def782b6e545a91fc7e0cf9f4468e8f56c0d3a6
Author: Marvin Schmidt <marv@exherbo.org>
Date:   Fri May 13 12:35:03 2016 +0200

    gitignore: Add files generated when building Ruby bindings

commit b571f84c84a9eea04f948429200ffb9fcd8ecb0f
Author: Marvin Schmidt <marv@exherbo.org>
Date:   Fri May 13 12:27:14 2016 +0200

    build: Replace AX_CXX_COMPILE_STDCXX_11 with latest AX_CXX_COMPILE_STDCXX
    
    The former appended the necessary switch to enable C++11 to the CXXFLAGS
    whereas AX_CXX_COMPILE_STDCXX appends it to CXX which has the benefit
    that all C++ sources are compiled using the same C++ standard. Therefore
    it is no longer necessary to manually hardcode '-std=c++11' anywhere
    like we did in the Ruby bindings linker command and assures that the
    compilation of them is done with C++11 support as well.
    
    This fixes bug #795

commit c4a1015a2951b85098e50915c953593025df5726
Author: Marvin Schmidt <marv@exherbo.org>
Date:   Fri May 13 17:44:12 2016 +0200

    build: Fix distribution of Ruby bindings
    
    The bindings file was not listed in EXTRA_DIST and therefore not
    distributed. We also need to provide an target to uninstall the Ruby
    bindings and add it to UNINSTALL_EXTRA in order to make `make distcheck`
    happy.
    
    This fixes bug #741

commit 17165513f3d18cc56d1918126818fb30596898bd
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu May 12 23:08:21 2016 +0200

    ruby: Fix out-of-tree build of the bindings.
    
    This closes bug #797.

commit 45884333ff8641c86d9808b46dde9f571083c10d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 23 21:27:59 2016 +0200

    scan(): Consistently start out with SR_ST_INACTIVE.
    
    A later call to open() will set the status to SR_ST_ACTIVE.
    
    Only in the case of firmware/bitstream upload start with
    SR_ST_INITIALIZING first.

commit e91d4ce2b2a2b34fe4cabb3082a2c325941de1f9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed May 11 22:24:59 2016 +0200

    fx2lafw: Fix a -Wself-assign compiler warning.
    
    This closes bug #793.

commit c2fdcc25a47c4c8f25e3ea96ea36a674a151e839
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 8 15:23:13 2016 +0200

    Remove unnecessary std_init() wrapper functions
    
    Now that the signature of std_init() matches that of the driver init()
    callback we can remove all wrapper functions around std_init() and use it
    directly as the init() callback.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit c45c32ce47f429099cb0f1cabc1b45b9bcf44855
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 8 15:47:31 2016 +0200

    std_init(): Drop check if pass in driver is non-NULL
    
    std_init() checks if the pass in struct sr_dev_driver is non-NULL and
    prints a error message and returns an error if it is NULL.
    
    std_init() is exclusively called from driver init() callbacks for which the
    core already checks if the struct sr_dev_driver is non-NULL before invoking
    the callback. This means the check in std_init() will always evaluate to
    false. So drop this check.
    
    This also means that the prefix parameter that was used in the error
    message is no longer needed and can be removed from the function signature.
    Doing so will make the std_init() function signature identical to the
    init() callback signature which will allow to directly use it as such.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 1f8f5bc08e0f684156baac513431b40d79ab4ea1
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 8 14:55:15 2016 +0200

    Match std_init() parameter order to the driver init() callback
    
    The std_init() callback has the order of the first two paramters opposite
    to the init() callback. This is primarily due to historical development.
    
    Since the std_init() function is usually called from a driver's init()
    callback aligning the order will allow direct register pass through rather
    than having to swap them around. It also allow to eventually use the
    std_init() function directly as the init() callback.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 87629577fe803769bc8b4e7a2bc122785cf90c81
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri May 6 13:27:09 2016 +0200

    zeroplus-logic-cube: Fix USB device list
    
    The zeroplus-logic-cube driver uses libusb_get_device_list() but neglects
    to call the matching libusb_device_list_free() on the error path. This will
    leak the memory allocated for the list as well as all the devices.
    
    To address the issue use sr_usb_open() instead of open-coding its
    functionality. sr_usb_open() correctly handles freeing the device list.
    
    The issue was discovered using the following coccinelle semantic patch:
    // <smpl>
    @@
    identifier devlist;
    expression ctx, ret;
    statement S;
    @@
    (
     libusb_get_device_list(ctx, &devlist);
    |
     ret = libusb_get_device_list(ctx, &devlist);
     if (ret < 0) S
    )
    ... when != libusb_free_device_list(devlist, ...)
    *return ...;
    // </smpl>
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 4af1f68f9a69daa22064c4b99831f6dee5c5fbb2
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri May 6 13:26:02 2016 +0200

    victor-dmm: Fix USB device list leak
    
    The victor-dmm driver uses libusb_get_device_list() but neglects to call
    the matching libusb_device_list_free() on the error path of libusb_open().
    This will leak the memory allocated for the list as well as all the
    devices.
    
    To address the issue use sr_usb_open() instead of open-coding its
    functionality. sr_usb_open() correctly handles freeing the device list.
    
    The issue was discovered using the following coccinelle semantic patch:
    // <smpl>
    @@
    identifier devlist;
    expression ctx, ret;
    statement S;
    @@
    (
     libusb_get_device_list(ctx, &devlist);
    |
     ret = libusb_get_device_list(ctx, &devlist);
     if (ret < 0) S
    )
    ... when != libusb_free_device_list(devlist, ...)
    *return ...;
    // </smpl>
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit b75dc14a9410f57b3f7853854da013af86fb87c2
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri May 6 13:25:14 2016 +0200

    testo: Fix USB device list leak
    
    The testo driver uses libusb_get_device_list() but neglects to call the
    matching libusb_device_list_free() on the error path. This will leak the
    memory allocated for the list as well as all the devices.
    
    To address the issue use sr_usb_open() instead of open-coding its
    functionality. sr_usb_open() correctly handles freeing the device list.
    
    The issue was discovered using the following coccinelle semantic patch:
    // <smpl>
    @@
    identifier devlist;
    expression ctx, ret;
    statement S;
    @@
    (
     libusb_get_device_list(ctx, &devlist);
    |
     ret = libusb_get_device_list(ctx, &devlist);
     if (ret < 0) S
    )
    ... when != libusb_free_device_list(devlist, ...)
    *return ...;
    // </smpl>
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit ceb2da179f9446b0e61bde7cf7be9133b25683cc
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri May 6 13:22:19 2016 +0200

    lascar-el-usb: lascar_scan(): Fix USB device list leak
    
    lascar_scan() calls libusb_get_device_list() but never the matching
    libusb_free_device_list(). This will leak the memory allocated for the
    device list as well as all the devices. To fix this add the missing
    libusb_free_device_list().
    
    While we are at it also make sure to handle errors returned by
    libusb_get_device_list().
    
    The issue was discovered using the following coccinelle semantic patch:
    // <smpl>
    @@
    identifier devlist;
    expression ctx, ret;
    statement S;
    @@
    (
     libusb_get_device_list(ctx, &devlist);
    |
     ret = libusb_get_device_list(ctx, &devlist);
     if (ret < 0) S
    )
    ... when != libusb_free_device_list(devlist, ...)
    *return ...;
    // </smpl>
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 6266deb84d6b5d8ca61b685edae339c24184f157
Author: Soeren Apel <soeren@apelpie.net>
Date:   Mon May 2 21:49:00 2016 +0200

    Input/trace32_ad: Make the sample rate an option

commit ab4c27cfa66f34e0b6cdecb48766904281c2df04
Author: Soeren Apel <soeren@apelpie.net>
Date:   Mon May 2 18:17:34 2016 +0200

    Input/wav: Add reset() function

commit f4b4725bce213c58dd370a6c84ba4b327a89f7a4
Author: Soeren Apel <soeren@apelpie.net>
Date:   Mon May 2 18:16:38 2016 +0200

    Input/vcd: Add reset() function

commit 87616181f9e9854a80e26f207bffdb9032178af9
Author: Soeren Apel <soeren@apelpie.net>
Date:   Mon May 2 18:16:21 2016 +0200

    Input/trace32_ad: Add reset() function

commit 4c55ea47a7047fe25717aa8b19f64ed8b33ddb8c
Author: Soeren Apel <soeren@apelpie.net>
Date:   Mon May 2 18:16:09 2016 +0200

    Input/raw_analog: Add reset() function

commit ad93bfb0b96d6b58379ff73275701e72e08c63a4
Author: Soeren Apel <soeren@apelpie.net>
Date:   Mon May 2 18:10:55 2016 +0200

    Input/csv: Add reset() function

commit ef9d3fefbcce893a19ae1d497f586ac794e94ca2
Author: Soeren Apel <soeren@apelpie.net>
Date:   Mon May 2 18:02:31 2016 +0200

    Input/chronovu_la8: Add reset() function

commit 3781b65d19747526b52df97510866683f36dd67a
Author: Soeren Apel <soeren@apelpie.net>
Date:   Mon May 2 18:01:10 2016 +0200

    Input/binary: Add reset() function

commit b6b4f03e404e06430eca810ad2bf7ccc84262b6e
Author: Soeren Apel <soeren@apelpie.net>
Date:   Thu Apr 28 08:13:17 2016 +0200

    Input: Add reset() function

commit 0221cbdde3db6f41fdfd9a483e721a6514ef7f8b
Author: Soeren Apel <soeren@apelpie.net>
Date:   Tue Apr 26 18:07:03 2016 +0200

    Bindings: Check for empty opts also in Configurable::config_keys()

commit c8f29d772bacbec2420756cf494d61107019f760
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon May 9 12:41:50 2016 +0200

    baylibre-acme: Drop unused last_sample_fin variable.

commit cf9e86bc74ae5bd916b8d1abf27205c36585119f
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:55:51 2016 +0200

    victor-dmm: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 8a63a4064eb5a759dd438e5d1fe9e9d21d7a3e69
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:55:39 2016 +0200

    uni-t-dmm: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 2630f97ebb6c6538f03c7207721e8bd82322aa40
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:55:28 2016 +0200

    tondaj-sl-814: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 91b77e6b1d126b6406978386ec325f1c6d5bffd8
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:55:12 2016 +0200

    testo: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit ffa5f177f15dd8c75612d65b20459e7cdccc68b9
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:54:26 2016 +0200

    teleinfo: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 9f51c463d1bfd182ddf8ae1c5bc83377ef93d2bc
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:54:14 2016 +0200

    serial-dmm: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 37dbffd15d37ee101d93fcfcf31cdefa1cacb8d6
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:54:02 2016 +0200

    norma-dmm: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 8aafc5e64d60ef5e91992707a8f4dbce03e901a0
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:53:51 2016 +0200

    motech-lps-30x: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 301090aa58844e78e7c4d45275a4b6c29b31c72a
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:53:39 2016 +0200

    mic-985xx: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 45b75c368fece1faa39c96d662de8fc7075db25f
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:57:30 2016 +0200

    maynuo-m97: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit a655b3fd08915859dbcdad192c35a34b1b2bbb4d
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:53:23 2016 +0200

    manson-hcs-3xxx: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 597deef91ee5cd4aea17c5beb629526eef176864
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:53:08 2016 +0200

    korad-kaxxxxp: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 7fc9dc31ac95de566e0d88daec7d839193fc3fbe
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:52:50 2016 +0200

    kern-scale: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 9edb98982a501a094b2ba502cd754982920f17d9
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:52:35 2016 +0200

    colead-slm: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 838f6906a40fa7cf82d3113e7771c609bb6cc7b9
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:52:22 2016 +0200

    center-3xx: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit dcba0c41f5345a4c5316128aac44732625faff6e
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:52:09 2016 +0200

    brymen-dmm: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit ab939ebba60a18786b91509298bd82f28c4b8fb3
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:51:52 2016 +0200

    brymen-bm86x: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit d54a7c42ac6540d90e99e5138c945d789e3dac6f
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:56:57 2016 +0200

    baylibre-acme: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit e2492a33749ae03e7a1bf73c6b029c0c0054080b
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:51:08 2016 +0200

    appa-55ii: Use software limit helpers
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit aea4e458485559ffb7999ecbda0ed349c7d8edb7
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sun May 1 13:50:08 2016 +0200

    Add helper functions for software limits
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit afb001a359f8d2943adb81127ce185acc000f4f0
Author: Benjamin Larsson <benjamin@southpole.se>
Date:   Sun Apr 24 17:55:39 2016 +0200

    udev rules file: Add entry for Sainsmart DDS120.

commit ec1a1a8c462dbaabea1a4fb9041c155a78d2386b
Author: Bert Vermeulen <bert@biot.com>
Date:   Tue May 3 22:09:39 2016 +0200

    testo: Minor code cleanup.

commit efa9840222f2925c187715377e3646679fd8496c
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Mon May 2 13:24:04 2016 +0200

    Remove unnecessary driver context checks
    
    Some drivers check in some of their driver callbacks if the driver has been
    initialized and return an error if it has not.
    
    For the scan() callback the sigrok core checks if the driver has been
    initialized and if not returns an error. So it is not possible that the
    scan() callback gets called if the driver is not initialized. Without the
    scan() callback succeeding it is not possible to get a reference to a
    device which is associated with the driver, so it is not possible that any
    of the device specific callbacks is called without the driver first being
    initialized either.
    
    In conclusion these checks are not necessary since they never evaluate to
    true and can be dropped. If they should ever become necessary they should
    be done in the sigrok core so all drivers and all callbacks are equally
    handled.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit e91bb0a6c4a94957e4e998ca134dc806bec49a7f
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Mon May 2 13:22:46 2016 +0200

    Drop SR_CONF_SET flag from SR_CONF_CONTINUOUS options
    
    SR_CONF_CONTINUOUS is a capability option indicating whether a device
    supports continuous capture or not. If the option exists the device
    supports continuous capture and otherwise it doesn't. There is no value
    associated with it and hence setting the SR_CONF_SET flag is nonsensical.
    
    None of the drivers which set SR_CONF_SET for SR_CONF_CONTINUOUS handle it
    in their config_set() callback and return an error if an application tried
    to perform a config_set() operation for SR_CONF_CONTINUOUS.
    
    Simply remove the SR_CONF_SET flag from all SR_CONF_CONTINUOUS options.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit c01bf34ca264b268fee2e71ab918c71d28dc3018
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri Apr 29 15:47:04 2016 +0200

    Introduce standard implementation of the dev_list() callback
    
    Every single hardware driver has the very same implementation of the
    dev_list() callback. Put this into a helper function in the standard helper
    library and use it throughout the drivers. This reduces boiler-plate code
    by quite a bit.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 88a0265ebcb265ba839c02cc5bcd39e359c9f60f
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri Apr 29 14:26:00 2016 +0200

    Remove unnecessary dev_clear() callbacks
    
    If a driver does not implement a dev_clear() callback the core will
    automatically call std_dev_clear(di, NULL). Remove all driver dev_clear()
    implementations that are identical to default. This reduces the amount of
    boiler-plate code.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 700d6b64d578ce10e57f6a2289e37a5564eccf1c
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri Apr 29 13:36:05 2016 +0200

    Introduce standard cleanup helper
    
    std_init() allocates a drv_context struct which needs to be freed by the
    driver in its cleanup struct. But the vast majority of drivers does never
    does this causing memory leaks.
    
    Instead of addressing the issue by manually adding code to free the struct
    to each driver introduce a new helper function std_cleanup() that takes
    care of this. In addition to freeing the drv_context struct std_cleanup()
    also invokes sr_dev_clear() which takes care of freeing all devices
    attached to the driver.
    
    Combining both operations in the same helper function allows to use
    std_cleanup() as the cleanup callback for all existing drivers, which
    reduces the amount of boiler-plate code quite a bit.
    
    All drivers are updated to use the new helper function.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 1e726f568d6d72a8c6afdcd8fa98b98e910ad523
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri Apr 29 16:37:36 2016 +0200

    scpi-pps: Fix dev_clear() implementation
    
    Devices for the scpi-pps driver do have additional data attached to it that
    needs to be freed when the device is freed. While the driver gets it right
    for the cleanup() callback it does not for the dev_clear() callback. This
    will cause memory leaks when sr_dev_clear() is called for this driver.
    
    To fix this let the dev_clear() free the additional data.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 696b79d2aad00c359cb279cddcfab15c0f8ec08f
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri Apr 29 16:23:17 2016 +0200

    deree-de5000: Provide dev_clear()
    
    Devices for the deree-de5000 driver do have additional data attached to it
    that needs to be freed when the device is freed. While the driver gets it
    right for the cleanup() callback it does not implement a dev_clear()
    callback, so the default dev_clear() implementation is used which will not
    free the additional data. This will cause memory leaks when sr_dev_clear()
    is called for this driver.
    
    To fix this provide a dev_clear() implementation that frees the additional
    data.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 6ab687315bccddfe3d196040ccab4cff909bb086
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri Apr 29 16:28:59 2016 +0200

    demo: Provide dev_clear()
    
    Devices for the demo driver do have additional data attached to it that
    needs to be freed when the device is freed. While the driver gets it right
    for the cleanup() callback it does not implement a dev_clear() callback, so
    the default dev_clear() implementation is used which will not free the
    additional data. This will cause memory leaks when sr_dev_clear() is called
    for this driver.
    
    To fix this provide a dev_clear() implementation that frees the additional
    data.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 74c6d807efbd4949b3083a362816ee8cc69645fa
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri Apr 29 14:08:42 2016 +0200

    beaglelogic: Use std_dev_clear() instead of open-coding it
    
    The beaglelogic has an open-coded version of std_dev_clear(), replace it
    with std_dev_clear().
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit a64fec2b8ed14d6b14daca9a3552d4c5d89a9baa
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri Apr 29 10:25:18 2016 +0200

    baylibre-acme: Properly free GErrors returned by g_file_get_contents()
    
    When g_file_get_contents() encounters an error a new GError will be
    allocated and passed back to the application. The application is
    responsible for freeing this GError.
    
    The baylibre-acme driver currently does not do this and as a result leaks
    memory during the scan process when no device is found.
    
    Add the missing g_error_free() invocations to fix the issue.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 7b6072d3546ebec08f4bc7861d985c667c55e02f
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Fri Apr 29 18:07:54 2016 +0200

    ftdi-la: Properly cleanup in scan_all()
    
    Make sure to free the FTDI device list and the FTDI context in scan_all()
    otherwise memory leaks can be observed. Also make sure to free the FTDI
    context in scan_device() on the error path.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit 61c908589828b11352b5d792c4278964e1220a59
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 23 20:58:46 2016 +0200

    dev_open(): Don't check for sdi != NULL.
    
    The wrapper guarantees that sdi is not NULL.

commit c50805d59ce85e00ef263c0a1edad2487bb8a9fe
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 23 20:59:38 2016 +0200

    Drop some unused or duplicated code.

commit 8f878dc6aa09324ebee416bd1a0c7b0ed356905b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 24 20:17:49 2016 +0200

    cem-dt-885x/colead-slm: Use std_serial_dev_open().

commit a52e2a0b37a7615b289b813c19329193345b766a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Apr 22 17:55:44 2016 +0200

    Random cosmetics and whitespace fixes.

commit 67ea60e03db3a4e0fe83f841e81e7e061e9761a6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Apr 20 22:12:52 2016 +0200

    uni-t-ut32x: Fix copy-paste error.

commit df3ea149cc65ae52f19fa4b50c4af7a217a590fa
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Apr 15 16:26:43 2016 +0200

    dev_acquisition_start(): Ensure that sdi is always != NULL.

commit 8cb222e1438c984184d9546fc374678aa9341bbb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Apr 13 22:28:44 2016 +0200

    Drop some obsolete and unneeded comments.

commit 6525d819eef098a43b1f438ae4af50e67c9c4335
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Apr 13 22:11:22 2016 +0200

    std_serial_dev_acquisition_stop(): Drop unneeded parameter.

commit 695dc859c15ba4190f5c1aa2e1a6e2dc6a6e5845
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Mar 28 00:40:16 2016 +0200

    dev_acquisition_{start,stop}(): Drop duplicate 'cb_data' parameter.
    
    These are always 'sdi', which is passed in already.

commit 208c1d35435626a11afa1ab301b2071b2a4e187b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 27 23:16:59 2016 +0200

    Consistently don't check sdi->priv in dev_acquisition_start().
    
    Most drivers already assume this to be != NULL anyway, and the check
    should probably be in the API wrappers anyway.

commit 1c47e0da8f2571bc34dbdc368c3c1f55318c3aa0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Mar 27 22:53:02 2016 +0200

    Drop unneeded std_session_send_df_header() comments.

commit 3be42bc22f8b36599a448273c12a76d3e0f7a940
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 26 19:45:04 2016 +0100

    Factor out std_session_send_df_end() helper.
    
    This makes the code shorter, simpler and more consistent, and also
    ensures that the (same) debug messages are always emitted and the
    packet.payload field is consistently set to NULL always, etc.

commit 7fb90f94d62597224509472906fd8a33c3f3a1d2
Author: Benjamin Larsson <benjamin@southpole.se>
Date:   Mon Apr 25 23:46:19 2016 +0200

    fx2lafw: Add working glue layer for frontends

commit 7e5ccff2ec6cf9f8723f3e76394ab78946b278f8
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Mon Apr 25 21:41:57 2016 +0200

    fx2lafw: Add analog sampling handler
    
    This will be needed for the MSO support of the CWAV USBee AX and clones.

commit 7b5d1c64fca5e95ce81ced1358dab2e2b7a68d39
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Sun Apr 24 23:06:28 2016 +0200

    fx2lafw: Factor out packet sending
    
    This will make it possible to use different senders based on
    driver mode. This is needed for USBee AX support.

commit ce35b282de2d02d822fcd78a4296e029da48d362
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Sun Apr 24 20:38:12 2016 +0200

    fx2lafw: Add CTL2 clocking command flag to header
    
    The USBee AX hardware needs a sampling clock that is lower than
    the 30MHz or 48MHz that the FX2 has to offer. This flag will enable
    clocking via the CTL2 pin that is an even divisor of the main clock.

commit 232a975fe2268c9d7cf9681770e966ecea8a0376
Author: Joel Holdsworth <joel@airwebreathe.org.uk>
Date:   Sun Apr 24 20:35:07 2016 +0200

    fx2lafw: Add support for AX analog channel probing

commit 152e7f4d7cb4cea3d5a37752e29cb67e2a4f49b2
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 23 17:45:49 2016 +0200

    hwdriver.c: Add missing SR_MQFLAG_FOUR_WIRE entry.

commit 9a093be9f5df5e058e7f4f0c6fcc9ed013f803a2
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Sun Apr 3 18:45:25 2016 -0700

    hp-3457a: Implement support for rear terminals and plug-in cards

commit 2c04f943efb4f7590941c44c27d8ca5d831b82dd
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Sun Apr 3 18:38:53 2016 -0700

    hp-3457a: Implement AC, ACDC, and four-wire resistance modes
    
    The driver did not look at the mq_flags provided with the
    SR_CONF_MEASURED_QUANTITY key, and it defaulted to DC measurements.
    Use the second member of the tuple provided by the config key, which
    represents the flags for the measurement, and set the instrument's
    measurement mode accordingly.

commit 6d5cd3bd383b293f16d4db0c91c366d939e4851b
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Sun Apr 3 18:04:42 2016 -0700

    analog: Add MQ Flag for four-wire measurements
    
    On the high-end bench multimeters, resistance can be measured with a
    kelvin connection as well as the more common two wire method. Provide
    a flag which can indicate if four-wire mode is used.

commit e2626373b73e7583a8a02454a6e0771a4f18be44
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Sat Apr 9 10:07:55 2016 -0700

    hp-3457a: Do not retrigger new measurement after the last sample
    
    Due to a PEBKAC error, after the last sample was sent, a new
    measurement was triggered, but its value was never sent down the
    session bus. This is easily fixed by incrementing devc->num_samples
    right after a measurement is sent instead of when a measurement is
    retriggered.

commit cee6d3fa0c9f3326fd8844f0fcb292c3466bc562
Author: Sergey Alirzaev <zl29ah@gmail.com>
Date:   Tue Apr 19 01:38:51 2016 +0300

    ftdi-la: added support for the device selection
    
    Tested on FT232RL and FT2232H both attached to the same PC.

commit 5954e71653132626c8995c2bfbbea46605027d8c
Author: Benjamin Larsson <benjamin@southpole.se>
Date:   Tue Apr 12 23:47:34 2016 +0200

    hantek-6xxx: fix memory leaks
    
    Free the first flush packet and the driver context when closing.

commit 2c4600191b8442a64717f048c6a77ef77d6169ff
Author: Benjamin Larsson <benjamin@southpole.se>
Date:   Tue Apr 12 20:25:01 2016 +0200

    memory leak fix: g_variant_print() usage fix
    
    g_variant_print() allocates memory during call. Save the pointer
    so that it can be free'd afterwards.
    
    ==10048== 16 bytes in 1 blocks are definitely lost in loss record 17 of 37
    ==10048==    at 0x4C2DEAE: realloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==10048==    by 0x536C85D: g_realloc (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x53877C6: ??? (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x5388B60: g_string_append_vprintf (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x5388D83: g_string_append_printf (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x539D034: g_variant_print_string (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x539C92C: g_variant_print (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x4E5F713: log_key (hwdriver.c:597)
    ==10048==    by 0x4E5FCD5: sr_config_set (hwdriver.c:752)
    ==10048==    by 0x408C1A: run_session (session.c:661)
    ==10048==    by 0x404FC5: main (main.c:267)
    ==10048==
    ==10048== 16 bytes in 1 blocks are definitely lost in loss record 18 of 37
    ==10048==    at 0x4C2DEAE: realloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==10048==    by 0x536C85D: g_realloc (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x53877C6: ??? (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x5388B60: g_string_append_vprintf (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x5388D83: g_string_append_printf (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x539D034: g_variant_print_string (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x539C92C: g_variant_print (in /lib/x86_64-linux-gnu/libglib-2.0.so.0.4400.1)
    ==10048==    by 0x4E5F713: log_key (hwdriver.c:597)
    ==10048==    by 0x4E5FBDD: sr_config_get (hwdriver.c:709)
    ==10048==    by 0x4080D7: datafeed_in (session.c:196)
    ==10048==    by 0x4E5D47E: sr_session_send (session.c:1192)
    ==10048==    by 0x4E62682: std_session_send_df_header (std.c:101)

commit 050eb3b32d96a7c0a54dee9ae249514eff937d21
Author: Markus Siegert <markus@drsiegert.de>
Date:   Mon Apr 11 21:54:10 2016 +0200

    hantek-6xxx: Use power of 2 usb packet sizes
    
    Using non power of 2 sizes causes the driver to not work on OS X.
    Depending on the usb transfer mode the buffer sizes will map
    perfectly to the underlying transport protocol.

commit 1079324f9e76c4775395e5baaf916f37d4785278
Author: Markus Siegert <markus@drsiegert.de>
Date:   Sun Apr 10 22:27:11 2016 +0200

    hantek-6xxx: use 1D50:608E for Sainsmart DDS-120

commit cc5ebc8a3d66e15ade82475ae890e0dafe9b4586
Author: Benjamin Larsson <benjamin@southpole.se>
Date:   Mon Apr 4 21:44:00 2016 +0200

    hantek-6xxx: add coupling support
    
    Sainsmart DDS-120 supports AC or DC coupling. Add driver support
    to control that feature.

commit 10e0d374cb9518d2d5e6d876bd72888478fd1900
Author: Benjamin Larsson <benjamin@southpole.se>
Date:   Mon Apr 4 19:57:50 2016 +0200

    hantek-6xxx: store the amount samples received

commit 8d6d7d5d0db6c0a778af6b2db8c144630f85311e
Author: Benjamin Larsson <benjamin@southpole.se>
Date:   Mon Apr 4 19:55:07 2016 +0200

    hantek-6xxx: positive return code is not an error

commit 692c3b229dc8b9516cd46886ce5707cbf0f6cd3b
Author: Benjamin Larsson <benjamin@southpole.se>
Date:   Fri Apr 1 23:26:00 2016 +0200

    hantek-6xxx: Add support for Sainsmart DDS120

commit f07298663f2f69ab5c4e83d327470a90f92ec079
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 23 17:37:01 2016 +0200

    Fix two compiler warnings.

commit f4f273ce1e718342b8de34b98786131102d7bcaa
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Apr 17 19:14:27 2016 +0200

    hameg-hmo: Also start reading on timeout (workaround for USBTMC)
    
    scpi_serial generate an POLLIN event after the requested data is returned
    by the instrument. For USBTMC it is necessary to
    1. send an REQUEST_DEV_DEP_MSG_IN request
    2. submit an USB bulk read transfer asynchronously.
    
    Using the synchronous libusb_bulk_read() does not generate an POLLIN event.
    
    Solving this properly needs major surgery in spci_usbtmc_libusb.

commit 055804e89ea0f6b4145040a0eeb2f4e6951692fe
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Apr 16 23:38:05 2016 +0200

    spci: Terminate all commands with a linefeed for all transports
    
    While some transports add a terminating (carriagereturn+)linefeed
    unconditionally, the USBTMC transport does not. At least the R&S HMO1002
    requires the linefeed and locks up otherwise. Fixes bug #784.
    
    This changes the TCP and VXI transport from CR+LF to LF only.
    
    Also fixes a possible memory leak for VXI, where the temporary command
    buffer was not freed in case of a write error.

commit 66836720f73c12fb107aa28b79cc6420c721cc5d
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Apr 16 23:37:40 2016 +0200

    scpi/usbtmc: fix remote locking according to USBTMC spec
    
    According to USBTMC usb488 subclass spec, wValue hast to be 0 for both
    LOCAL_LOCKOUT and GO_TO_LOCAL. At least required for R&S HMO1002, the
    bad request results in a STALL. Fixes bug #783.

commit 3db03efa4ad43f6d127c3d949a300596cac74ce9
Author: Diego F. Asanza <f.asanza@gmail.com>
Date:   Tue Apr 19 22:27:15 2016 +0200

    Working trigger on rising and falling edges.

commit 1a7ff3d08765744e607af4b6ef35f3b4bace7daa
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 17 15:49:47 2016 +0200

    fx2lafw: Only run dslogic_stop_acquisition() on DSLogic.

commit 40ebad35249c58745543a0614876dc95b3f88bfb
Author: Diego F. Asanza <f.asanza@gmail.com>
Date:   Wed Apr 13 20:50:37 2016 +0200

    Ensure DSLogic can be stopped.
    
    After acquisition start, DSLogic stores samples in memory, and when done it
    sends a USB packet with the trigger position.
    
    This initial fillup can take some time. If the user requests a session stop
    in between, the USB transfer is cancelled and the session hangs because it
    is not closed properly.
    
    This commit manages this case and closes the session properly when
    acquisition is stopped by the user.
    
    Signed-off-by: Diego F. Asanza <f.asanza@gmail.com>

commit c04ca4da177bbd718be4de11e40a4ef5cbf3df7a
Author: Sergey Alirzaev <zl29ah@gmail.com>
Date:   Thu Apr 14 14:17:49 2016 +0300

    ftdi-la: order the channels properly

commit 4801798f63e256be5df236eb269c594d4283b8bc
Author: Andrew Bradford <andrew.bradford@kodakalaris.com>
Date:   Fri Apr 15 11:28:51 2016 -0400

    udev: Add DSLogic Pro rule
    
    Signed-off-by: Andrew Bradford <andrew.bradford@kodakalaris.com>

commit 851329ca3a47cc0a8bfd3f668c1d879a25e40cdf
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Tue Apr 12 04:17:28 2016 +0200

    contrib: add udev rules for HAMEG HO720/HO730

commit d71ead65ea7d79790ccd92001e2c89e36d11284e
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Apr 15 22:46:18 2016 +0200

    contrib: add udev rules for R&S HMO1002 in VCP and USBTMC mode

commit d38f4e7a0f0ecfa28d709ca6bc0834f0283a196f
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Apr 15 22:45:57 2016 +0200

    scpi/serial: Add USB IDs for R&S HMO 1002 Series

commit 356f64f8c735b5432f930872c90923a8e7f82913
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Apr 15 22:45:22 2016 +0200

    hameg-hmo: support triggering on either falling or rising edge
    
    At least the HMO 1002 allows triggering on rising or falling edge, the
    corresponding SCPI value is "EITH"
    
    See also bug #740

commit e3abd15d08bcd97b9e94e5775fb35d44a1d43397
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Apr 10 22:52:30 2016 +0200

    hameg-hmo: fix "invalid argument" exception when setting trigger edges
    
    The hameg-hmo driver uses the values from the trigger_slopes array.

commit da1726cc4c066a7091acc8c4fa35107746709f4e
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Apr 10 18:41:47 2016 +0200

    hameg-hmo: Add Rohde&Schwarz HMO 1002
    
    Hameg is a R&S measurement instruments subsidiary. The HMO 1002 is an
    entry level scope, compatible with the SCPI commands of the larger models.

commit 797f1a0cf3757921ffad5a403a9e7d2dc2e38ee1
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 17 14:50:18 2016 +0200

    sanity_check_all_drivers(): Add some code comments.

commit bc48ec37558b6b6e0a4128b93cb2181cd53b6da0
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 17 14:24:05 2016 +0200

    gmc-mh-1x-2x: Make two functions static.

commit 3c996d8e231eb3ae2ff37182a0c9762bcd681770
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 17 14:22:37 2016 +0200

    scpi-pps: Drop unused function prototype.

commit 116670b15d1facd756cb97525b3fea51d11d28a4
Author: EJ <kej.pol@gmail.com>
Date:   Sun Apr 17 09:30:54 2016 +0200

    Fix #786 by checking for opts in the bindings

commit 1f706c21a2977c768692f72d09b35633628d2b0d
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sun Apr 10 21:02:52 2016 +0200

    input: vcd: skip BOM at beginning of file
    
    According to the infos I have, VCD files should be plain ASCII, but we
    got report of a version adding a UTF8 BOM at the beginning of the file,
    so we need to skip it.
    
    This fixes bug #755.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 62974b235a5c5aeaacad5d28a50aef39f528dccd
Author: Diego F. Asanza <f.asanza@gmail.com>
Date:   Thu Mar 31 22:16:12 2016 +0200

    Set DSLogic in logic analyzer mode.
    
    It was being initialized in DSO mode.
    
    Signed-off-by: Diego F. Asanza <f.asanza@gmail.com>

commit 3f0ff4128447a7fc1e0105b85cdc9cfcf831dafc
Author: Diego Asanza <f.asanza@gmail.com>
Date:   Wed Mar 30 19:04:54 2016 +0200

    Fix DSLogic FPGA binary image upload and signal acquisition.
    
    For some reason, uploading the FPGA binary into DSLogic in small chunks
    does not work. In this commit, the whole binary image is loaded into memory
    and transfer is done in one chunk.
    
    Furthermore, the FPGA configuration structure was not initialized
    properly. This was changed with the initialization values taken from the
    original DSLogic software.
    
    Signed-off-by: Diego Asanza <f.asanza@gmail.com>

commit 600cc1a8a5714da133a4a6b91b792f8416baa0ae
Author: Soeren Apel <soeren@apelpie.net>
Date:   Wed Apr 6 21:10:22 2016 +0200

    Demo: Use 20Vpp as amplitude instead of 50Vpp

commit f9197887e447bb7536e25f3cb24d175d97cd20bb
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Apr 3 17:22:05 2016 +0200

    ftdi-la: Move ftdi_la_set_samplerate() to protocol.c.

commit f227338297de002d8a76dc5e411dde8743751028
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Apr 2 18:36:52 2016 +0200

    Rename 'ft2232h' driver to 'ftdi-la'.
    
    The driver already supports more than just the FT2232H chip.

commit dba986ab0aec637070becceef52c2183cc53621f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 30 13:38:55 2016 +0200

    configure.ac: The ft2232h driver also depends on libusb.

commit 4f7fdcdd74ce63670a7d75a6b48d6e75f9cb7964
Author: Sergey Alirzaev <zl29ah@gmail.com>
Date:   Thu Jul 30 07:27:43 2015 +0300

    ft2232h: Add support for FTDI FT2232H/FT232R chip as LA.
    
    This closes bug #780.

commit 625430bf88ca7926ea386f6288f95f99290271ef
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Tue Mar 29 19:21:55 2016 -0700

    hp-3457a: Implement workaround for double-precision data
    
    Certain output modules do not understand double-precision data.
    Although we need double precision to represent the full resolution
    of 7.5 digit readings, temporarily convert data to single precision
    so that the output modules understand it. While the reasing might be
    off by a few counts, we ensure the output modules do not display
    completely bogus data.
    
    For details, see bug #779.

commit db23af7fc26c9a69d500d806b060c131361e9565
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Sun Feb 28 10:55:18 2016 -0800

    hp-3457a: Implement basic configuration and sampling
    
    KNOWN ISSUES:
    - When sampling with 100 NPLC, the poll function will timeout a few
    times before the first sample is acquired. Increasing the timeout
    passed to sr_scpi_source_add() will cause all the other commands to
    be processed slowly, producing a sampling rate of about one sample
    every ten seconds.
    - Support for plug-in cards (44491A and 44492A) is not implemented.
    - Support for AC, AC+DC and four-wire resistance measurements is not
    implemented.
    - Support for configuring the frequency measurement source is not
    implemented.

commit fadb19ac9631b61c97b7ca6375a3afe134bbc695
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Fri Mar 4 23:25:15 2016 -0800

    hwdriver: Add configuration key for number of powerline cycles
    
    High precision multimeters have a special setting, called "number of
    powerline cycles" (NPLC) which determines the integration time of the
    ADC in terms of the power line period. Some devices need their NPLC
    adjusted from the default value before they can measure at their full
    rated precision.

commit 8b0ad3a55977fe90942d761ae4a075399b323f08
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Sun Feb 28 10:32:19 2016 -0800

    scpi/libgpib: Place device in local mode before closing handle
    
    Devices connected on a real GPIB bus are placed in remote mode when
    opening them. libgpib does not automatically place devices back in
    local mode when closing the handle. It is thus possible to lock out a
    GPIB device by probing it with libsigrok.
    
    This happens on the HP 3457A meter, which does not have a "LOCAL"
    command, and must be put back in local mode via GPIB handshake.
    ibloc() takes care of this, and it does it on a per-device basis,
    such that other devices on the GPIB bus are not affected.

commit daf13c570f3532a702401363a35195970600c046
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Sat Mar 5 11:33:56 2016 -0800

    scpi/libgpib: Print error string instead of number on errors
    
    libgpib has an error_string which formats a numeric error code into a
    human-readable description. Use that instead of printing the numeric
    code, as it makes debugging easier.

commit 00b2a092c3e4b0ab9a12b44a50c6b271f4cf71f8
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Sat Feb 27 22:05:27 2016 -0800

    hp-3457a: Initial driver skeleton.

commit 0586a0ef594603384b957e61e01ccfe25fdac824
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sun Mar 27 23:25:30 2016 +0200

    srzip: Optimize analog output saving
    
     - Don't set capturefile if no logic channels are saved
     - Don't set total probes if no logic channels are saved
     - Save analog channels without index gaps (e.g. probe1/probe4)

commit f476dd2d2bcd482e76e9d174706e494a248156ff
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sun Mar 27 23:09:05 2016 +0200

    Enable loading of session files without total probes defined

commit 9cfc695ffe5f04622f61acb98ea4ac91c3f4ffc3
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sun Mar 27 22:55:19 2016 +0200

    Enable loading of session files without the unit size defined

commit 7c69b528e4e216be213ff2a1bacaced6df3fe38f
Author: Soeren Apel <soeren@apelpie.net>
Date:   Thu Mar 24 08:56:14 2016 +0100

    Enable loading of session files without the capture file defined

commit e5b280e4c7d824d657524c6b622a87474d732f0f
Author: Soeren Apel <soeren@apelpie.net>
Date:   Thu Mar 24 08:55:42 2016 +0100

    analog save: Avoid index duplication between analog & logic channels.

commit 1393bccfcbfa47c55e29b5a453d9d976ebd58a03
Author: Soeren Apel <soeren@apelpie.net>
Date:   Tue Mar 22 08:29:25 2016 +0100

    input/raw_analog: Prevent "duplicate const decl specifier" warning
    
    Warnings emitted by gcc before this patch:
    src/input/raw_analog.c:51:13: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
            const char const *fmt_name;
                       ^
    src/input/raw_analog.c:55:35: warning: duplicate 'const' declaration specifier [-Wduplicate-decl-specifier]
    static const struct sample_format const sample_formats[] =
                                      ^

commit d9d57ceb283dc43f5f80619d24e5233666644dfb
Author: Soeren Apel <soeren@apelpie.net>
Date:   Tue Mar 22 08:25:08 2016 +0100

    Bindings: Update create_analog_packet() to the new analog format

commit 74a9c0adc04fd76f68e8ad5a3d3fbde0f873f849
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Mar 15 18:40:50 2016 +0100

    output/srzip: Minor whitespace fixes.

commit 2dc4081540c23e37f7a9203f4d8990a1f0733103
Author: Martin Ling <martin@nomad.lan>
Date:   Mon Dec 28 22:29:25 2015 +0000

    session_driver: Process analog chunks into analog packets.

commit 906921bad2cf5d66ba5a2a643d2d6c9db3e48118
Author: Martin Ling <martin@nomad.lan>
Date:   Mon Dec 28 21:47:25 2015 +0000

    session_driver: Read analog chunks from file.

commit b317d1bbfb83f152f94959588336f4a07328d154
Author: Martin Ling <martin@nomad.lan>
Date:   Mon Dec 28 19:47:54 2015 +0000

    sr_session_load(): Create analog channels from loaded file.

commit 26918dced08eacbd851c63f9b4459d4c764b540f
Author: Martin Ling <martin@nomad.lan>
Date:   Mon Dec 28 21:20:07 2015 +0000

    srzip: Renumber analog channels from zero in output file.

commit 7163dcbe180f624bfbb1ed899642682cb527fb0d
Author: Martin Ling <martin@nomad.lan>
Date:   Mon Dec 28 19:36:06 2015 +0000

    srzip: Save analog data.

commit eab052996cae14d8901615418e5cdeb03a6e1bd2
Author: Martin Ling <martin@nomad.lan>
Date:   Mon Dec 28 19:04:28 2015 +0000

    srzip: Store total number of analog channels.

commit 828832194f0a32097046fbd5c33edd6eee8c7a60
Author: Martin Ling <martin@nomad.lan>
Date:   Mon Dec 28 19:01:57 2015 +0000

    srzip: Count only logic channels in "total probes".

commit 8ccf5ceb173e0d0ce131d420512ba9a3a638c835
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Mar 10 23:50:24 2016 +0100

    udev rules file: Add entry for Hantek 6022BE.

commit c940b7a32f0bad7fe50e8b3d6772f208beb71faa
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Mar 9 22:41:58 2016 +0100

    hantek-6xxx: libusb_get_device_descriptor() cannot fail.

commit f2a66a8ee669df5afa1b7bdade6e25ac0857fe4b
Author: Chriter <christerekholm@gmail.com>
Date:   Wed Sep 16 22:18:07 2015 +0300

    hantek-6xxx: Initial driver implementation.
    
    Note: This commit is based on the initial implementation by
    Christer Ekholm (but stashed into one commit), with some adaptations
    (forward porting, coding style and consistency fixes) by Uwe Hermann.

commit 6c6bc80a9932088b919b0cbaead8fa71a2df5067
Author: Chriter <christerekholm@gmail.com>
Date:   Wed Sep 16 20:41:22 2015 +0300

    hantek-6xxx: Initial driver skeleton.

commit 5af975b58773cf9deb22ae904b996c6db830b2db
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Mar 5 18:51:39 2016 +0100

    maynuo-m97: Fix a typo in an error message.

commit 6cc931283d952be755c02db84044ce1f95e8426d
Author: Alexandru Gagniuc <mr.nuke.me@gmail.com>
Date:   Sat Mar 5 09:16:26 2016 -0800

    scpi-pps: Add profile for Agilent N5763A 12.5V 120A supply

commit ba4dfbde11f48ce4bccda265f3db1e82901df99c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Mar 4 09:37:16 2016 +0100

    fluke-dmm: Add support for the Fluke 289.
    
    Thanks to Julien Bresciani <julien.bresciani@free.fr> for providing
    the information about the required changes!

commit b84f91ff2ea924c5662d38034b3754d9a37265d4
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sun Feb 21 10:06:10 2016 +0100

    session: allocate correct amount of memory in sr_packet_copy
    
    We want the size of the struct, not of a pointer to the struct. And to
    be absolutely future proof, dereference the pointer we are assigning the
    memory to (not the one we are copying the data from). Found by Coverity,
    CID 50858.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 2217be1dd452ec00ac3c59e2db60f6b088593761
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Feb 9 01:09:39 2016 +0100

    arachnid-labs-re-load-pro: Handle undervoltage condition.
    
    Support the SR_CONF_UNDER_VOLTAGE_CONDITION* keys.
    
    Undervoltage (and overtemperature) conditions now emit a
    warning-level message as well.

commit 2fe1011f1daf66279424bd20722c2c80e0b593a9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Feb 9 01:28:38 2016 +0100

    Add SR_CONF_UNDER_VOLTAGE_CONDITION* config keys.
    
    Add two new config keys:
    
     - SR_CONF_UNDER_VOLTAGE_CONDITION
    
     - SR_CONF_UNDER_VOLTAGE_CONDITION_ACTIVE

commit 8084e0fa811df82b3a243c8ccc713a3af739a436
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 8 21:03:40 2016 +0100

    arachnid-labs-re-load-pro: Only support firmware >= 1.10.
    
    The "on\n" and "off\n" commands require this.

commit 8501448cfe508de842c0e2206232a7a832837294
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 8 08:52:23 2016 +0100

    arachnid-labs-re-load-pro: Add support for setting SR_CONF_ENABLED.
    
    The firmware has "on\n" and "off\n" commands since 1.10, so use them.
    
    Apparently you can only set the state (on/off) of the load, but it's
    not possible to query the current state.

commit 6e68da5140e80443bbb122f0c23ae5a17d91c697
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Feb 8 08:24:48 2016 +0100

    arachnid-labs-re-load-pro: Convert to SR_DF_ANALOG.

commit 803db07a1af036a5da65581ddbac23b7f84a4388
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Dec 30 18:44:40 2015 +0100

    arachnid-labs-re-load-pro: Add initial driver.

commit 6e8d31d4680a35a35c2605c90d3abcc559d70a56
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Dec 29 01:58:05 2015 +0100

    arachnid-labs-re-load-pro: Initial driver skeleton.

commit 83bf4762e42a4d4a5c077f48d8f5715c9147d9b8
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Mon Feb 1 22:37:36 2016 +0100

    beaglelogic: use standard # operator instead of ugly __STRING macro
    
    Also note that the __ namespace is reserved by POSIX for its private
    usage, so user land software should never rely on any kind of API
    with a __ prefix.

commit 29d3876a0b1d799f07ce8ca671d613e73612930b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Feb 6 15:19:06 2016 +0100

    configure.ac: Bump package version to 0.5.0.
    
    0.5.0 will be the next major, API-changing release. Bump now, so that
    there is no confusion of tarball 0.4.0 and 0.5.0-git snapshots.

commit 89c82260b0bbfa4885b2b1d737d825c4bdeda3c9
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 29 22:57:48 2016 +0100

    Bump libtool version (not package version) to 3:0:0.
    
    The last release (0.3.0) had the libtool version (current:revision:age)
    set to 2:0:0. Since this release adds, removes, and changes interfaces,
    the new version is 3:0:0.
    
    http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
    
    This changes the library filename (e.g. on Linux) from libsigrok.so.2.0.0
    to libsigrok.so.3.0.0, the SONAME (+symlink) becomes libsigrok.so.3.

commit 18b9bbb39cd236dd05acc40e21f5a1a16aad2e5d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Aug 17 00:48:13 2015 +0200

    NEWS: Update for upcoming 0.4.0 release.

commit 10c4ca9c5bd9b2e917759e9fddc6f8655895b92c
Author: Soeren Apel <soeren@apelpie.net>
Date:   Fri Jan 29 23:13:32 2016 +0100

    hameg-hmo/yokogawa-dlm: Fix warning about pointer typecast

commit a084a8f2a4fd5a48e659e36ae47bc393fd9d6ffc
Author: Soeren Apel <soeren@apelpie.net>
Date:   Fri Jan 29 21:59:06 2016 +0100

    SCPI: Do not use RL1 lockout for Yokogawa devices

commit b18b8a92028475ca3d9ab33c06248d37075837be
Author: Soeren Apel <soeren@apelpie.net>
Date:   Fri Jan 29 21:39:20 2016 +0100

    yokogawa-dlm: Fix array_float_get()

commit 8cccbac8da97397b61aa094c67e62ee922b628ed
Author: Soeren Apel <soeren@apelpie.net>
Date:   Fri Jan 29 21:35:16 2016 +0100

    hameg-hmo: Fix array_float_get() and also use it for the time base

commit fe227d17aeda0c460367883f57c3b683fe4798a6
Author: Soeren Apel <soeren@apelpie.net>
Date:   Fri Jan 29 21:13:07 2016 +0100

    hameg-hmo: Add missing 20/50V vdiv entries

commit e786b19467f2a77c492baafee2705c9f0edcee47
Author: Soeren Apel <soeren@apelpie.net>
Date:   Fri Jan 29 21:08:49 2016 +0100

    hameg-hmo: Add more supported scope models

commit b90400ed89b6bdb4b0ffaed2fc3acb768ee3ca40
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 29 18:31:00 2016 +0100

    README: Bump bindings requirements to the upcoming 0.4.0 release.

commit db5449b918ee51c73d04bf3fded6d5b8c49b96df
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 29 18:30:32 2016 +0100

    README: Mention the missing libieee1284 requirement.

commit b165a24234b44a39e87661132ee0c92b49dac5ea
Author: Lars-Peter Clausen <lars@metafoo.de>
Date:   Sat Jan 23 14:21:15 2016 +0100

    hung-chang-dso-2100: Fix session source fd
    
    For session sources without a file descriptor to poll a negative number
    should be passed for the fd parameter. The hung-chang-dso-2100 driver
    currently passes 0 instead, which is the stdin stream. Fix the issue by
    passing -1 for the fd parameter.
    
    Signed-off-by: Lars-Peter Clausen <lars@metafoo.de>

commit eb8e6cd2cbcb9c552418dcd0b7973b38b88c805f
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Jan 29 18:00:11 2016 +0100

    Use libusb_error_name() more often for better diagnostics.

commit 9dfacd870618806defe64a0cbe1ccd330e11cb3d
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu Jan 28 23:17:50 2016 +0100

    demo: fix infinite loop with 0 channels of one type
    
    The following command line exhibits the inifinit loop:
      sigrok-cli -d demo:analog_channels=0 --samples=8

commit e9227902208d2ab96349b60788596dfc2222941a
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu Jan 28 22:48:44 2016 +0100

    configure: replace buggy AX_RUBY_EXT by a proper implementation
    
    This actually allows to get the proper DLEXT expected by Ruby on
    the target system.

commit e469259a577069529e60c9741f098a0c5c56f813
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Thu Jan 28 22:45:28 2016 +0100

    configure: check for swig version >= 3.0.8 for Ruby bindings

commit 3f48fc82b5bc13e749b30a47dd6ca06f8cd2b00e
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sun Jan 10 12:10:10 2016 +0100

    input: vcd: by default do not limit number of channels
    
    Accept (and set to default) 0 for numchannels which means 'unlimited'.
    I think it is convenient to read all channels of a vcd file by default.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit ab464eb3dc7fc9646592d882ca79aa0a8fa5101b
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sun Jan 10 12:08:54 2016 +0100

    input: vcd: register channels when parsing header not when initializing
    
    Benefits:
    
    * only channels really used in vcd will be added
    * we can give them the proper name found in the vcd file
    * less code :)
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 34724ffa340b4df9706aa02d686563ed72b7840f
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sat Jan 9 23:17:02 2016 +0100

    input: vcd: support 1 bit vectors
    
    Use the new process_bit() function to parse 1 bit vectors, too.
    
    This is the first step to fix bug #723. Minimal testcase vcd:
    
    $timescale 1 ns $end
    $var wire 1 n0 addr_0 $end
    $var wire 1 n1 addr_1 $end
    $enddefinitions $end
    #0
    0n0
    b1 n1
    #1
    1n0
    b0 n1
    #2
    0n0
    b1 n1
    #3
    1n0
    b0 n1
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 36dacf17bc5fe333c6557d073011e2033b6f544f
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sat Jan 9 23:05:58 2016 +0100

    input: vcd: refactor parsing a bit
    
    Move to a separate function which we want to reuse later.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit a66175c2b1e11c961329aa2634fa9de7f3a45d5a
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sat Jan 9 08:17:57 2016 +0100

    input: vcd: avoid needless copying
    
    Current code moves the identifier string one byte to the front to
    overwrite the bit value, so 'tokens[i]' is a string to compare against
    the desired value. This copying is unnecessary, just pass a properly
    setup pointer.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 76bc28c3f1cbd88f01eda7251e9f4f1d88c506f2
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sat Jan 9 18:27:14 2016 +0100

    input: vcd: try to continue when a vector was found
    
    No need to bail out on vectors. As long as there are tokens left, we can
    try to parse the rest. Also, print a message so the user knows what's
    going on. Here is a testcase vcd:
    
    $timescale 1 ns $end
    $var wire 1 n0 addr_0 $end
    $var wire 1 n1 addr_1 $end
    $enddefinitions $end
    #0
    0n0
    b1 n1
    #1
    1n0
    b0 n1
    #2
    0n0
    b1 n1
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 73f052d329574e6fa9fc8bebcc7682b120da5bab
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sat Jan 9 17:40:10 2016 +0100

    input: vcd: properly bail out on missing identifiers
    
    If we hit the missing identifier case, then we reached the end of the
    token list. So, we should break out of the loop, and not continue.
    Otherwise we will go past the end of the array as this minimal testcase
    shows:
    
    $timescale 1 ns $end
    $var wire 1 n0 addr_0 $end
    $enddefinitions $end
    1
    
    gives:
    
    $ ./sigrok-cli -I vcd -i no_mod.vcd -O vcd -o /tmp/o.vcd
    Segmentation fault
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit e85e550d92e680f19c9be759dfc2b29ce72ae7c5
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Wed Dec 30 22:04:38 2015 +0100

    input: vcd: allow optional index item
    
    A $var block can have an optional index item which looks like '[<sth>]'.
    Parse it, too, and append it to the channel name.
    
    This fixes bug #322. A first version was posted by Simon Richter. This
    version is rebased and simplified.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 650847e7d3caf097042397bd4522a7a393cb89ab
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 28 18:46:55 2016 +0100

    hameg-hmo: Fix some compiler warnings.

commit 8fff75196f79d60369cc05545409fc567c6b7bf4
Author: Soeren Apel <soeren@apelpie.net>
Date:   Fri Jan 8 23:02:20 2016 +0100

    hameg-hmo: Replace floating point comparison for vdiv
    
    This should fix bug #731.

commit a5be5d5bc008ebdab19b7ed2efe5e5a5b99bb349
Author: Soeren Apel <soeren@apelpie.net>
Date:   Fri Jan 8 23:00:55 2016 +0100

    Trace32 import module: Send trigger only once
    
    As we're downsampling, several record time stamps can match the specified
    trigger time. For this reason, it's possible that several trigger packets
    are sent when a file is loaded. This prevents the issue and sends a
    trigger packet only on the first matching record.

commit 27d44cf6e0eaaa75979510596d6148193a8434c0
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Mon Jan 11 14:31:47 2016 +0100

    Implement Ruby bindings on top of SWIG/C++ bindings.

commit 0441038e2f37da659cf46a1878fc6906926425d6
Author: Aurelien Jacobs <aurel@gnuage.org>
Date:   Mon Jan 11 14:32:22 2016 +0100

    Makefile: use PYSIGROK_FLAGS only for building python bindings

commit 1b4aedc06f4ea5e63c604bf37e5c95c592fab73a
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 7 23:46:36 2016 +0100

    Use ALL_ZERO in a few more places.

commit ff7c7cda93a8457777eda9466c561d62313a9d49
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Jan 7 23:22:42 2016 +0100

    lecroy-logicstudio: Fix some compiler warnings on MinGW.
    
    src/hardware/lecroy-logicstudio/protocol.c: In function 'handle_fetch_samples_done':
    src/hardware/lecroy-logicstudio/protocol.c:261:3: warning: passing argument 6 of 'libusb_fill_bulk_transfer' from incompatible pointer type
       recv_bulk_transfer, (void *)sdi, USB_TIMEOUT_MS);
       ^
    In file included from ./src/libsigrok-internal.h:31:0,
                     from src/hardware/lecroy-logicstudio/protocol.h:26,
                     from src/hardware/lecroy-logicstudio/protocol.c:23:
    /home/uwe/sr_mingw/include/libusb-1.0/libusb.h:1546:20: note: expected 'libusb_transfer_cb_fn' but argument is of type 'void (*)(struct libusb_transfer *)'
     static inline void libusb_fill_bulk_transfer(struct libusb_transfer *transfer,
                        ^
    src/hardware/lecroy-logicstudio/protocol.c: In function 'fetch_samples_async':
    src/hardware/lecroy-logicstudio/protocol.c:314:4: warning: passing argument 6 of 'write_registers_async' from incompatible pointer type
        handle_fetch_samples_done);
        ^
    src/hardware/lecroy-logicstudio/protocol.c:200:12: note: expected 'libusb_transfer_cb_fn' but argument is of type 'void (*)(struct libusb_transfer *)'
     static int write_registers_async(const struct sr_dev_inst *sdi,
                ^
    src/hardware/lecroy-logicstudio/protocol.c: In function 'lls_start_acquisition':
    src/hardware/lecroy-logicstudio/protocol.c:1122:3: warning: passing argument 6 of 'libusb_fill_interrupt_transfer' from incompatible pointer type
       recv_intr_transfer, (void *) sdi, USB_TIMEOUT_MS);
       ^
    In file included from ./src/libsigrok-internal.h:31:0,
                     from src/hardware/lecroy-logicstudio/protocol.h:26,
                     from src/hardware/lecroy-logicstudio/protocol.c:23:
    /home/uwe/sr_mingw/include/libusb-1.0/libusb.h:1602:20: note: expected 'libusb_transfer_cb_fn' but argument is of type 'void (*)(struct libusb_transfer *)'
     static inline void libusb_fill_interrupt_transfer(
                        ^

commit d64b5f43ccaab6d490da05b84fa9b31b7cccfcb7
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Wed Dec 23 15:25:18 2015 +0100

    sysclk-lwla: Minor whitespace and consistency fixes.

commit 0cadb8a350578d857423a3bf3c0ed990cdb2608e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Dec 22 19:36:19 2015 +0100

    Minor whitespace and cosmetic fixes.

commit 3591481e871eec154a764e1c78004095144de5b5
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sun Jan 3 22:27:45 2016 +0100

    dmm: vc870: drop unused variable
    
    There is no status bit for RMS. We know about RMS if certain modes are
    active. So, drop this superfluous variable.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit ee2e9be21be59e9455a78ce3598db49e3b38e6f6
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sun Jan 3 22:27:44 2016 +0100

    dmm: vc870: support effective voltage & current
    
    And rename the status variable because in sigrok the term RMS is used
    instead of "effective value".
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 2e1c4817c7f89b6a7eab8e9801b25d73a95089fb
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sun Jan 3 22:27:43 2016 +0100

    dmm: vc870: render POWER_FACTOR as such and not as frequency
    
    The primary display is the power factor, the secondary is the frequency.
    This got mixed up, so change the order. We also need to fix the
    conversion factor.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 4867dd177f1dbaf99e44c29548d614d3f324eeb9
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sun Jan 3 22:27:42 2016 +0100

    dmm: vc870: keep the order when processing modes
    
    is_power_apparent_power is index 0 of function 0x39, so it is better to
    process it first and the later indices after that (we need to add
    another one with a different patch later).
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit b4a0770ef8dc5deba8072679039ac4288cbc3454
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sun Jan 3 22:27:41 2016 +0100

    dmm: vc870: fix AC conversion factors
    
    Testing showed that AC current needs to be handled different from DC.
    Note that ACA is still untested because of limited testing equipment.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit b89462e45706e9b4f65eced96c7d76347f4b5569
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Sun Jan 3 22:27:40 2016 +0100

    dmm: vc870: show display value properly in debug output
    
    It was confusing to see the display value (5 digits) printed in debug
    output as a float. Print it the same way as shown on the real device,
    without comma, of course.
    This also allows to simplify the code a little.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 32ba0d80054df01767ec323c621ab1c6bc5f310c
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Mon Jan 4 18:53:30 2016 +0100

    resource: Replace ssize_t with gssize to avoid unistd.h

commit c61e208d26325c38c9c928b00890a70f55633ddf
Author: Martin Ling <martin-git@earth.li>
Date:   Sun Jan 3 22:22:57 2016 +0000

    python: Provide sensible __str__ and __repr__ functions for enum values.
    
    This fixes bug #668.

commit f014a8fd4cbea56c3ecd23a5b2cbb7c38d905253
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 3 03:00:45 2016 +0100

    proto.h: Add missing unistd.h #include.
    
    The ssize_t and size_t usage requires the unistd.h #include.
    
    Thanks to Daniel Glöckner for the bug report.
    
    This fixes bug #721.

commit e43887683cc1920fa0d6f9e557bff0e62fa7c8a3
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 3 02:51:01 2016 +0100

    baylibre-acme: Replace g_close() with close() for now.
    
    This g_close(), the only one in the whole code-base, would unnecessarily
    raise the minimum glib version to 2.36.
    
    Thanks to Daniel Glöckner for the report.
    
    This fixes bug #724.

commit 8c529898116e9a6bf7083fb3b748b24d006392a4
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Wed Dec 30 18:39:48 2015 +0100

    C++: Avoid std::map::emplace() for GCC 4.7 compatibility
    
    This fixes bug #720.

commit 6954fdbca9e3bca9acbbe6e1eaf4e4e85062bc1e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Jan 3 00:39:44 2016 +0100

    src/backend.c: Add missing winsock2.h #include.

commit fa69e191b2d50f5feac40c67cf225d4d6c71f940
Author: Martin Ling <martin-git@earth.li>
Date:   Tue Dec 29 23:49:15 2015 +0000

    win32: Call WSAStartup() at sr_init() time.
    
    Should fix bug #692.

commit 8141a0325c2d31a37ecaeef6532d932112700f01
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Dec 31 18:47:55 2015 +0100

    Rename sr_driver_scan_options() to sr_driver_scan_options_list().

commit 0c697a4b339451514d4814974708816ce7858b8e
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Dec 31 18:45:17 2015 +0100

    Rename sr_dev_config_capabilities() to sr_dev_config_capabilities_list().

commit 7d7fd93c947dcaa94f3d90bfb6b0bf3ce01d774d
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Dec 31 18:43:18 2015 +0100

    Restore number "categories" in sr_configkey.

commit e318f01b2f17d60fc4b25feb7d23e948cb5ffb8f
Author: Martin Ling <martin-git@earth.li>
Date:   Tue Nov 3 01:59:42 2015 +0000

    Make SR_CONF_MASK an internal constant.

commit cffdc3e63b132795bfcaab91864c1c6b124e87fa
Author: Martin Ling <martin-git@earth.li>
Date:   Mon Nov 2 01:03:07 2015 +0000

    Make SR_CONF_{SCAN,DEVICE}_OPTIONS into internal constants.
    
    These are no longer needed in the public API as we have new wrapper functions.
    They are still used internally by drivers.

commit 36bb818d6f10ac1187f160f4c2ab1169aeb4e86f
Author: Martin Ling <martin-git@earth.li>
Date:   Mon Nov 2 22:05:02 2015 +0000

    bindings: New configuration enumeration API.
    
    The new methods wrap the new libsigrok C API helper functions and eliminate
    the need to pass complex types back to the user and wrap them with SWIG.
    
    Fixes bugs #479 and #480.

commit 8f3168b89bcd79b555d86601270d81e5c8e3bdfe
Author: Martin Ling <martin-git@earth.li>
Date:   Mon Nov 2 00:23:23 2015 +0000

    Add new sr_driver_scan_options() helper function.
    
    This function replaces the pattern of calling config_list() with
    SR_CONF_SCAN_OPTIONS to obtain a list of scan options.

commit e7136c626f433bcdc101eaa24191ce5682803540
Author: Martin Ling <martin-git@earth.li>
Date:   Mon Nov 2 00:40:40 2015 +0000

    Add new sr_dev_options() helper function.
    
    This function replaces the pattern of calling config_list() with
    SR_CONF_DEVICE_OPTIONS to obtain a list of device options. Note
    that this does not include the SR_CONF_{GET,SET,LIST} bitmask,
    which is now retrieved for a specific key by calling
    sr_dev_config_capabilties().

commit 71e9c54dab31384224b566c705d6084253f08bdd
Author: Martin Ling <martin-git@earth.li>
Date:   Mon Nov 2 21:35:26 2015 +0000

    Add new sr_dev_config_capabilities() helper function.

commit 12f2f640cbe9167ad386a2d9069ec882d70cda5b
Author: Martin Ling <martin-git@earth.li>
Date:   Mon Nov 2 20:52:00 2015 +0000

    bindings: Wrap enum sr_configcap as Capability class.

commit c57aa1ac19b437281e60c394483a15aec9080916
Author: Martin Ling <martin-git@earth.li>
Date:   Mon Nov 2 20:46:28 2015 +0000

    Make SR_CONF_{GET,SET,LIST} into a new enum.

commit 039a2fd78a61ad8c6e9159be9ba06b605a456155
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Dec 27 12:26:06 2015 +0100

    src/usb.c: Only allow hex characters in CONN_USB_VIDPID.
    
    (and also allow case-insensitive specification)
    
    Thanks to Hannu Vuolasaho for the fix.

commit 52fb2d448480fd820fadff464a676e61dabc557f
Author: Wolfram Sang <wsa@the-dreams.de>
Date:   Tue Dec 29 12:45:07 2015 +0100

    modbus: silence a build warning
    
    Refactor handling the size of modbus_devs, so it doesn't produce a build
    warning and still allows the compiler to remove unused code.
    
    This fixes bug #637. It could be reverted once modbus_devs
    unconditionally has a member in the struct.
    
    Signed-off-by: Wolfram Sang <wsa@the-dreams.de>

commit 0a1f7b09b3fa4cc4da29c7acf53717e14b004b63
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Tue Dec 22 20:15:57 2015 +0100

    Prefer postfix-increment for consistency across the code-base.
    
    Only when there are technical reasons use prefix-increment.

commit a078d3ec527c0a8180f59086e62a8905ae79aa65
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Dec 25 23:20:00 2015 +0100

    korad-kaxxxxp: Add workaround for a Korad KA3005P issue.
    
    In some situations, the reply to the *IDN? command contains an
    additional trailing 0x01 byte for unknown reasons.
    
    This issue seems to be reproducible by changing the voltage using the knobs
    on the device, then turning on the output and turning it off again.
    
    The next korad-kaxxxxp scan() operation would contain the trailing 0x01
    byte, which would lead to the detection of the device in libsigrok no
    longer working until the next power-cycle.
    
    Work around this issue by treating both the ID string with and without
    the trailing 0x01 byte as valid.

commit ae9ca5b1df8137083e37588665f7322306346420
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Dec 24 01:19:11 2015 +0100

    korad-kaxxxxp: Add support for the Velleman PS3005D.

commit 1d80e1c64140bb74857042751c460962b445cb35
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Tue Dec 22 23:42:36 2015 +0100

    sysclk-lwla: Use static array for LWLA1034 init sequence
    
    Just as in the LWLA1016 initialization, make use of a static array
    for the constant part of the LWLA1034 capture setup sequence.

commit e35a4592488d7492a46921dd8bd130eae5faf11a
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Tue Dec 22 15:52:40 2015 +0100

    sysclk-lwla: Attempt initialization three times
    
    This is a desperate measure to improve the success rate of device
    initialization even after it got into a bad state. Combine this
    with a reduced USB timeout (1 second) so that if it fails, it fails
    quickly. Also ignore USB errors from the initial dummy read of the
    device test ID.

commit 04f2428354068c6ed85ad090dd4baac253e940c4
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Dec 5 18:16:39 2015 +0100

    sysclk-lwla: Use static array for init sequence

commit 786485772ffd28dfb1ca7375ca64118ccd7af25c
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Dec 5 17:47:52 2015 +0100

    sysclk-lwla: Work around short transfer quirk
    
    Detect whether the FX2 firmware of the LWLA device exhibits the
    short transfer bug. If so, work around the problem by limiting
    reads to at most 64 bytes at a time. This slows down the memory
    read after acquisition quite noticably, but makes the device
    usable even in adverse conditions.

commit 940805ce7dbd26c32f2e8b3512fdc54432b412db
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Dec 5 10:06:15 2015 +0100

    sysclk-lwla: Skip unused registers in status poll
    
    Reduce the number of long registers read in bulk during status
    polling from 10 to 5. The LWLA1034 driver used to do that already
    in an earlier iteration, which was then changed to be more like
    the original vendor software. The reason for bringing it back now
    is that it reduces the response size to 40 bytes, which works
    around the spurious 64 byte limit bug in the FX2 firmware of the
    LWLA devices.

commit ef7df53d3609413341b521ab64f223f80e49a01a
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Mon Dec 14 21:47:46 2015 +0100

    sysclk-lwla: Declare model_info structs as extern
    
    This fixes bug 714.

commit fc6cbfce2ba3f7f15f79acd6754ec6745e091ae6
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Dec 5 10:41:16 2015 +0100

    sysclk-lwla: Close USB handle on drain error

commit 407b6e2cff817c6b05f1f038e2fecd94ad11fa86
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Fri Dec 4 20:08:07 2015 +0100

    sysclk-lwla: Various cosmetic improvements

commit 6d2897e394950bb661a27fd33dbcd14d8c56c61f
Author: Soeren Apel <soeren@apelpie.net>
Date:   Sun Dec 20 20:20:56 2015 +0100

    Add the Lauterbach Trace32 logic analyzer data import module

commit 8a66b0777ce093fcab54ae9cf89a645cc03c6731
Author: Soeren Apel <soeren@apelpie.net>
Date:   Mon Dec 7 20:26:11 2015 +0100

    Add RL64 and RL64S endianness helper macros

commit d01c4c56d57491edb1d430646e88cf5341d878e6
Author: Soeren Apel <soeren@apelpie.net>
Date:   Mon Dec 7 20:14:19 2015 +0100

    Whitespace fixes

commit 30726a8a3222e8effcc63c7a25db1546b6d558fd
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Dec 21 16:22:44 2015 +0100

    input/raw_analog: Fix two compiler warnings.
    
    ../src/input/raw_analog.c:63:67: warning: integer overflow in expression [-Woverflow]
      { "S32_LE",     { 4, TRUE,  FALSE, FALSE, 0, TRUE, { 1, INT32_MAX+1}, { 0, 1}}},
                                                                       ^
    ../src/input/raw_analog.c:65:67: warning: integer overflow in expression [-Woverflow]
      { "S32_BE",     { 4, TRUE,  FALSE, TRUE,  0, TRUE, { 1, INT32_MAX+1}, { 0, 1}}},
                                                                       ^

commit 21cbe810fe12fbbc93b6f80c950c377528353442
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Dec 21 15:58:03 2015 +0100

    input/raw_analog: Use ARRAY_SIZE.

commit 221cec31fc51ffeeb2ad222bb9e796229fa7e9c4
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Nov 29 08:03:57 2015 +0100

    input/raw_analog: set scale and offset appropriately

commit e6b15cb5e609c9263f501d3b12965206feddb42b
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Nov 28 19:55:12 2015 +0100

    input/raw_analog: Add input module for raw analog signals

commit 4d376e082cbc17da30cf20d18bec8f65b14b7ae0
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Wed Nov 25 01:41:41 2015 +0100

    analog: add conversion from various integer formats to float

commit 74c9a8d2bd361d59cd6eb6e20c26a37c6f4d12a1
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Nov 28 16:52:08 2015 +0100

    input/wav: initialize channel list before going into ready state
    
    The sr_input_dev_inst_get API documentation guarantees an input is fully
    initialized as soon as the device instance is returned. An sdi
    implementation should not set sdi_ready any earlier.
    
    This fixes parts of bug #387.

commit 7cccc9155c6cdca46deee310be112eb23b374c3b
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sat Nov 28 23:18:50 2015 +0100

    bindings/cxx: make sure the config value reference is kept
    
    fixes glib warning:
    GLib-CRITICAL **: g_variant_unref: assertion 'value->ref_count > 0' failed

commit 8dd5d426f777b47bb3135cc3bb9cde7348801f52
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Sun Nov 29 20:49:40 2015 +0100

    z60_libsigrok.rules: Add udev rule for LeCroy LogicStudio16.

commit c7b17bcba3751c7849229089cce8773bb4355be7
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Thu Oct 8 20:13:53 2015 +0200

    lecroy-logicstudio: Initial driver implementation.
    
    This supports both 8 and 16 channel modes with samplerates up to
    500 MHz. Voltage thresholds are currently fixed at 1.58V.

commit 17b93fd7c0c7af90042eac513d837cf1ec2b5f9c
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Mon Nov 16 19:47:04 2015 +0100

    Add the RB64 macro.
    
    Reads an unsigned 64 bit integer from memory.

commit 8eb4299c5b5dac419b769d2e6581707cec47ea6b
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Sun Nov 8 17:37:34 2015 +0100

    bindings: Fix doc extraction for enums
    
    The source file enum.hpp was not found when not building in the source
    tree.  Also, extraction of the brief description did not work correctly
    when there was additional XML markup inside the <para> element.

commit 8abdf0066e4203eafe5b65ed0a995d4588961126
Author: Hannu Vuolasaho <vuokkosetae@gmail.com>
Date:   Fri Nov 27 20:10:14 2015 +0200

    korad-kaxxxxp: Workaround for Korad device bug
    
    The sixth character from ISET? is read and discarded. If the device is
    turned off and on again, this won't be there and causes 10 ms delay in
    every ISET? Luckily, this value isn't queried that often. To get the
    sixth byte, the *IDN? command has to be issued before ISET?.

commit bcf9384d3d2cad0effb5ef2769697d8af05b8a17
Author: Hannu Vuolasaho <vuokkosetae@gmail.com>
Date:   Mon Nov 30 22:47:56 2015 +0200

    korad-kaxxxxp: Fix typo in Korad driver device enum

commit 17124cf9adf2b1017180bab854bf8a2d50639e0b
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Tue Nov 24 22:31:35 2015 +0100

    output/wav: use the right buffer for SR_DF_ANALOG

commit 8b5aefc681c1d4158ce4c0c95f2a2888ea274a12
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Tue Nov 24 21:03:04 2015 +0100

    input/wav: fix and simplify conversion of integer samples
    
    Size of individual samples is specified by unitsize, not samplesize.
    The sample immediate is not necessary.

commit b944e336d60cb9948b757f47a97b9f3bf145f534
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Tue Nov 24 20:55:14 2015 +0100

    input/wav: increase search range for data chunk, report errors

commit 288f8ce23cf0cf9a66e0ffe824f693009f942d07
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Nov 22 22:14:15 2015 +0100

    input/wav: fix error in offset calculation

commit c7224164a073461d9be8dc54120dc13673e65f61
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Fri Nov 27 00:44:50 2015 +0100

    output/wav: track and free memory for float conversion buffer

commit c01378c95f34e60d3b67f84dc3a6c3c6c154186d
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Nov 26 22:55:55 2015 +0100

    input: fix leak of config data in several input modules

commit da3d141f04e9a17bd41c5adfb5c83369fe3759df
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Nov 26 04:29:28 2015 +0100

    output: fix options memory leak

commit 2dbe445d55f0d7166bb481f4991e10bec4cd2789
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Nov 26 03:07:47 2015 +0100

    output/analog: track and free memory for float conversion buffer
    
    ==18779== 800,000 bytes in 196 blocks are definitely lost in loss record 29 of 29
    ==18779==    at 0x4C29110: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==18779==    by 0x4E635C3: receive (analog.c:319)
    ==18779==    by 0x40870B: datafeed_in (session.c:316)
    ==18779==    by 0x4E59D4E: sr_session_send (session.c:1201)
    ==18779==    by 0x4E59F8B: sr_session_send (session.c:1159)
    ==18779==    by 0x4E62595: send_chunk (wav.c:234)
    ==18779==    by 0x4E62A06: process_buffer (wav.c:290)
    ==18779==    by 0x40954A: load_input_file_module (input.c:123)
    ==18779==    by 0x4097AB: load_input_file (input.c:157)
    ==18779==    by 0x40531E: main (main.c:288)

commit 877a6d09d54d48814e8cf27a67eab0756136f2ae
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Nov 26 03:04:39 2015 +0100

    session: free memory for datafeed callbacks, reported by valgrind
    
    ==17549== 32 (16 direct, 16 indirect) bytes in 1 blocks are definitely lost in loss record 22 of 39
    ==17549==    at 0x4C29110: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==17549==    by 0x5359200: g_malloc (in /usr/lib64/libglib-2.0.so.0.4200.2)
    ==17549==    by 0x536EE2D: g_slice_alloc (in /usr/lib64/libglib-2.0.so.0.4200.2)
    ==17549==    by 0x5370165: g_slist_append (in /usr/lib64/libglib-2.0.so.0.4200.2)
    ==17549==    by 0x4E595C3: sr_session_datafeed_callback_add (session.c:512)
    ==17549==    by 0x409527: load_input_file_module (input.c:111)
    ==17549==    by 0x4097AB: load_input_file (input.c:157)
    ==17549==    by 0x40531E: main (main.c:288)

commit fe7b8efc6b36aa707365f1d23c645303a5f2307a
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Nov 26 02:30:42 2015 +0100

    session: fix use after free of session->devs as reported by valgrind
    
    ==7478== Invalid write of size 8
    ==7478==    at 0x4E59182: sr_session_dev_remove_all (session.c:302)
    ==7478==    by 0x4E591CD: sr_session_destroy (session.c:265)
    ==7478==    by 0x4095D9: load_input_file_module (input.c:143)
    ==7478==    by 0x4097AB: load_input_file (input.c:157)
    ==7478==    by 0x40531E: main (main.c:288)
    ==7478==  Address 0x7877eb8 is 88 bytes inside a block of size 96 free'd
    ==7478==    at 0x4C2A37C: free (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==7478==    by 0x4E5F454: sr_input_free (input.c:573)
    ==7478==    by 0x4095C3: load_input_file_module (input.c:140)
    ==7478==    by 0x4097AB: load_input_file (input.c:157)
    ==7478==    by 0x40531E: main (main.c:288)

commit b3cfc6e98e34e54a11d5a9563f6f7ac282c92983
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Nov 29 00:23:53 2015 +0100

    Make all sizeof() consistently use parenthesis.

commit 09ffac33b7af7bba92f2be461dfb8a01e96e2d60
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Fri Nov 27 23:44:11 2015 +0100

    sysclk-lwla: Simplify trigger mask generation

commit 93ed0241aaf6e791e113b741435fa857891e86c2
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Fri Nov 27 22:47:29 2015 +0100

    sysclk-lwla: Drain pending replies on initialization
    
    When opening the device, drain any pending data from the USB
    buffers so that the device won't get stuck on crashes etc.

commit 567674b4f8a71ff369fad9a31f7d9db00abbd6bc
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Fri Nov 27 21:26:13 2015 +0100

    sysclk-lwla: Remove double USB set configuration
    
    This was a pointless attempt to make the reset hiccups go away.
    It didn't help, the problem must be something else.

commit 7ed808179f5542c903a476266c4b175a6f2a18a7
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Fri Nov 27 14:32:28 2015 +0100

    sysclk-lwla: Cut down on size_t overuse
    
    Do not use size_t for values whose width is defined by the device,
    not the host. Also don't use size_t for simple indices with known
    small range, unless type compatibility considerations apply.

commit 43af7604d0910e9831d027d5a53ca806cee8bdfc
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Fri Nov 27 03:19:43 2015 +0100

    sysclk-lwla: Fix copy'n'paste mistake in comment

commit 9e9dba7b41bdd87d4ce442bc9bf6507518e97000
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Nov 27 00:15:15 2015 +0100

    Use the ALLZERO macro in more places.

commit 2c5bdf1bbdf8d68b8ff9b352c790f50f23d90a23
Author: Hannu Vuolasaho <vuokkosetae@gmail.com>
Date:   Wed Nov 25 00:56:23 2015 +0200

    Support for Korad KA3005P

commit 16fc7ee29ffa196d29a20fddd81234792f88b12c
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Nov 27 00:16:05 2015 +0100

    korad-kdxxxxp: Rename driver to korad-kaxxxxp.
    
    This matches the supported / supportable devices better.

commit 89b3a0d8d1cd44e3959a5c332954f34d6e9bd685
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Nov 27 00:14:05 2015 +0100

    doxygen: Only use @since on public API functions.

commit 2cdd40205e1532a847a94f96d60ab0611e9db3ed
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Nov 27 00:12:57 2015 +0100

    z60_libsigrok.rules: Add sigrok fx2lafw VID/PID pairs.

commit db0e5c999df2872e9be422a6ec48920eb3f4eb3f
Author: Petteri Aimonen <jpa@git.mail.kapsi.fi>
Date:   Wed Feb 4 17:46:33 2015 +0200

    VCD input: Chunk up the samples in 1MB blocks.
    
    This gives about 100x speed improvement when converting VCD->SR.
    
    Also should allow practically unlimited number of channels.
    
    This fixes bug #551.

commit 3393f185a5109832db68966a44b46204cc5c53c5
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Mon Nov 23 20:36:08 2015 +0100

    session: Remove debug spew on I/O events
    
    This really is a bit much with some drivers that do lots of small
    I/O transfers.

commit e8cd7d602c521ded30497e20cfc2dae35c7012f1
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sun Nov 22 17:51:05 2015 +0100

    contrib: Add SysClk LWLA1016 to udev rules

commit be64f90b53d09d9720dc6e06ff8ab61d96c03932
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sun Nov 22 17:45:54 2015 +0100

    sysclk-lwla: Implement support for LWLA1016
    
    Refactor the sysclk-lwla driver to separate the generic logic from
    the model-specific implementation. Based on this, implement support
    for the SysClk LWLA1016 device.

commit ce19d4c6157b2998aa88a2f32670dd7bdcca02e8
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Tue Nov 10 20:52:09 2015 +0100

    sysclk-lwla: Remove global driver instance pointer
    
    Obtain the sr_dev_driver pointer from the device instance so that
    the remaining references to the global di pointer can be removed.

commit e4ce146fefe7cfd475b9d8fdec1101b188b746db
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sat Nov 21 20:27:25 2015 +0100

    sr_usb_find(): Increase the 'bus' limit to 255.
    
    On some systems it can happen that the USB 'bus' number is a lot larger
    than 64, but sr_usb_find() currently errors out if it is > 64.
    
    Example:
    Bus 250 Device 006: ID 1ab1:04ce 1ab1 DS1000Z Series[...]
    
    Increase that limit so that the code will work everywhere. This bus number
    is queried via libusb_get_bus_number() which returns an uint8_t, so we're
    limiting to 255 here.
    
    Thanks to 'ssi' on IRC for reporting the issue.

commit d79244dc342ae5cc3f402145cc510fd7b030cc1e
Author: Matthieu Gaillet <matthieu@gaillet.be>
Date:   Wed Nov 4 22:58:15 2015 +0100

    serial-dmm: Add support for Velleman DVM4100 & PeakTech 3415.
    
    (both are using the new dtm0660 DMM parser)

commit eed3dec849336f610e75e4bb80961391d4e931ea
Author: Matthieu Gaillet <matthieu@gaillet.be>
Date:   Wed Nov 4 22:58:15 2015 +0100

    Add dtm0660 15-byte DMM protocol parser.

commit b98b70222fd756784e7bb55a4d3356e0e3405679
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Nov 15 19:01:13 2015 +0100

    usb.c: Fix usb_get_port_path() issue on Mac OS X.
    
    Apparently (some versions of) Mac OS X have the same problem with
    usb_get_port_path() as FreeBSD does. Work around this in the same way.
    
    Thanks to hanyazou@gmail.com for the patch!
    
    This fixes bug #673.

commit 382bea8250c8f69fff2f6b947a6ad0d884328610
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Nov 15 16:12:35 2015 +0100

    chronovu-la: Add missing libusb dependencies.
    
    The chronovu-la driver now uses libusb (in addition to libftdi), so add
    a missing <libusb.h> #include and libusb dependency in configure.ac.

commit 67f890d5bb259539b930df15146f138974a849de
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Mon Nov 9 00:38:18 2015 +0100

    chronovu-la: Properly handle multiple devices.
    
    The driver should now be able to cope with e.g. multiple ChronoVu LA8
    and/or ChronoVu LA16 devices being connected to the same PC.
    
    It now also provides the serial number and connection ID, which can be
    used by frontends to differentiate multiple devices.
    
    Also improve the scanopts / drvopts / devopts lists handling.
    
    This fixes bug #504.

commit d0f1fa0758e9f95beac0a431d96dddb86de50760
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Sun Nov 8 17:38:02 2015 +0100

    asix-sigma: Drop unneeded asix_sigma_driver_info.
    
    This is not needed, but also causes linker issues on some platforms.

commit 2c24077466a299ead689c90f01f55f6d86c7386b
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Fri Nov 6 18:18:34 2015 +0100

    Constify a lot more items.
    
    This fixes various compiler warnings when -Wdiscarded-qualifiers is used.

commit 45ec8f775680124d49e82251f258104cf4414f17
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Nov 7 22:29:12 2015 +0100

    build: Delete generated files on make clean

commit 7252a09e8fb0b436851ab3fd041d014b0ba4addd
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Nov 7 22:20:19 2015 +0100

    build: Enable uninstall of Java bindings
    
    This is needed for make distcheck to work.

commit 9448951db5de17f6fc969e5bc2e68e5985c6fa27
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Nov 7 22:08:45 2015 +0100

    build: Skip Python bindings during distcheck
    
    setup.py attempts to relink the bindings at installation time,
    which breaks distcheck. Thus, disable the Python bindings during
    distcheck for now.

commit 0a9d05dc7cf555fb29be0780b8274bdec34956e5
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Nov 7 21:57:20 2015 +0100

    build: Distribute missing files

commit 37829c15b5ddbe6f01c6b9373cf026fac9e4fcab
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Nov 7 21:51:40 2015 +0100

    build: Make ChangeLog generation distcheck-safe

commit e5ef649be3167dbb9f6403e2c1d0e2e1b09d3a0c
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Mon Nov 2 21:59:00 2015 +0100

    Constify sr_dev_driver::name and sr_dev_driver::long_name.
    
    This fixes a bunch of warnings when compiling with -Wwrite-strings.

commit 3ba56876b4a5469b0c39a6f162f517ce8610b9e4
Author: jry <jrysig@gmail.com>
Date:   Thu Nov 5 11:41:27 2015 +0100

    asix-sigma: Split into api.c and protocol.[ch] modules.

commit ee95d6bd8b94dfd6ac67d850e17879a4e5875b6a
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Mon Nov 2 17:16:58 2015 +0100

    Java: Remove explicit constructor deletes since SWIG 2 doesn't like them
    
      bindings/java/org/sigrok/core/classes/classes.i:247: Error: \
        Syntax error in input(3).

commit e13648d0416aa0cb3c81f234389c92a30d46d527
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Sun Nov 1 23:29:32 2015 +0100

    Java: Fix leaking global refs
    
    This fixes issue #690.

commit c470ae86dade608f747340f6f0699d657d33fd21
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Sun Nov 1 23:27:41 2015 +0100

    Java: Don't use JNIEnv* captured by lambdas, it may be invalid for the context

commit 908aad38164869c2ecf066a73962a3864c644587
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Sun Nov 1 15:59:47 2015 +0100

    Java: Fill jlongs with 0 when doing SWIG style pointer marshalling
    
    This prevents valgrind complaints and also makes pointer comparison
    from the Java side work.

commit 32fd1edc2333b78c671afd3fc1f87a1bce925bd1
Author: Marcus Comstedt <marcus@mc.pp.se>
Date:   Sun Nov 1 15:58:00 2015 +0100

    Revert "Java: Avoid dangerous writes via casted pointers"
    
    This reverts commit 865de99391194e45a0e80ea534fc5e27d5287925.
    
    This fixes bug #688.

commit ae2cdde4d20e600480ae2cb86b7488fa13400812
Author: Martin Ling <martin-git@earth.li>
Date:   Sun Nov 1 23:42:21 2015 +0000

    python: Fix string conversions for Python 3.
    
    Fixes bug #478.

commit 5dd538ded0d5873541af7cdf2e54c3e6d8297b49
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Mon Nov 2 14:30:24 2015 +0100

    build: Set CXXFLAGS when building Python module
    
    Set both CFLAGS and CXXFLAGS when executing setup.py to build
    the Python bindings. Newer versions of distutils/setuptools have
    apparently started to pick up the latter when compiling C++.

commit 3d8691326666a32925aa555f3088185ccd5d846b
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sun Nov 1 21:40:28 2015 +0100

    build: Match up Python headers with interpreter version
    
    Check for either Python 2 or Python 3 header files depending on
    the version of the Python interpreter. Also require the module
    version to exactly match the interpreter version.
    
    This may fix bug #645.

commit 8105e82913aface2a430c51ef3e9a45cfce68170
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sun Nov 1 19:38:40 2015 +0100

    openbench-logic-sniffer: Avoid recreating event source
    
    With the current driver API and the corresponding session event
    handling, it is not possible to destroy and then re-create an
    event source with the same key within the same main loop iteration.
    
    The next generation driver API will fix this problem. But for now,
    just change the driver to make do without that sort of thing. Also
    increase the I/O timeout to 100 ms to be safer in the event of all
    kind of delays the OS environment may induce.
    
    This fixes bug #678.

commit d09a82a8fe04f9554f99c5141dd9eb7552612156
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Oct 30 16:41:30 2015 +0100

    Remove obsolete SR_INPUT_META_MIMETYPE metadata key.
    
    This was never really implemented, since getting the mimetype of a
    file or stream in a cross-platform way is a gigantic tangle.

commit c958ab59d60992504046d73c7bf41db4fd7747fd
Author: Bert Vermeulen <bert@biot.com>
Date:   Fri Oct 30 16:38:54 2015 +0100

    input/csv: Remove obsolete mimetype format match.
    
    Mimetypes never worked, and in any case this caused a segfault due to a
    missing SR_INPUT_META_REQUIRED flag.
    
    This fixes bug #681.

commit b04a532fa3fc9d544add735821cc003015f96abc
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Oct 31 16:02:30 2015 +0100

    build: Also look for python-2.7 pkg-config module
    
    Apparently Gentoo names the module python-2.7 instead of python27.

commit 58cc125b0f645726fac9133bf06d3a91b75b8c27
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Oct 31 10:19:51 2015 +0100

    sysclk-lwla: Read full 64 bit of capture duration field
    
    Evaluate all 64 bit of the duration field in the capture status
    record. Although unlikely in practical use, due to compression
    it is possible for the duration in ms to exceed 32 bit.

commit 30f34dbdf0ee8a389b4219ed7808bec64421f3e0
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Oct 31 01:39:03 2015 +0100

    sysclk-lwla: Define constants for long registers

commit 586ff70a2116d36ddd9521704c4531dfc93d6ec1
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sat Oct 31 01:11:31 2015 +0100

    sysclk-lwla: Clarify use of SRAM control registers
    
    Assign more meaningful names to things and introduce new constants.

commit a6dc3dacab23bf7c8da008f21a03e2a1242e77ea
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Fri Oct 30 15:07:25 2015 +0100

    zip: Provide fallback if zip_discard() is unavailable
    
    zip_discard() was introduced in libzip 0.11, which some systems
    do not have yet. Provide a fallback replacement for zip_discard(),
    and reduce the requirement to libzip 0.10 again.
    
    This fixes bug #674.

commit 014512254abcc74d203376f2e038053b94cf1116
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Thu Oct 29 22:53:25 2015 +0100

    C++: Declare std::default_delete friend as struct
    
    std::default_delete<> is originally defined as struct, not class.
    This does not really make much of a difference, but some compilers
    complain when the struct/class tag is not consistent across all
    declarations of the type.

commit cea8c3124f982606f4b466374c568d0f723b8197
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Thu Oct 29 21:48:49 2015 +0100

    C++: Suppress deprecation warnings from glibmm
    
    Ignore warnings due to use of std::auto_ptr<> in the glibmm headers.
    This should be reverted once glibmm is fixed.

commit 8ebf1469a91b7f7899d84386dee021575752b6d8
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Thu Oct 29 22:39:44 2015 +0100

    build: Use common SWIG defines for Python and Java
    
    Make the Python and Java bindings use the same set of preprocessor
    macros for the SWIG parsing stage, taken from a make variable. Add
    G_GNUC_{BEGIN,END}_IGNORE_DEPRECATIONS to that set.

commit e1172cf847e522b07d063c36c3f54b0a5dc8429f
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sun Oct 25 03:44:55 2015 +0100

    sysclk-lwla: Read test word twice during initialization
    
    During initialization of the LWLA1034, read the 64-bit test word
    twice and verify the result of the second read only. This better
    matches what the original vendor software does.

commit 3a322bbc3b0f4d79a79cffac00aeb05ff69ce535
Author: Daniel Elstner <daniel.kitta@gmail.com>
Date:   Sun Oct 25 02:26:44 2015 +0100

    sysclk-lwla: Clarify function of registers 10B0 to 10BC
    
    Apparently, these four registers form an interface for indirect
    access to another internal 64 bit wide memory. This is likely the
    same memory as that accessed by the bulk transfer commands 7 and 8.

commit 8e0f9bf782cb9e84a244bbd1b91db96a3f4f56e6
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Oct 29 23:59:12 2015 +0100

    Makefile.am: Avoid non-portable -t option for $(INSTALL).
    
    The 'install' tool doesn't have a -t option on all platforms
    (e.g. Mac OS X or FreeBSD).

commit 9e5366df4f83d3f5c0afb1489bb2d4d4ea426e18
Author: Uwe Hermann <uwe@hermann-uwe.de>
Date:   Thu Oct 29 18:51:09 2015 +0100

    korad-kdxxxxp: Minor cosmetics and consistency changes.

commit c40ed60f27a3c918b29f72a73074b97ef0ecfe86
Author: Hannu Vuolasaho <vuokkosetae@gmail.com>
Date:   Thu Oct 22 01:05:37 2015 +0300

    Over voltage and current protection support
    
    Developed against Velleman LABPS3005D and seems to work.

